<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit;
header('Expires: Mon, 1 January 1900 00:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');
if (is_file(FORUM_ROOT . 'include/templates/' . $forum_user['template'] . '/forum_admin.tpl'))
    $tpl_main = file_get_contents(FORUM_ROOT . 'include/templates/' . $forum_user['template'] . '/forum_admin.tpl');
else
    $tpl_main = file_get_contents(FORUM_ROOT . 'include/templates/Default/forum_admin.tpl');
$tpl_main = str_replace('<forum_content_direction>', $lang['lang_direction'], $tpl_main);
$tpl_main = str_replace('<forum_char_encoding>', $lang['lang_encoding'], $tpl_main);
ob_start();
BB_Template::Print_Page_Header();
$tpl_temp = trim(ob_get_contents());
$tpl_main = str_replace('<forum_head>', $tpl_temp, $tpl_main);
ob_end_clean();
if (isset($focus_element))
{
    $tpl_main = str_replace('<body onload="', '<body onload="document.getElementById(\'' . $focus_element[0] . '\').' . $focus_element[1] . '.focus();', $tpl_main);
    $tpl_main = str_replace('<body>', '<body onload="document.getElementById(\'' . $focus_element[0] . '\').' . $focus_element[1] . '.focus()">', $tpl_main);
}
$tpl_main = str_replace('<forum_page>', BB_Input::Htmlspecialchars(basename($_SERVER['PHP_SELF'], '.php')), $tpl_main);
$tpl_main = str_replace('<forum_title>', '<h1><span></span></h1>', $tpl_main);
$tpl_main = str_replace('<forum_navlinks>', BB_Functions::Set_Menu(), $tpl_main);
if ($forum_user['is_guest'])
{
    $tpl_temp = '<div id="xenno_welcome" class="inbox">' . "\n\t\t\t" . '<ul class="conr">' . "\n\t\t\t\t" . '<li>' . $lang['Not logged in'] . ' | <a href="../login.php"><strong>' . $lang['Login'] . '</strong></a></li></ul>' . "\n\t\t\t";
    $tpl_temp .= '<div class="clearer"></div></div>';
}
else
{
    $tpl_temp = '<div id="xenno_welcome" class="inbox">' . "\n\t\t\t\t\t\t\t" . '<ul class="conr">' . "\n\t\t\t\t\t\t\t\t" . '<li>' . $lang['Logged in as'] . ' <strong>' . BB_Input::Htmlspecialchars($forum_user['username']) . '</strong> | <a href="' . bb_forum_url . 'login.php?action=out&amp;id=' . $forum_user['id'] . '"><strong>' . $lang['Logout'] . '</strong></a></li>' . "\n\t\t\t\t\t\t\t\t" . '<li>' . $lang['Last visit'] . ': ' . BB_Input::Format_Time($forum_user['last_visit']) . '</li></ul>' . "\n";
    $tpl_temp .= "\t\t\t\t\t\t\t" . '<ul class="conl"><li>';
    if ($forum_user['g_id'] < USER_GUEST)
    {
        $result_header = $db->query('SELECT COUNT(id) FROM ' . $db->prefix . 'reports WHERE zapped IS NULL') or BB_Functions::Error($lang['error_60'], __FILE__, __LINE__, $db->error());
        if ($db->result($result_header))
            $tpl_temp .= "\n\t\t\t\t" . '<a href="' . bb_website_url . '/admin/reports.php?Page=New"><img src="' . BB_Template::Get_Image_Folder() . 'misc/new_reports.png" title="There are new reports" /></a>';
        if (bb_maintenance == '1')
            $tpl_temp .= "\n\t\t\t\t" . '<a href="' . bb_website_url . '/admin/advanced.php?Page=Others"><img src="' . BB_Template::Get_Image_Folder() . 'misc/maintenance_active.png" title="Maintenance mode is enabled!" /></a>';
    }
    if (!$forum_user['is_guest'] && $forum_user['g_pm'] == 1 && bb_pms_enabled)
    {
        $result_messages = $db->query('SELECT COUNT(id) FROM ' . $db->prefix . 'messages WHERE showed=0 AND owner=' . $forum_user['id']) or BB_Functions::Error($lang['error_61'], __FILE__, __LINE__, $db->error());
        if ($db->result($result_messages, 0))
            $tpl_temp .= "\n\t\t\t\t" . '<a href="' . bb_forum_url . 'messages.php?Page=List"><img src="' . BB_Template::Get_Image_Folder() . 'misc/new_mail.png" title="' . $lang['You have'] . $db->result($result_messages, 0) . ' ' . $lang['New messages'] . '" /></a>';
        if (bb_pms_messages != 0 && $forum_user['g_id'] > USER_GUEST)
        {
            $result = $db->query('SELECT count(*) FROM ' . $db->prefix . 'messages WHERE owner=' . $forum_user['id']) or BB_Functions::Error($lang['error_62'], __FILE__, __LINE__, $db->error());
            list($count) = $db->fetch_row($result);
            if ($count >= $forum_user['g_pm_limit'])
                $tpl_temp .= "\n\t\t\t\t" . '<a href="' . bb_forum_url . 'messages.php?Page=List"><img src="' . BB_Template::Get_Image_Folder() . 'misc/full_mail.png" title="' . $lang['Full inbox'] . '" /></a>';
        }
    }
    $tpl_temp .= "\n\t\t\t\t\t\t\t" . '</li></ul>' . "\n\t\t\t\t\t\t\t" . '<div class="clearer"></div>' . "\n\t\t\t\t\t\t" . '</div>';
}
$tpl_main = str_replace('<forum_status>', $tpl_temp, $tpl_main);
ob_start();
define('FORUM_HEADER', 1);
?>