<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
define('IN_FORUM_ADMIN', 1);
require dirname(__FILE__) . '/../include/init.php';
if ($forum_user['g_id'] > USER_MOD)
    BB_Functions::Message($lang['No permission']);
if (isset($_GET['module']) && in_array($_GET['module'], $cms_modules->All_Elements()))
{
    $cms_custom_title_page = $lang['Admin'] . $_GET['module'];
    ob_start();
    require $cms_modules->path . $_GET['module'] . '/admin.php';
    $cms_admin_body = BB_Input::Trim(ob_get_contents());
    ob_end_clean();
}
elseif (isset($_GET['block']) && in_array($_GET['block'], $cms_blocks->All_Elements()))
{
    $cms_custom_title_page = $lang['Admin'] . $_GET['block'];
    ob_start();
    require $cms_blocks->path . $_GET['block'] . '/admin.php';
    $cms_admin_body = BB_Input::Trim(ob_get_contents());
    ob_end_clean();
}
if (is_file(FORUM_ROOT . 'include/templates/' . $forum_user['template'] . '/forum_admin.tpl'))
    $cms_main_template = FORUM_ROOT . 'include/templates/' . $forum_user['template'] . '/forum_admin.tpl';
else
    $cms_main_template = FORUM_ROOT . 'include/templates/Default/forum_admin.tpl';
require FORUM_ROOT . 'include/header.php';
echo $cms_admin_body;
require FORUM_ROOT . 'include/footer.php';
?>