<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
define('IN_FORUM_ADMIN', 1);
require dirname(__FILE__) . '/../include/init.php';
if ($forum_user['g_id'] > USER_MOD && !$forum_user['g_global_moderation'])
    BB_Functions::Message($lang['No permission'], true, 1);
$plugin = isset($_GET['plugin']) ? $_GET['plugin'] : '';
if (!preg_match('/^am?_(\w*?)\.php$/i', $plugin))
    BB_Functions::Message($lang['Bad request']);
$prefix = substr($plugin, 0, strpos($plugin, '_'));
if ($forum_user['g_id'] == USER_MOD && $prefix == 'a')
    BB_Functions::Message($lang['No permission'], true, 1);
if (!file_exists(FORUM_ROOT . 'include/plugins/' . $plugin))
    BB_Functions::Message($lang['no_plugin']);
if (!isset($_SERVER['REQUEST_URI']))
    $_SERVER['REQUEST_URI'] = (isset($_SERVER['PHP_SELF']) ? $_SERVER['PHP_SELF'] : '') . '?' . (isset($_SERVER['QUERY_STRING']) ? $_SERVER['QUERY_STRING'] : '');
$page_title = BB_Input::Htmlspecialchars($lang['Admin']);
require FORUM_ROOT . 'admin/header.php';
require FORUM_ROOT . 'include/plugins/' . $plugin;
if (!defined('PLUGIN_LOADED'))
    BB_Functions::Message($lang['plugin_load_failed']);
require FORUM_ROOT . 'admin/footer.php';
?>