<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit;
$tpl_temp = trim(ob_get_contents());
$tpl_main = str_replace('<forum_main>', $tpl_temp, $tpl_main);
ob_end_clean();
ob_start();
echo "\t\t\t" . '<div id="xenno_menu2" class="inbox">';
echo "\n\t\t\t\t\t\t" . '<ul class="conl">' . "\n";
$footer_style = isset($footer_style) ? $footer_style : NULL;
$d = dir(FORUM_ROOT . 'include/functions/user/hooks');
while (($entry = $d->read()) !== false)
{
    if ($entry != '.' && $entry != '..' && $entry != 'index.html')
        include (FORUM_ROOT . 'include/functions/user/hooks/' . $entry . '/footer.php');
}
$d->close();
if ($footer_style == 'index' || $footer_style == 'search')
{
    $tmp_header = '<div class="actions"><p style="text-align:left;">';
    if (bb_rss_type == 2)
        $temp_actions = '<a href="' . bb_website_url . '/syndicate.php?type=rss20">' . $lang['Syndicate the board'] . '</a><br />';
    else if (bb_rss_type == 1)
        $temp_actions = '<a href="' . bb_website_url . '/syndicate.php?type=rss10">' . $lang['Syndicate the board'] . '</a><br />';
    if (!$forum_user['is_guest'])
    {
        $temp_actions .= '<a href="' . bb_forum_url . 'misc.php?action=markread">' . $lang['Mark all as read'] . '</a><br /><a href="' . bb_forum_url . 'search.php?action=show_new">' . $lang['Show new posts'] . '</a><br /><a href="search.php?action=show_unanswered">' . $lang['Show unanswered posts'] . '</a><br /><a href="search.php?action=show_user&amp;user_id=' . $forum_user['id'] . '">' . $lang['Show your posts'] . '</a><br /><a href="search.php?action=show_24h">' . $lang['Show recent posts'] . '</a>';
        if (bb_subscriptions == '1')
            $temp_actions .='<br /><a href="' . bb_forum_url . 'search.php?action=show_subscriptions">' . $lang['Show subscriptions'] . '</a>';
    }
    else
    {
        if ($forum_user['g_search'] == '1')
            $temp_actions .= '<a href="' . bb_forum_url . 'search.php?action=show_unanswered">' . $lang['Show unanswered posts'] . '</a><br /><a href="search.php?action=show_24h">' . $lang['Show recent posts'] . '</a>';
    }
    $tmp_footer = "</p></div>";
    if ($temp_actions == '')
        $temp_actions = $tmp_header . '<em>No actions available</em>' . $tmp_footer;
    else
        $temp_actions = $tmp_header . $temp_actions . $tmp_footer;
    echo "\t\t\t\t\t\t\t" . '<li><a href="#" rel="nofollow" onclick="return xBB_Show_Tooltip(\'' . BB_Input::Htmlspecialchars($temp_actions) . '\', REF, \'actions\', REFC,\'UL\', REFP,\'LL\', REFX, 4, FGCLASS, \'actions_popup_fg\', BGCLASS, \'actions_popup_bg\', WRAP, BORDER, 1, STICKY, ABOVE, MOUSEOFF);"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_actions.png" id="actions" style="padding:0px;margin:-4px" alt="Actions" /></a></li>';
}
else if ($footer_style == 'view_poll')
{
    $tmp_header = '<div class="actions"><p style="text-align:left;">';
    $temp_actions = '<a href="' . bb_forum_url . 'archive.php?id=' . $id . '">' . $lang['Print version'] . '</a><br />';
    if (bb_rss_type == 2)
        $temp_actions .= '<a href="' . bb_website_url . '/syndicate.php?type=rss20&amp;tid=' . $id . '">' . $lang['Syndicate this thread'] . '</a><br />';
    else if (bb_rss_type == 1)
        $temp_actions .= '<a href="' . bb_website_url . '/syndicate.php?type=rss10&amp;tid=' . $id . '">' . $lang['Syndicate this thread'] . '</a><br />';
    if (!$forum_user['is_guest'] && bb_subscriptions == '1')
    {
        if ($cur_topic['is_subscribed'])
            $temp_actions .= '<a href="' . bb_forum_url . 'misc.php?unsubscribe=' . $id . '&amp;type=poll">' . $lang['Unsubscribe'] . '</a><br />';
        else
            $temp_actions .= '<a href="' . bb_forum_url . 'misc.php?subscribe=' . $id . '&amp;type=poll">' . $lang['Subscribe'] . '</a><br />';
    }
    if ($is_admmod)
    {
        $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?type=poll&amp;fid=' . $forum_id . '&amp;tid=' . $id . '&amp;p=' . $p . '">' . $lang['Delete multiple posts'] . '</a><br />';
        $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?type=poll&amp;fid=' . $forum_id . '&amp;move_topics=' . $id . '">' . $lang['Move topic'] . '</a><br />';
        if ($cur_topic['closed'] == '1')
            $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?type=poll&amp;fid=' . $forum_id . '&amp;open=' . $id . '">' . $lang['Open topic'] . '</a><br />';
        else
            $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?type=poll&amp;fid=' . $forum_id . '&amp;close=' . $id . '">' . $lang['Close topic'] . '</a><br />';
        if ($cur_topic['sticky'] == '1')
            $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?type=poll&amp;fid=' . $forum_id . '&amp;unstick=' . $id . '">' . $lang['Unstick topic'] . '</a><br />';
        else
            $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?type=poll&amp;fid=' . $forum_id . '&amp;stick=' . $id . '">' . $lang['Stick topic'] . '</a><br />';
    }
    $tmp_footer = "</p></div>";
    if ($temp_actions == '')
        $temp_actions = $tmp_header . '<em>No actions available</em>' . $tmp_footer;
    else
        $temp_actions = $tmp_header . $temp_actions . $tmp_footer;
    echo "\t\t\t\t\t\t\t" . '<li><a href="#" rel="nofollow" onclick="return xBB_Show_Tooltip(\'' . BB_Input::Htmlspecialchars($temp_actions) . '\', REF, \'actions\', REFC,\'UL\', REFP,\'LL\', REFX, 4, FGCLASS, \'actions_popup_fg\', BGCLASS, \'actions_popup_bg\', WRAP, BORDER, 1, STICKY, ABOVE, MOUSEOFF);"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_actions.png" id="actions" style="padding:0px;margin:-4px" alt="Actions" /></a></li>';
}
else if ($footer_style == 'view_topic')
{
    $tmp_header = '<div class="actions"><p style="text-align:left;">';
    $temp_actions = '<a href="' . bb_forum_url . 'archive.php?id=' . $id . '">' . $lang['Print version'] . '</a><br />';
    if (bb_rss_type == 2)
        $temp_actions .= '<a href="' . bb_website_url . '/syndicate.php?type=rss20&amp;tid=' . $id . '">' . $lang['Syndicate this thread'] . '</a><br />';
    else if (bb_rss_type == 1)
        $temp_actions .= '<a href="' . bb_website_url . '/syndicate.php?type=rss10&amp;tid=' . $id . '">' . $lang['Syndicate this thread'] . '</a><br />';
    if (!$forum_user['is_guest'] && bb_subscriptions == '1')
    {
        if ($cur_topic['is_subscribed'])
            $temp_actions .= '<a href="' . bb_forum_url . 'misc.php?unsubscribe=' . $id . '&amp;type=' . $type . '">' . $lang['Unsubscribe'] . '</a><br />';
        else
            $temp_actions .= '<a href="' . bb_forum_url . 'misc.php?subscribe=' . $id . '&amp;type=' . $type . '">' . $lang['Subscribe'] . '</a><br />';
    }
    if ($is_admmod)
    {
        $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?fid=' . $forum_id . '&amp;tid=' . $id . '&amp;p=' . $p . '">' . $lang['Delete multiple posts'] . '</a><br />';
        $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?fid=' . $forum_id . '&amp;move_topics=' . $id . '">' . $lang['Move topic'] . '</a><br />';
        if ($cur_topic['closed'] == '1')
            $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?fid=' . $forum_id . '&amp;open=' . $id . '">' . $lang['Open topic'] . '</a><br />';
        else
            $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?fid=' . $forum_id . '&amp;close=' . $id . '">' . $lang['Close topic'] . '</a><br />';
        if ($cur_topic['sticky'] == '1')
            $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?fid=' . $forum_id . '&amp;unstick=' . $id . '">' . $lang['Unstick topic'] . '</a><br />';
        else
            $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?fid=' . $forum_id . '&amp;stick=' . $id . '">' . $lang['Stick topic'] . '</a><br />';
    }
    $tmp_footer = "</p></div>";
    if ($temp_actions == '')
        $temp_actions = $tmp_header . '<em>No actions available</em>' . $tmp_footer;
    else
        $temp_actions = $tmp_header . $temp_actions . $tmp_footer;
    echo "\t\t\t\t\t\t\t" . '<li><a href="#" rel="nofollow" onclick="return xBB_Show_Tooltip(\'' . BB_Input::Htmlspecialchars($temp_actions) . '\', REF, \'actions\', REFC,\'UL\', REFP,\'LL\', REFX, 4, FGCLASS, \'actions_popup_fg\', BGCLASS, \'actions_popup_bg\', WRAP, BORDER, 1, STICKY, ABOVE, MOUSEOFF);"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_actions.png" id="actions" style="padding:0px;margin:-4px" alt="Actions" /></a></li>';
}
else if ($footer_style == 'view_forum')
{
    $tmp_header = '<div class="actions"><p style="text-align:left;">';
    $temp_actions = '<a href="' . bb_forum_url . 'misc.php?action=markforumread&amp;id=' . $id . '">' . $lang['Mark forum as read'] . '</a><br />';
    if ($is_admmod)
        $temp_actions .= '<a href="' . bb_forum_url . 'moderate.php?fid=' . $forum_id . '&amp;p=' . $p . '">' . $lang['Moderate forum'] . '</a><br />';
    if (bb_rss_type == 2)
        $temp_actions .= '<a href="' . bb_website_url . '/syndicate.php?type=rss20&amp;fid=' . $id . '">' . $lang['Syndicate this forum'] . '</a><br />';
    else if (bb_rss_type == 1)
        $temp_actions .= '<a href="' . bb_website_url . '/syndicate.php?type=rss10&amp;fid=' . $id . '">' . $lang['Syndicate this forum'] . '</a><br />';
    $tmp_footer = "</p></div>";
    if ($temp_actions == '')
        $temp_actions = $tmp_header . '<em>No actions available</em>' . $tmp_footer;
    else
        $temp_actions = $tmp_header . $temp_actions . $tmp_footer;
    echo "\t\t\t\t\t\t\t" . '<li><a href="#" rel="nofollow" onclick="return xBB_Show_Tooltip(\'' . BB_Input::Htmlspecialchars($temp_actions) . '\', REF, \'actions\', REFC,\'UL\', REFP,\'LL\', REFX, 4, FGCLASS, \'actions_popup_fg\', BGCLASS, \'actions_popup_bg\', WRAP, BORDER, 1, STICKY,  ABOVE, MOUSEOFF);"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_actions.png" id="actions" style="padding:0px;margin:-4px" alt="Actions" /></a></li>';
}
else if ($footer_style == 'messages_list')
{
    $tmp_header = '<div class="actions"><p style="text-align:left;">';
    if (!isset($_GET['box']))
        $_GET['box'] = 0;
    if (!isset($_GET['p']))
        $_GET['p'] = 0;
    if ($new_messages)
        $temp_actions .= '<a href="' . bb_forum_url . 'messages.php?Page=List&amp;action=markall&amp;box=' . intval($_GET['box']) . '&amp;p=' . $_GET['p'] . '">' . $lang['Mark all'] . '</a>';
    if ($temp_actions != '')
        $temp_actions .= '<br />';
    if ($messages_exist)
        $temp_actions .= '<a href="' . bb_forum_url . 'messages.php?Page=List&amp;action=multidelete&amp;box=' . intval($_GET['box']) . '&amp;p=' . $_GET['p'] . '">' . $lang['Multidelete'] . '</a>';
    $tmp_footer = "</p></div>";
    if ($temp_actions == '')
        $temp_actions = $tmp_header . '<em>No actions available</em>' . $tmp_footer;
    else
        $temp_actions = $tmp_header . $temp_actions . $tmp_footer;
    echo "\t\t\t\t\t\t\t" . '<li><a href="#" rel="nofollow" onclick="return xBB_Show_Tooltip(\'' . BB_Input::Htmlspecialchars($temp_actions) . '\', REF, \'actions\', REFC,\'UL\', REFP,\'LL\', REFX, 4, FGCLASS, \'actions_popup_fg\', BGCLASS, \'actions_popup_bg\', WRAP, BORDER, 1, STICKY, ABOVE, MOUSEOFF);"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_actions.png" id="actions" style="padding:0px;margin:-4px" alt="Actions" /></a></li>';
}
else
{
    echo "\t\t\t\t\t\t\t" . '<li><img src="' . BB_Template::Get_Image_Folder() . 'cat6_noactions.png" style="padding:0px;margin:-4px" alt="" /></li>';
}
echo "\n\t\t\t\t\t\t" . '</ul>' . "\n";
?>
<ul class="conr">
<?php
if (bb_rules == '1')
    echo "\t\t\t\t\t\t\t" . '<li><a href="' . bb_forum_url . 'misc.php?action=rules" rel="nofollow" title="Display board rules"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_rules.png" alt="Rules" /></a></li>' . "\n";
if ($forum_user['g_id'] == USER_MOD)
    echo "\t\t\t\t\t\t\t" . '<li><a href="' . bb_website_url . '/admin/index.php?Page=Intro" rel="nofollow" title="Go to Moderator Control Panel"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_moderator.png" alt="Moderator" /></a></li>' . "\n";
else if ($forum_user['g_id'] == USER_ADMIN)
    echo "\t\t\t\t\t\t\t" . '<li><a href="' . bb_website_url . '/admin/index.php?Page=Intro" rel="nofollow" title="Go to Admin Control Panel"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_administrator.png" alt="Administrator" /></a></li>' . "\n";
?>
    <li><a href="#top" rel="nofollow" title="Go to top"><img src="<?php echo BB_Template::Get_Image_Folder() ?>cat6_top.png" alt="Top" /></a></li>
</ul>
<div class="clearer"></div>
</div>
<?php
$db->end_transaction();
$tpl_temp = trim(ob_get_contents());
$tpl_main = str_replace('<forum_footer>', $tpl_temp, $tpl_main);
ob_end_clean();
while (preg_match('#<forum_include "([^/\\\\]*?)">#', $tpl_main, $cur_include))
{
    if (!file_exists(FORUM_ROOT . 'include/functions/user/' . $cur_include[1]))
        BB_Functions::Error('Unable to process user include &lt;forum_include "' . BB_Input::Htmlspecialchars($cur_include[1]) . '"&gt; from template forum_main.tpl. There is no such file in folder include/functions/user/');
    ob_start();
    include FORUM_ROOT . 'include/functions/user/' . $cur_include[1];
    $tpl_temp = ob_get_contents();
    $tpl_main = str_replace($cur_include[0], $tpl_temp, $tpl_main);
    ob_end_clean();
}
$db->close();
exit($tpl_main);
?>