<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
require dirname(__FILE__) . '/../include/init.php';
if ($forum_user['g_read_board'] == '0')
    BB_Functions::Message($lang['No permission'], true, 1);
if (!isset($_GET['pid']) || !isset($_GET['filename']))
    BB_Functions::Error($lang['error_129'], __FILE__, __LINE__);
$pid = intval($_GET['pid']);
$filename = BB_Input::Htmlspecialchars(basename($_GET['filename']));
$result = $db->query('SELECT topic_id FROM ' . $db->prefix . 'posts WHERE id=' . $db->escape($pid)) or BB_Functions::Error($lang['error_3'], __FILE__, __LINE__, $db->error());
if (!$db->num_rows($result))
    BB_Functions::Message($lang['Bad request']);
$id = $db->result($result);
if (!$forum_user['is_guest'])
    $result = $db->query('SELECT t.subject, t.closed, t.num_replies, t.sticky, f.id AS forum_id, f.forum_name, f.moderators, fp.post_replies, s.user_id AS is_subscribed FROM ' . $db->prefix . 'topics AS t INNER JOIN ' . $db->prefix . 'forums AS f ON f.id=t.forum_id LEFT JOIN ' . $db->prefix . 'subscriptions AS s ON (t.id=s.topic_id AND s.user_id=' . $forum_user['id'] . ') LEFT JOIN ' . $db->prefix . 'permissions AS fp ON (fp.forum_id=f.id AND fp.gid=' . $forum_user['g_id'] . ') WHERE (fp.read_forum IS NULL OR fp.read_forum=1) AND t.id=' . $db->escape($id) . ' AND t.moved_to IS NULL') or BB_Functions::Error($lang['error_4'], __FILE__, __LINE__, $db->error());
else
    $result = $db->query('SELECT t.subject, t.closed, t.num_replies, t.sticky, f.id AS forum_id, f.forum_name, f.moderators, fp.post_replies, 0 FROM ' . $db->prefix . 'topics AS t INNER JOIN ' . $db->prefix . 'forums AS f ON f.id=t.forum_id LEFT JOIN ' . $db->prefix . 'permissions AS fp ON (fp.forum_id=f.id AND fp.gid=' . $forum_user['g_id'] . ') WHERE (fp.read_forum IS NULL OR fp.read_forum=1) AND t.id=' . $db->escape($id) . ' AND t.moved_to IS NULL') or BB_Functions::Error($lang['error_4'], __FILE__, __LINE__, $db->error());
if (!$db->num_rows($result))
    BB_Functions::Message($lang['Bad request']);
$source = bb_upload_path . $pid . '/';
if (!is_dir($source))
    BB_Functions::Error($lang['error_130'], __FILE__, __LINE__);
if (isset($_GET['preview']) && $_GET['preview'] == true)
    $file = $source . 'thumbnails/' . $filename;
else
    $file = $source . $filename;
if (!is_file($file))
    BB_Functions::Error($lang['error_131'], __FILE__, __LINE__);
header('Content-type: ' . BB_Image_Upload::Get_Mime_Type($file));
echo file_get_contents($file)
?>
