<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
require dirname(__FILE__) . '/../include/init.php';
if (isset($_GET["referrer"]))
    BB_Input::Set_Cookie("xenno_referrer", intval($_GET["referrer"]), time() + 3600);
if ($forum_user['g_read_board'] == '0')
    BB_Functions::Message($lang['No view']);
$page_title = BB_Input::Htmlspecialchars(bb_board_title);
require FORUM_ROOT . $forum_folder . '/header.php';
if (!$forum_user['is_guest'] && $forum_user['quicklinks'] == 'top' && (bb_quicklinks == '1'))
    BB_Functions::quicklinks();
$sfdb = array(array());
$subforum = $db->query('SELECT f.*, t.subject FROM ' . $db->prefix . 'forums as f, ' . $db->prefix . 'topics as t where t.last_post_id=f.last_post_id') or BB_Functions::Error($lang['error_75'], __FILE__, __LINE__, $db->error());
$i = 0;
while ($current = $db->fetch_assoc($subforum))
{
    $sfdb[$i][0] = $current['parent_forum_id'];
    $sfdb[$i][1] = $current['num_topics'];
    $sfdb[$i][2] = $current['num_posts'];
    $sfdb[$i][3] = $current['last_post_id'];
    $sfdb[$i][4] = $current['last_poster'];
    $sfdb[$i][5] = $current['last_post'];
    $sfdb[$i][6] = $current['subject'];
    $sfdb[$i][7] = $current['forum_name'];
    $i++;
}
$_count = $i;
$new_topics = BB_Core::Get_New_Topics();
$result = $db->query('SELECT c.id AS cid, c.cat_name, f.id AS fid, f.forum_name, f.forum_desc, f.redirect_url, f.moderators, f.num_topics, f.num_posts, f.last_post, f.last_post_id, f.last_poster, t.question, f.parent_forum_id FROM ' . $db->prefix . 'categories AS c INNER JOIN ' . $db->prefix . 'forums AS f ON c.id=f.cat_id LEFT JOIN ' . $db->prefix . 'permissions AS fp ON (fp.forum_id=f.id AND fp.gid=' . $forum_user['g_id'] . ') LEFT JOIN ' . $db->prefix . 'topics AS t ON f.last_post=t.last_post AND f.last_post_id=t.last_post_id WHERE (fp.read_forum IS NULL OR fp.read_forum=1) AND (f.parent_forum_id IS NULL OR f.parent_forum_id=0) ORDER BY c.disp_position, c.id, f.disp_position') or BB_Functions::Error($lang['error_57'], __FILE__, __LINE__, $db->error());
$cur_category = 0;
$cat_count = 0;
$cat_ids = (isset($_COOKIE['collapseprefs'])) ? $_COOKIE['collapseprefs'] . ',' : FALSE;
while ($cur_forum = $db->fetch_assoc($result))
{
    if ($cur_forum['forum_name'] != '...')
    {
        $moderators = '';
        if ($cur_forum['cid'] != $cur_category)
        {
            if ($cur_category != 0)
                echo "\t\t\t\t\t\t\t\t" . '</tbody>' . "\n\t\t\t\t\t\t\t\t" . '</table>' . "\n\t\t\t\t\t\t\t" . '</div>' . "\n\t\t\t\t\t\t" . '</div>' . "\n\t\t\t\t\t" . '</div>' . "\n\n";
            ++$cat_count;
            if (strstr($cat_ids, $cat_count . ','))
            {
                $div_ido = "block";
                $div_idx = "none";
            }
            else
            {
                $div_ido = "none";
                $div_idx = "block";
            }
            echo "\t\t\t\t\t" . '<div id="ido' . $cat_count . '" class="blocktable" style="display:' . $div_ido . '">' . "\n";
            echo "\t\t\t\t\t\t" . '<h2><span class="icons"><a href="javascript:xBB_Toggle_Category(' . $cat_count . ', 0);"><img src="' . BB_Template::Get_Image_Folder() . 'arrows/down.png" alt="Expand" /></a></span><span>' . BB_Input::Htmlspecialchars($cur_forum['cat_name']) . '</span></h2>' . "\n";
            echo "\t\t\t\t\t" . '</div>' . "\n";
            echo "\t\t\t\t\t" . '<div id="idx' . $cat_count . '" class="blocktable" style="display:' . $div_idx . '">' . "\n";
            echo "\t\t\t\t\t\t" . '<h2><span class="icons">';
            if (bb_rss_type == "1")
                echo '<a rel="nofollow" href="' . bb_website_url . '/syndicate.php?type=rss10&amp;cid=' . $cur_forum['cid'] . '"><img src="' . BB_Template::Get_Image_Folder() . 'misc/button-feed.png" alt="RSS 1.0 feeds" /></a>&nbsp;';
            else if (bb_rss_type == "2")
                echo '<a rel="nofollow" href="' . bb_website_url . '/syndicate.php?type=rss20&amp;cid=' . $cur_forum['cid'] . '"><img src="' . BB_Template::Get_Image_Folder() . 'misc/button-feed.png" alt="RSS 2.0 feeds" /></a>&nbsp;';
            ?>
            <a href="javascript:xBB_Toggle_Category(<?php echo $cat_count ?>, 1);"><img src="<?php echo BB_Template::Get_Image_Folder() ?>arrows/up.png" alt="Collapse" /></a></span><span><?php echo BB_Input::Htmlspecialchars($cur_forum['cat_name']) ?></span></h2>
            <div class="box">
                <div class="inbox">
                    <table cellspacing="0">
                        <thead>
                            <tr>
                                <th class="tcl"><?php echo $lang['Forum'] ?></th>
                                <th class="tcr"><?php echo $lang['Last post'] ?></th>
                                <th class="tc2"><?php echo $lang['Topics'] ?></th>
                                <th class="tc3"><?php echo $lang['Posts'] ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $cur_category = $cur_forum['cid'];
                        }
                        $item_status = '';
                        $icon_text = $lang['Normal icon'];
                        $icon_type = 'icon';
                        if (!$forum_user['is_guest'] && BB_Core::Is_New_Forum($cur_forum['fid'], $cur_forum['last_post']))
                        {
                            $item_status = 'inew';
                            $icon_text = $lang['New icon'];
                            $icon_type = 'icon inew';
                        }
                        if ($cur_forum['redirect_url'] != '')
                        {
                            $forum_field = '<h3><a href="' . BB_Input::Htmlspecialchars($cur_forum['redirect_url']) . '" title="' . $lang['Link to'] . ' ' . BB_Input::Htmlspecialchars($cur_forum['redirect_url']) . '">' . BB_Input::Htmlspecialchars($cur_forum['forum_name']) . '</a></h3>';
                            $num_topics = $num_posts = '&nbsp;';
                            $item_status = 'iredirect';
                            $icon_text = $lang['Redirect icon'];
                            $icon_type = 'icon';
                        }
                        else
                        {
                            $forum_field = '<h3><a href="' . BB_Input::Rewrite_URL("f", $cur_forum['fid'], $cur_forum['forum_name']) . '">' . BB_Input::Htmlspecialchars($cur_forum['forum_name']) . '</a></h3>';
                            $n_t = 0;
                            $n_p = 0;
                            $l_pid = $cur_forum['last_post_id'];
                            $l_pr = $cur_forum['last_poster'];
                            $l_post = $cur_forum['last_post'];
                            for ($i = 0; $i < $_count; ++$i)
                            {
                                if (($cur_forum['forum_name'] == $sfdb[$i][7]))
                                    $_subject_ = $sfdb[$i][6];
                            }
                            for ($i = 0; $i < $_count; $i++)
                            {
                                if ($sfdb[$i][0] == $cur_forum['fid'])
                                {
                                    $n_t = $n_t + $sfdb[$i][1];
                                    $n_p = $n_p + $sfdb[$i][2];
                                    if ($l_pid < $sfdb[$i][3])
                                    {
                                        $l_pid = $sfdb[$i][3];
                                        $l_pr = $sfdb[$i][4];
                                        $l_post = $sfdb[$i][5];
                                        $_subject_ = $sfdb[$i][6];
                                    }
                                }
                            }
                            $num_topics = $n_t + $cur_forum['num_topics'];
                            $num_posts = $n_p + $cur_forum['num_posts'];
                        }
                        if ($cur_forum['forum_desc'] != '')
                            $forum_field .= $cur_forum['forum_desc'];
                        if ($l_pid != '')
                        {
                            $results = $db->query('select p.topic_id , t.question from ' . $db->prefix . 'posts as p, ' . $db->prefix . 'topics as t where p.id=' . $l_pid . ' and t.id=p.topic_id') or BB_Functions::Error($lang['error_75'], __FILE__, __LINE__, $db->error());
                            $cur_id = $db->fetch_array($results);
                        }
                        if ($cur_forum['last_post'] != '')
                        {
                            if ($cur_forum['question'] != '' || $cur_id['question'] != '')
                                $last_post = '<a href="' . BB_Input::Rewrite_URL("l", $cur_id['topic_id'], $_subject_) . '#p' . $l_pid . '">' . $_subject_ . '</a><br />' . $lang['by'] . ' ' . BB_Input::Htmlspecialchars($l_pr) . '<br />' . BB_Input::Format_Time($l_post);
                            else
                                $last_post = '<a href="' . BB_Input::Rewrite_URL("t", $cur_id['topic_id'], $_subject_) . '#p' . $l_pid . '">' . $_subject_ . '</a><br />' . $lang['by'] . ' ' . BB_Input::Htmlspecialchars($l_pr) . '<br />' . BB_Input::Format_Time($l_post);
                        }
                        else
                            $last_post = '&nbsp;';
                        $moderators = array();
                        if ($cur_forum['moderators'] != '')
                        {
                            $mods_array = unserialize($cur_forum['moderators']);
                            while (list($mod_username, $mod_id) = @each($mods_array))
                                $moderators[] = '<a href="' . BB_Input::Rewrite_URL("u", $mod_id, $mod_username) . '">' . BB_Input::Htmlspecialchars($mod_username) . '</a>';
                            $moderators = "\t\t\t\t\t\t\t\t\t\t\t\t" . '<p><em class="mod_title">' . $lang['Moderated by'] . '</em>: ' . implode(', ', $moderators) . '</p>' . "\n";
                        }
                        $results = $db->query('SELECT forum_name, id FROM ' . $db->prefix . 'forums WHERE parent_forum_id =' . $db->escape($cur_forum['fid'])) or BB_Functions::Error($lang['error_75'], __FILE__, __LINE__, $db->error());
                        if ($db->num_rows($results) != 0)
                        {
                            $subs_name = NULL;
                            $subs_id = NULL;
                            while ($results2 = $db->fetch_array($results))
                            {
                                $subs_name[] = $results2['forum_name'];
                                $subs_id[] = $results2['id'];
                            }
                            if (is_array($subs_name))
                            {
                                $subforums = array();
                                for ($i = 0; $i < count($subs_name); $i++)
                                    $subforums[] = '<a href="' . BB_Input::Rewrite_URL("f", $subs_id[$i], $subs_name[$i]) . '">' . BB_Input::Htmlspecialchars($subs_name[$i]) . '</a>';
                                $subforumsp = "\t\t\t\t\t\t\t\t\t\t\t\t" . '<p><em class="sub_title">' . $lang['Subforums'] . '</em>: ' . implode(', ', $subforums) . '</p>' . "\n";
                            }
                            else
                                $subforumsp = "";
                        }
                        else
                            $subforumsp = "";
                        ?>
                        <tr<?php if ($item_status != '')
                            echo ' class="' . $item_status . '"'; ?>> 
                            <td class="tcl">
                                <div class="intd">
                                    <div class="<?php echo $icon_type ?>"><div class="nosize"><?php echo $icon_text ?></div></div>
                                    <div class="tclcon">
                        <?php
                        echo "\t\t\t\t\t\t\t\t\t\t\t\t" . $forum_field . "\n";
                        if (count($moderators) > 0)
                            echo $moderators;
                        echo $subforumsp;
                        ?>
                                    </div>
                                </div>
                            </td>
                            <td class="tcr"><?php echo $last_post ?></td>
                            <td class="tc2"><?php echo $num_topics ?></td>
                            <td class="tc3"><?php echo $num_posts ?></td>
                        </tr>
                        <?php
                    }
                }
                if ($cur_category > 0)
                    echo "\t\t\t\t\t\t\t\t" . '</tbody>' . "\n\t\t\t\t\t\t\t\t" . '</table>' . "\n\t\t\t\t\t\t\t" . '</div>' . "\n\t\t\t\t\t\t" . '</div>' . "\n\t\t\t\t\t" . '</div>' . "\n\n";
                else
                    echo '<div id="idx0" class="xenno_block"><div class="box"><div class="inbox"><p>' . $lang['Empty board'] . '</p></div></div></div>' . "\n";
                if (!$forum_user['is_guest'] && $forum_user['quicklinks'] == 'bottom' && (bb_quicklinks == '1'))
                    BB_Functions::quicklinks();
                if (bb_boardstats_enable == '1')
                {
                    $result = $db->query('SELECT COUNT(id)-1 FROM ' . $db->prefix . 'users') or BB_Functions::Error($lang['error_38'], __FILE__, __LINE__, $db->error());
                    $stats['total_users'] = $db->result($result);
                    $result = $db->query('SELECT id, username FROM ' . $db->prefix . 'users ORDER BY registered DESC LIMIT 1') or BB_Functions::Error($lang['error_39'], __FILE__, __LINE__, $db->error());
                    $stats['last_user'] = $db->fetch_assoc($result);
                    $result = $db->query('SELECT SUM(num_topics), SUM(num_posts) FROM ' . $db->prefix . 'forums') or BB_Functions::Error($lang['error_40'], __FILE__, __LINE__, $db->error());
                    list($stats['total_topics'], $stats['total_posts']) = $db->fetch_row($result);
                    $cat_ids = (isset($_COOKIE['collapseprefs'])) ? $_COOKIE['collapseprefs'] . ',' : FALSE;
                    if (strstr($cat_ids, '692,'))
                    {
                        $div_ido = "block";
                        $div_idx = "none";
                    }
                    else
                    {
                        $div_ido = "none";
                        $div_idx = "block";
                    }
                    ?>
                <div id="ido692" class="xenno_block" style="display:<?php echo $div_ido ?>">
                    <h2><span class="icons"><a href="javascript:xBB_Toggle_Category(692, 0);"><img src="<?php echo BB_Template::Get_Image_Folder() ?>arrows/down.png" alt="Expand" /></a></span><span><?php echo $lang['Board info'] ?></span></h2>
                </div>
                <div id="idx692" class="xenno_block" style="display:<?php echo $div_idx ?>">
                    <h2><span class="icons"><a href="javascript:xBB_Toggle_Category(692, 1);"><img src="<?php echo BB_Template::Get_Image_Folder() ?>arrows/up.png" alt="Collapse" /></a></span><span><?php echo $lang['Board info'] ?></span></h2>
                    <div class="box">
                        <div class="inbox">
                            <dl class="conr">
                                <dt><strong><?php echo $lang['Board stats'] ?></strong></dt>
                                <dd><?php echo $lang['No of users'] . ': <strong>' . $stats['total_users'] ?></strong></dd>
                                <dd><?php echo $lang['No of topics'] . ': <strong>' . $stats['total_topics'] ?></strong></dd>
                                <dd><?php echo $lang['No of posts_in'] . ': <strong>' . $stats['total_posts'] ?></strong></dd>
                            </dl>
                            <dl class="conl">
                                <dt><strong><?php echo $lang['User info'] ?></strong></dt>
                                <dd><?php echo $lang['Newest user'] ?>: <?php echo '<a href="' . BB_Input::Rewrite_URL('u', $stats['last_user']['id'], $stats['last_user']['username']) . '">' . BB_Input::Htmlspecialchars($stats['last_user']['username']) . '</a></dd>'; ?>
                                    <?php
                                    if (bb_users_online == '1')
                                    {
                                        $num_guests = 0;
                                        $users = array();
                                        $result = $db->query('SELECT user_id, ident, invisible, color FROM ' . $db->prefix . 'online WHERE idle=0 ORDER BY ident', true) or BB_Functions::Error($lang['error_10'], __FILE__, __LINE__, $db->error());
                                        while ($forum_user_online = $db->fetch_assoc($result))
                                        {
                                            if ($forum_user_online['invisible'] != 1 || $forum_user['g_id'] < USER_MOD)
                                            {
                                                if ($forum_user_online['user_id'] > 1)
                                                    $users[] = "\n\t\t\t\t\t\t\t\t\t" . '<dd><a href="' . BB_Input::Rewrite_URL("u", $forum_user_online['user_id'], $forum_user_online['ident']) . '"><span style="color: ' . $forum_user_online['color'] . '">' . BB_Input::Htmlspecialchars($forum_user_online['ident']) . '</span></a>';
                                                else
                                                    ++$num_guests;
                                            }
                                        }
                                        $num_users = count($users);
                                        $botStatus = BB_Core::Is_Bot_Online();
                                        if ($botStatus != '')
                                            $num_bots = count(explode(', ', $botStatus));
                                        else
                                            $num_bots = 0;
                                        $total_users = $num_users + $num_guests + $num_bots;
                                        echo "\t\t\t\t\t\t\t\t\t" . '<dd>' . $lang['Users online'] . ': <strong>' . $total_users . '</strong> (' . $num_users . ' ' . $lang['users'] . ', ' . $num_guests . ' ' . $lang['guests'] . ' ' . $lang['and'] . ' ' . $num_bots . ' ' . $lang['bots'] . ')</dd>' . "\n\t\t\t\t\t\t\t\t" . '</dl><div class="clearer"></div>' . "\n";
                                        if ($num_users > 0 || $botStatus != '')
                                        {
                                            echo "\t\t\t\t\t\t\t\t" . '<dl id="onlinelist">' . "\n\t\t\t\t\t\t\t\t\t" . '<dt><strong><a href="members.php?Page=online">' . $lang['Online'] . '</a>:&nbsp;</strong></dt>' . "\t\t\t\t" . implode(',</dd> ', $users);
                                            if ($num_users == 0)
                                                echo '<dd>';
                                            if ($botStatus != '' & $num_users == 0)
                                                echo substr($botStatus, 1);
                                            else
                                                echo $botStatus;
                                            echo '</dd>' . "\n\t\t\t\t\t\t\t\t" . '</dl>' . "\n";
                                        }
                                        if (bb_online_users_today != '0')
                                        {
                                            $date = getdate(time());
                                            $todaystamp = mktime(0, 0, 0, $date['mon'], $date['mday'], $date['year']);
                                            $result = $db->query('SELECT u.username, u.id, u.invisible, u.last_visit, u.gid, g.g_id, g.g_color FROM ' . $db->prefix . 'users AS u LEFT JOIN ' . $db->prefix . 'usergroups AS g ON g.g_id=u.gid WHERE last_visit >= \'' . $db->escape($todaystamp) . '\' AND u.gid != ' . USER_UNVERIFIED . ' ORDER by last_visit DESC') or BB_Functions::Error($lang['error_76'], __FILE__, __LINE__, $db->error());
                                            $users_today = array();
                                            $num = 0;
                                            while (($user_online_today = $db->fetch_assoc($result)) && $num < bb_online_users_today)
                                            {
                                                if ($user_online_today['invisible'] != 1 || $forum_user['g_id'] < USER_MOD)
                                                {
                                                    $users_today[] = "\n\t\t\t\t\t\t\t\t\t" . '<dd><a href="' . BB_Input::Rewrite_URL("u", $user_online_today['id'], $user_online_today['username']) . '" title="Last visit of ' . $user_online_today['username'] . ' : ' . BB_Input::Format_Time($user_online_today['last_visit']) . '"><span style="color:' . $user_online_today['g_color'] . '">' . BB_Input::Htmlspecialchars($user_online_today['username']) . '</span></a>';
                                                    $num++;
                                                }
                                            }
                                            $num_users_today = count($users_today);
                                            if ($num_users_today > 0)
                                            {
                                                echo "\t\t\t\t\t\t\t\t" . '<dl id="onlinetodaylist" class="clearb">' . "\n\t\t\t\t\t\t\t\t\t" . '<dt><strong>' . $lang['Online today'] . ': </strong></dt>';
                                                echo implode(',</dd> ', $users_today);
                                                echo '</dd>' . "\n\t\t\t\t\t\t\t\t" . '</dl>' . "\n";
                                            }
                                        }
                                    }
                                    else
                                        echo "\t\t" . '</dl>' . "\n\t\t\t" . '<div class="clearer"></div>' . "\n";
                                    echo "\n\t\t\t\t\t\t\t" . '</div>' . "\n\t\t\t\t\t" . '</div>' . "\n";
                                    if (bb_most_active != '0')
                                    {
                                        ?>
                                        <h3><span><?php echo $lang['Top10MostActive'] ?></span></h3>
                                        <div class="box">
                                            <div class="inbox">
                                                <dl id="mostactive" class="clearb">
                                        <?php
                                        $result = $db->query('SELECT u.id, u.gid, u.username, u.num_posts, g.g_id, g.g_color FROM ' . $db->prefix . 'users AS u LEFT JOIN ' . $db->prefix . 'usergroups AS g ON g.g_id=u.gid WHERE (u.num_posts != 0) && (u.gid != 3) ORDER BY u.num_posts DESC LIMIT ' . bb_most_active) or BB_Functions::Error($lang['error_77'], __FILE__, __LINE__, $db->error());
                                        while ($data = $db->fetch_assoc($result))
                                            echo "\t\t\t\t\t\t\t\t\t" . '<dd><a href="' . BB_Input::Rewrite_URL("u", $data['id'], $data['username']) . '"><span style="color:' . $data['g_color'] . '">' . BB_Input::Htmlspecialchars($data['username']) . '</span></a> (' . $data['num_posts'] . ')</dd>' . "\n";
                                        ?>
                                                </dl>
                                            </div>
                                        </div>
                                        <?php
                                    }
                                    $date = explode('.', date("d.m.Y"));
                                    $day = $date[0] + 0;
                                    $month = $date[1] + 0;
                                    $year = $date[2];
                                    $cur_date = "%-" . $month . "-" . $day;
                                    if ($month == "1" || $month == "3" || $month == "5" || $month == "7" || $month == "8" || $month == "10" || $month == "12")
                                        $days = 31;
                                    if ($month == "4" || $month == "6" || $month == "9" || $month == "11")
                                        $days = 30;
                                    if ($month == "2")
                                    {
                                        if (date("Y") % 4 == 0)
                                            $days = 29;
                                        else
                                            $days=28;
                                    }
                                    $bday_today = array();
                                    $result = $db->query('SELECT id, username, birthday FROM ' . $db->prefix . 'users WHERE birthday LIKE \'' . $db->escape($cur_date) . '\' ORDER BY birthday ASC') or BB_Functions::Error('Unable to fetch user list', __FILE__, __LINE__, $db->error());
                                    $u_count = $db->num_rows($result);
                                    if ($u_count > 0)
                                    {
                                        while ($row = $db->fetch_assoc($result))
                                        {
                                            $birthday = explode('-', $row['birthday']);
                                            $age = $year - intval($birthday[0]);
                                            $bday_today[] .= '<dd><a href="' . BB_Input::Rewrite_URL("u", $row['id'], $row['username']) . '">' . BB_Input::Htmlspecialchars($row['username']) . '</a> (<strong>' . $age . '</strong>)</dd>' . "\n";
                                        }
                                    }
                                    $num_bday_today = count($bday_today);
                                    if ($num_bday_today > 0)
                                    {
                                        ?>
                                        <h3><span><?php echo $lang['today_bday'] ?></span></h3>
                                        <div class="box">
                                            <div class="inbox">
                                                <dl id="birthday" class="clearb">
        <?php echo implode(', ', $bday_today); ?>
                                                </dl>
                                            </div>
                                        </div>
        <?php
    }
    if (bb_show_legend == '1')
    {
        ?>
                                        <h3><span><?php echo $lang['board_legend'] ?></span></h3>
                                        <div class="box">
                                            <div class="inbox" style="text-align:center">
                                                <br />
                                                <img src="<?php echo BB_Template::Get_Image_Folder() ?>icons/new.png" alt="New posts" />&nbsp;&nbsp;<small><?php echo $lang['New posts']; ?></small>&nbsp;&nbsp;&nbsp;
                                                <img src="<?php echo BB_Template::Get_Image_Folder() ?>icons/normal.png" alt="No new posts" />&nbsp;&nbsp;<small><?php echo $lang['No new posts']; ?></small>&nbsp;&nbsp;&nbsp;
                                                <img src="<?php echo BB_Template::Get_Image_Folder() ?>icons/sticky.png" alt="Sticky thread" />&nbsp;&nbsp;<small><?php echo $lang['Sticky thread']; ?></small>&nbsp;&nbsp;&nbsp;
                                                <img src="<?php echo BB_Template::Get_Image_Folder() ?>icons/closed.png" alt="Closed thread" />&nbsp;&nbsp;<small><?php echo $lang['Closed thread']; ?></small>&nbsp;&nbsp;&nbsp;
                                                <img src="<?php echo BB_Template::Get_Image_Folder() ?>icons/moved.png" alt="Moved thread" />&nbsp;&nbsp;<small><?php echo $lang['Moved thread']; ?></small><br /><br />
                                            </div>
                                        </div>
        <?php
    }
    ?>
                                    </div>
    <?php
}
$footer_style = 'index';
require FORUM_ROOT . $forum_folder . '/footer.php';
?>
