<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
require dirname(__FILE__) . '/../include/init.php';
if (bb_um_enable == 0)
    BB_Functions::Message($lang['No permission'], true, 1);
header('Content-type: text/xml');
$result = $db->query('SELECT id, username, title, realname, url, location, latitude, longitude, use_avatar FROM ' . $db->prefix . 'users WHERE latitude IS NOT NULL AND longitude IS NOT NULL;') or BB_Functions::Error($lang['error_9'], __FILE__, __LINE__, $db->error());
echo '<?xml version="1.0" encoding="ISO-8859-15"?>' . "\n";
echo '<markers>' . "\n";
while ($user = $db->fetch_assoc($result))
{
    if ($user['use_avatar'] == '1')
    {
        if (@getimagesize(bb_avatars_dir . '/' . $user['id'] . '.gif'))
            $avatar_field = bb_avatars_dir . '/' . $user['id'] . '.gif';
        else if (@getimagesize(bb_avatars_dir . '/' . $user['id'] . '.jpg'))
            $avatar_field = bb_avatars_dir . '/' . $user['id'] . '.jpg';
        else if (@getimagesize(bb_avatars_dir . '/' . $user['id'] . '.png'))
            $avatar_field = bb_avatars_dir . '/' . $user['id'] . '.png';
        else
            $avatar_field = '<img src="' . bb_avatars_dir . '/noavatar.png" alt="" />';
    }
    else
        $avatar_field = '';
    echo '<marker id="' . BB_Input::Htmlspecialchars($user['id']) . '" username="' . BB_Input::Htmlspecialchars($user['username']) . '" title="' . BB_Input::Htmlspecialchars($user['title']) . '" realname="' . BB_Input::Htmlspecialchars($user['realname']) . '" url="' . BB_Input::Htmlspecialchars($user['url']) . '" location="' . BB_Input::Htmlspecialchars($user['location']) . '" lat="' . BB_Input::Htmlspecialchars($user['latitude']) . '" lng="' . BB_Input::Htmlspecialchars($user['longitude']) . '" useavatar="' . BB_Input::Htmlspecialchars($user['use_avatar']) . '" avatar="' . BB_Input::Htmlspecialchars($avatar_field) . '"/>' . "\n";
}
echo '</markers>';
?>
