<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
?>
<div class="blockform" id="DownloadsBox">
    <h2><span><?php echo $lang_cms_main_block_downloads['downloads']; ?></span></h2>
    <div class="box">
        <?php
        $result = $db->query('SELECT id, name, filename, cat_id FROM ' . $db->prefix . 'module_downloads WHERE on_block=1') or BB_Functions::Error('Cannot retrieve files list', __FILE__, __LINE__, $db->error());
        $num_files = $db->num_rows($result);
        if ($num_files > 0)
        {
            echo "\t\t\t" . '<ul>' . "\n";
            $cms_files = array();
            for ($i = 0; $i < $num_files; ++$i)
                $cms_files[] = $db->fetch_assoc($result);
            foreach ($cms_files as $f)
            {
                $file_links = '';
                foreach (explode('|', bb_module_downloads_exts) as $ext)
                {
                    if (file_exists('var' . bb_module_downloads_path . '/' . $ext . '/' . $f['filename'] . '.' . $ext))
                    {
                        if (bb_rewrite_urls == 1)
                            $file_links .= '<b><a href="' . bb_website_url . '/downloads/' . $f['cat_id'] . '/' . $f['id'] . '/' . $ext . '" title="' . sprintf($lang_cms_main_block_downloads['download_it'], $ext, $f['name']) . '">.' . $ext . '</a></b> ';
                        else
                            $file_links .= '<b><a href="' . bb_website_url . '/index.php?/downloads/' . $f['cat_id'] . '/' . $f['id'] . '/' . $ext . '" title="' . sprintf($lang_cms_main_block_downloads['download_it'], $ext, $f['name']) . '">.' . $ext . '</a></b> ';
                    }
                }
                if ((bb_module_downloads_guest == 0 && $forum_user['is_guest']) || ($file_links == ''))
                    echo '<li>' . $f['name'] . '</li>' . "\n";
                else
                    echo '<li>' . $f['name'] . ' ' . $file_links . '</li>' . "\n";
            }
            echo "\t\t\t" . '</ul>' . "\n";
        }
        ?>
    </div>
</div>
