<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if (isset($_POST['change_lang']) && !$forum_user['is_guest'])
{
    $db->query('UPDATE ' . $db->prefix . 'users SET language=\'' . $db->escape($_POST['language']) . '\' WHERE id=' . $forum_user['id']) or BB_Functions::Error('Cannot update profile', __FILE__, __LINE__, $db->error());
    BB_Functions::Redirect(BB_Input::Htmlspecialchars($_SERVER['REQUEST_URI']), $lang['Lang redirect']);
}
if (!$forum_user['is_guest'])
{
    $cms_languages = array();
    $d = dir(FORUM_ROOT . 'include/languages');
    while (($entry = $d->read()) !== false)
    {
        if ($entry != '.' && $entry != '..' && is_dir(FORUM_ROOT . 'include/languages/' . $entry) && file_exists(FORUM_ROOT . 'include/languages/' . $entry . '/main.php'))
            $cms_languages[] = $entry;
    }
    $d->close();
    if (count($cms_languages) > 1)
    {
        natsort($cms_languages);
        ?>
        <div class="blockform" id="LangSwitchBox">
            <h2><span><?php echo $lang_cms_main_block_lang_switcher['lang_switcher']; ?></span></h2>
            <form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
                <div class="inform">
                    <input type="hidden" name="change_lang" value="1" />
                    <label for="language"><?php echo $lang_cms_main_block_lang_switcher['choose_lang']; ?></label><br />
                    <select id="language" style="width:130px" name="language">
                        <?php
                        while (list(, $temp) = @each($cms_languages))
                        {
                            if ($forum_user['language'] == $temp)
                                echo "\t\t\t\t\t\t\t" . '<option value="' . $temp . '" selected="selected">' . $temp . '</option>' . "\n";
                            else
                                echo "\t\t\t\t\t\t\t" . '<option value="' . $temp . '">' . $temp . '</option>' . "\n";
                        }
                        ?>
                    </select>
                    <input name="submit" class="b1" value="<?php echo $lang_cms_main_block_lang_switcher['go']; ?>" type="submit" />
                </div>
            </form>
        </div>
        <?php
    }
}