<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM_ADMIN'))
    exit;
if (!BB_Admin_Functions::Check_Permissions('block_my_profile'))
    BB_Functions::Message($lang_common['No permission']);
if (isset($_POST['config_block_my_profile']))
{
    $form = array_map('trim', $_POST['form']);
    $cms_settings->Set_Namespace('block_my_profile');
    $res = $cms_settings->Save('bb_block_my_profile', intval($form['block_my_profile']));
    $res = $cms_settings->Save('bb_block_my_profile_av', intval($form['block_my_profile_av']));
    $res = $cms_settings->Save('bb_block_my_profile_pm', intval($form['block_my_profile_pm']));
    $res = $cms_settings->Save('bb_block_my_profile_st', intval($form['block_my_profile_st']));
    $cms_settings->Set_Namespace('');
    if ($res)
    {
        BB_Admin_Functions::Log_Action($lang_cms_main_block_my_profile['Config_my_profile_block'], 1);
        BB_Functions::Redirect('loader.php?block=my_profile', $lang['config_updated']);
    }
    else
        BB_Functions::Message($lang['unable_update_config']);
}
else
{
    ?>
    <div class="blockform" id="MyProfileBox">
        <h2><span><?php echo $lang_cms_main_block_my_profile['config_block']; ?></span></h2>
        <form method="post" action="loader.php?block=my_profile">
            <input type="hidden" name="config_block_my_profile" value="1" />
            <div class="inform">
                <div class="infldset file" style="padding:10px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px" scope="row"><?php echo $lang_cms_main_block_my_profile['enable_block']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_website_url . '/' . $forum_folder ?>/img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_my_profile['enable_block_help'] ?>');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form[block_my_profile]" value="1"<?php if (bb_block_my_profile == 1)
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['Yes']; ?>&nbsp;&nbsp;&nbsp;<input type="radio" name="form[block_my_profile]" value="0"<?php if (bb_block_my_profile == 0)
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['No']; ?></td>
                        </tr>
                        <tr>
                            <th style="width:150px" scope="row"><?php echo $lang_cms_main_block_my_profile['enable_block_av']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_website_url . '/' . $forum_folder ?>/img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_my_profile['enable_block_av_help'] ?>');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form[block_my_profile_av]" value="1"<?php if (bb_block_my_profile_av == 1)
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['Yes']; ?>&nbsp;&nbsp;&nbsp;<input type="radio" name="form[block_my_profile_av]" value="0"<?php if (bb_block_my_profile_av == 0)
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['No']; ?></td>
                        </tr>
                        <tr>
                            <th style="width:150px" scope="row"><?php echo $lang_cms_main_block_my_profile['enable_block_pm']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_website_url . '/' . $forum_folder ?>/img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_my_profile['enable_block_pm_help'] ?>');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form[block_my_profile_pm]" value="1"<?php if (bb_block_my_profile_pm == 1)
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['Yes']; ?>&nbsp;&nbsp;&nbsp;<input type="radio" name="form[block_my_profile_pm]" value="0"<?php if (bb_block_my_profile_pm == 0)
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['No']; ?></td>
                        </tr>
                        <tr>
                            <th style="width:150px" scope="row"><?php echo $lang_cms_main_block_my_profile['enable_block_st']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_website_url . '/' . $forum_folder ?>/img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_my_profile['enable_block_st_help'] ?>');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form[block_my_profile_st]" value="1"<?php if (bb_block_my_profile_st == 1)
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['Yes']; ?>&nbsp;&nbsp;&nbsp;<input type="radio" name="form[block_my_profile_st]" value="0"<?php if (bb_block_my_profile_st == 0)
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['No']; ?></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="submit" class="b1" value=" <?php echo $lang['Save']; ?> " /></div>
        </form>
    </div>
    <?php
}