<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
?>
<div class="blockform" id="OnlineBox">
    <h2><span><?php echo $lang_cms_main_block_online['online']; ?></span></h2>
    <div class="box">
        <ul>
            <?php
            $cms_num_guests = $cms_num_users = 0;
            $cms_users = array();
            $result = $db->query('SELECT user_id, ident, invisible FROM ' . $db->prefix . 'online WHERE idle=0 ORDER BY ident', true) or BB_Functions::Error('Cannot retrieve online users list', __FILE__, __LINE__, $db->error());
            while ($forum_user_online = $db->fetch_assoc($result))
            {
                if ($forum_user_online['user_id'] > 1)
                {
                    if ($forum_user_online['invisible'] != 1 || $forum_user['g_id'] < USER_MOD)
                    {
                        $cms_users[] = '<a href="' . bb_forum_url . BB_Input::Rewrite_URL("u", $forum_user_online['user_id'], $forum_user_online['ident']) . '">' . BB_Input::Htmlspecialchars($forum_user_online['ident']) . '</a>';
                        ++$cms_num_users;
                    }
                }
                else
                    ++$cms_num_guests;
            }
            echo "\t\t\t\t\t" . '<li>' . $lang_cms_main_block_online['guests_online'] . $cms_num_guests . '</li>' . "\n";
            echo "\t\t\t\t\t" . '<li>' . $lang_cms_main_block_online['users_online'] . $cms_num_users . '</li>' . "\n";
            if ($cms_num_users > 0)
                echo "\t\t\t\t\t" . '<li>' . $lang_cms_main_block_online['members_online'] . implode(', ', $cms_users) . '</li>' . "\n";
            ?>
        </ul>
    </div>
</div>
