<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM_ADMIN'))
    exit('No direct script access allowed');
if (!BB_Admin_Functions::Check_Permissions('block_recent_topics'))
    BB_Functions::Message($lang['No permission']);
if (isset($_POST['config_block_recent_topics']))
{
    $form = array_map('trim', $_POST['form']);
    if ($form['block_recent_topics_num'] < 1 || $form['block_recent_topics_num'] > 50)
        $form['block_recent_topics_num'] = 15;
    $form['block_recent_topics_fid'] = explode(',', trim($form['block_recent_topics_fid']));
    $form['block_recent_topics_fid'] = array_map('intval', $form['block_recent_topics_fid']);
    $form['block_recent_topics_fid'] = implode(',', $form['block_recent_topics_fid']);
    if ($form['block_recent_topics_fid'] == 0)
        $form['block_recent_topics_fid'] = '';
    $form['block_recent_topics_nfid'] = explode(',', trim($form['block_recent_topics_nfid']));
    $form['block_recent_topics_nfid'] = array_map('intval', $form['block_recent_topics_nfid']);
    $form['block_recent_topics_nfid'] = implode(',', $form['block_recent_topics_nfid']);
    if ($form['block_recent_topics_nfid'] == 0)
        $form['block_recent_topics_nfid'] = '';
    $cms_settings->Set_Namespace('block_recent_topics');
    $res = true;
    $res &= $cms_settings->Save('bb_block_recent_topics', intval($form['block_recent_topics']));
    $res &= $cms_settings->Save('bb_block_recent_topics_num', intval($form['block_recent_topics_num']));
    $res &= $cms_settings->Save('bb_block_recent_topics_max_len', intval($form['block_recent_topics_max_len']));
    $res &= $cms_settings->Save('bb_block_recent_topics_fid', $form['block_recent_topics_fid']);
    $res &= $cms_settings->Save('bb_block_recent_topics_nfid', $form['block_recent_topics_nfid']);
    $cms_settings->Set_Namespace('');
    if ($res)
    {
        BB_Admin_Functions::Log_Action("Config recent_topics block", 1);
        BB_Functions::Redirect('loader.php?block=recent_topics', $lang['config_updated']);
    }
    else
        BB_Functions::Message($lang['unable_update_config']);
}
else
{
    ?>
    <div class="blockform" id="RecentTopicsBox">
        <h2><span><?php echo $lang_cms_main_block_recent_topics['config_block']; ?></span></h2>
        <form method="post" action="loader.php?block=recent_topics">
            <input type="hidden" name="config_block_recent_topics" value="1" />
            <div class="inform">
                <div class="infldset file" style="padding:10px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px" scope="row"><?php echo $lang_cms_main_block_recent_topics['enable_block']; ?></th>
                            <td style="width:25px">&nbsp;</td>
                            <td><input type="radio" name="form[block_recent_topics]" value="1"<?php if (bb_block_recent_topics == 1)
        echo ' checked="checked"'; ?> />&#160;<?php echo $lang['Yes']; ?>&#160;&#160;&#160;<input type="radio" name="form[block_recent_topics]" value="0"<?php if (bb_block_recent_topics == 0)
                                       echo ' checked="checked"'; ?> />&#160;<?php echo $lang['No']; ?></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php echo $lang_cms_main_block_recent_topics['nb_topics']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_recent_topics['nb_topics_info']; ?>');" onmouseout="return nd();" /></td>
                            <td><input class="textbox" type="text" name="form[block_recent_topics_num]" size="5" maxlength="5" value="<?php echo bb_block_recent_topics_num; ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php echo $lang_cms_main_block_recent_topics['truncat']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_recent_topics['truncat_info']; ?>');" onmouseout="return nd();" /></td>
                            <td><input class="textbox" type="text" name="form[block_recent_topics_max_len]" size="5" maxlength="5" value="<?php echo bb_block_recent_topics_max_len; ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php echo $lang_cms_main_block_recent_topics['forum_id']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_recent_topics['forum_id_info']; ?>');" onmouseout="return nd();" /></td>
                            <td><input class="textbox" type="text" name="form[block_recent_topics_fid]" size="30" maxlength="255" value="<?php echo bb_block_recent_topics_fid; ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php echo $lang_cms_main_block_recent_topics['forum_exclude']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_recent_topics['forum_exclude_info']; ?>');" onmouseout="return nd();" /></td>
                            <td><input class="textbox" type="text" name="form[block_recent_topics_nfid]" size="30" maxlength="255" value="<?php echo bb_block_recent_topics_nfid; ?>" /></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="button" class="b1" onclick="javascript:history.go(-1);" value="<?php echo $lang['Go back']; ?>" />&nbsp;&nbsp;&nbsp;<input type="submit" class="b1" value=" <?php echo $lang['Save']; ?> " /></div>
        </form>
    </div>
    <?php
}
?>
