<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
{
    exit('No direct script access allowed');
}
$tpl_temp = BB_Input::Trim(ob_get_contents());
$tp_tpl_main = str_replace('<forum_main>', $tpl_temp, $tp_tpl_main);
ob_end_clean();
if (defined('IN_FORUM_ADMIN'))
{
    $tp_tpl_main = str_replace('<forum_sidebar>', BB_Admin_Functions::Set_Admin_Menu(), $tp_tpl_main);
}
else
{
    foreach ($cms_blocks->All_Elements() as $block)
    {
        if (strpos($tp_tpl_main, '<cms_block_' . $block . '>'))
        {
            ob_start();
            if (in_array($block, $cms_blocks->Active_Elements()))
            {
                require $cms_blocks->path . $block . '/index.php';
                $tpl_temp = ob_get_contents();
                $tp_tpl_main = str_replace('<cms_block_' . $block . '>', $tpl_temp, $tp_tpl_main);
            }
            else
            {
                $tp_tpl_main = str_replace('<cms_block_' . $block . '>', '', $tp_tpl_main);
            }
            ob_end_clean();
        }
    }
}
ob_start();
$db->end_transaction();
$tpl_temp = BB_Input::Trim(ob_get_contents());
ob_start();
echo "\t\t\t" . '<div id="xenno_menu2" class="inbox">';
echo "\n\t\t\t\t\t\t" . '<ul class="conl">' . "\n";
$footer_style = isset($footer_style) ? $footer_style : NULL;
$d = dir(FORUM_ROOT . 'include/functions/user/hooks');
while (($entry = $d->read()) !== false)
{
    if ($entry != '.' && $entry != '..' && $entry != 'index.html')
    {
        include (FORUM_ROOT . 'include/functions/user/hooks/' . $entry . '/footer.php');
    }
}
$d->close();
if ($footer_style == 'frontpage')
{
    $tmp_header = '<div class="actions"><p style="text-align:left;">';
    if (bb_rss_type == 2)
    {
        $temp_actions = '<a href="' . bb_website_url . '/syndicate.php?type=rss20">' . $lang['Syndicate the board'] . '</a><br />';
    }
    else if (bb_rss_type == 1)
    {
        $temp_actions = '<a href="' . bb_website_url . '/syndicate.php?type=rss10">' . $lang['Syndicate the board'] . '</a><br />';
    }
    $tmp_footer = "</p></div>";
    if ($temp_actions == '')
    {
        $temp_actions = $tmp_header . '<em>No actions available</em>' . $tmp_footer;
    }
    else
    {
        $temp_actions = $tmp_header . $temp_actions . $tmp_footer;
    }
    echo "\t\t\t\t\t\t\t" . '<li><a href="#" rel="nofollow" onclick="return xBB_Show_Tooltip(\'' . BB_Input::Htmlspecialchars($temp_actions) . '\', REF, \'actions\', REFC,\'UL\', REFP,\'LL\', REFX, 4, FGCLASS, \'actions_popup_fg\', BGCLASS, \'actions_popup_bg\', WRAP, BORDER, 1, STICKY, ABOVE, MOUSEOFF);"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_actions.png" id="actions" style="padding:0px;margin:-4px" alt="Actions" /></a></li>';
}
else
{
    echo "\t\t\t\t\t\t\t" . '<li><img src="' . BB_Template::Get_Image_Folder() . 'cat6_noactions.png" style="padding:0px;margin:-4px" alt="" /></li>';
}
echo "\n\t\t\t\t\t\t" . '</ul>' . "\n";
?>
<ul class="conr">
<?php
if (bb_rules == '1')
{
    echo "\t\t\t\t\t\t\t" . '<li><a href="' . bb_forum_url . 'misc.php?action=rules" rel="nofollow" title="Display board rules"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_rules.png" alt="Rules" /></a></li>' . "\n";
}
if ($forum_user['g_id'] == USER_MOD)
{
    echo "\t\t\t\t\t\t\t" . '<li><a href="' . bb_website_url . '/admin/index.php?Page=Intro" rel="nofollow" title="Go to Moderator Control Panel"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_moderator.png" alt="Moderator" /></a></li>' . "\n";
}
else if ($forum_user['g_id'] == USER_ADMIN)
{
    echo "\t\t\t\t\t\t\t" . '<li><a href="' . bb_website_url . '/admin/index.php?Page=Intro" rel="nofollow" title="Go to Admin Control Panel"><img src="' . BB_Template::Get_Image_Folder() . 'cat6_administrator.png" alt="Administrator" /></a></li>' . "\n";
}
?>
    <li><a href="#top" rel="nofollow" title="Go to top"><img src="<?php echo BB_Template::Get_Image_Folder() ?>cat6_top.png" alt="Top" /></a></li>
</ul>
<div class="clearer"></div>
</div>
<?php
$tpl_temp .= BB_Input::Trim(ob_get_contents());
ob_end_clean();
$tp_tpl_main = str_replace('<forum_footer>', $tpl_temp, $tp_tpl_main);
ob_end_clean();
while (preg_match('#<forum_include "([^/\\\\]*?)">#', $tp_tpl_main, $cur_include))
{
    if (!file_exists(FORUM_ROOT . 'include/functions/user/' . $cur_include[1]))
    {
        BB_Functions::Error('Unable to process user include &lt;forum_include "' . BB_Input::Htmlspecialchars($cur_include[1]) . '"&gt; from template forum_main.tpl. There is no such file in folder include/functions/user/');
    }
    ob_start();
    include FORUM_ROOT . 'include/functions/user/' . $cur_include[1];
    $tpl_temp = ob_get_contents();
    $tp_tpl_main = str_replace($cur_include[0], $tpl_temp, $tp_tpl_main);
    ob_end_clean();
}
$db->close();
exit($tp_tpl_main);