<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
session_start();

class BB_Captcha
{

    var $text;

    function BB_Captcha()
    {
        srand((double) microtime() * 1000000 ^ getmypid());
    }

    function Create_Image($width = 180, $height = 45)
    {
        header("Content-type:image/jpeg");
        $im = imagecreate($width, $height);
        $black = imagecolorallocate($im, 0, 0, 0);
        $white = imagecolorallocate($im, 255, 255, 255);
        $other = imagecolorallocate($im, 160, 160, 160);
        $num = rand(0, 5);
        for ($i = $num; $i <= $width; $i+=16)
            imageline($im, $i, 0, $i, 45, $other);
        for ($i = $num; $i <= $height + 10; $i+=16)
            imageline($im, 0, $i, 180, $i, $other);
        $string = substr(strtolower(md5(uniqid(rand(), 1))), 0, 7);
        $string = str_replace('0', 'x', $string);
        $font = imageloadfont('fonts/captcha.gdf');
        imagestring($im, $font, 10, 8, $string, $white);
        imagejpeg($im);
        imagedestroy($im);
        return $this->text = $string;
    }

}

$im = &new BB_Captcha;
$_SESSION['text'] = $im->Create_Image();
?>
