<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if (!function_exists('file_put_contents'))
{

    function file_put_contents($filename, $data)
    {
        if ($handle = @fopen($filename, 'wb'))
        {
            if (!fwrite($handle, $data))
                return false;
            fclose($handle);
        }
        else
            return false;
        return true;
    }

}
if (!function_exists('file_get_contents'))
{

    function file_get_contents($filename, $use_include_path = 0)
    {
        $data = '';
        if ($fh = fopen($filename, 'rb', $use_include_path))
        {
            $data = fread($fh, filesize($filename));
            fclose($fh);
        }
        return $data;
    }

}
if (!function_exists('var_export'))
{

    function var_export()
    {
        $args = func_get_args();
        $indent = (isset($args[2])) ? $args[2] : '';
        if (is_array($args[0]))
        {
            $output = 'array (' . "\n";
            foreach ($args[0] as $k => $v)
            {
                if (is_numeric($k))
                    $output .= $indent . '  ' . $k . ' => ';
                else
                    $output .= $indent . '  \'' . str_replace('\'', '\\\'', str_replace('\\', '\\\\', $k)) . '\' => ';
                if (is_array($v))
                    $output .= var_export($v, true, $indent . '  ');
                else
                {
                    if (gettype($v) != 'string' && !empty($v))
                        $output .= $v . ',' . "\n";
                    else
                        $output .= '\'' . str_replace('\'', '\\\'', str_replace('\\', '\\\\', $v)) . '\',' . "\n";
                }
            }
            $output .= ( $indent != '') ? $indent . '),' . "\n" : ')';
        }
        else
            $output = $args[0];
        if ($args[1] == true)
            return $output;
        else
            echo $output;
    }

}
include FORUM_ROOT . 'include/functions/Core.php';
include FORUM_ROOT . 'include/functions/Input.php';
include FORUM_ROOT . 'include/functions/Output.php';
include FORUM_ROOT . 'include/functions/Files.php';
include FORUM_ROOT . 'include/functions/Template.php';
include FORUM_ROOT . 'include/functions/Images.php';
include FORUM_ROOT . 'include/functions/Email.php';
include FORUM_ROOT . 'include/functions/Config.php';
include FORUM_ROOT . 'include/functions/Extensions.php';
include FORUM_ROOT . 'include/functions/Functions.php';
?>
