<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');

function get_microtime()
{
    list($usec, $sec) = explode(' ', microtime());
    return ((float) $usec + (float) $sec);
}

switch ($db_type)
{
    case 'mysql':
        require FORUM_ROOT . 'include/functions/drivers/mysql.php';
        break;
    case 'mysqli':
        require FORUM_ROOT . 'include/functions/drivers/mysqli.php';
        break;
    case 'pgsql':
        require FORUM_ROOT . 'include/functions/drivers/pgsql.php';
        break;
    case 'sqlite':
        require FORUM_ROOT . 'include/functions/drivers/sqlite.php';
        break;
    default:
        BB_Functions::Error('\'' . $db_type . '\' is not a valid database type. Please check settings.', __FILE__, __LINE__);
        break;
}
$db = new xBB_DB_Layer($db_host, $db_username, $db_password, $db_name, $db_prefix, $p_connect);
if ($lang['lang_encoding'] == strtolower('utf-8'))
    $db->query("SET NAMES 'UTF8'");
?>