<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if ($forum_user['g_id'] > USER_MOD || ($forum_user['g_id'] == USER_MOD && bb_mod_ban_users == '0') || $forum_user['g_global_moderation'])
    BB_Functions::Message($lang['Bad request']);
$page_title = BB_Input::Htmlspecialchars($lang['Profile']);
require FORUM_ROOT . $forum_folder . '/header.php';
BB_Functions::Set_Profile_Menu('admin');
?>
<div class="blockform">
    <h2><span><?php echo BB_Input::Htmlspecialchars($user['username']) . ' - ' . $lang['Section admin'] ?></span></h2>
    <div class="box">
        <form id="profile7" method="post" action="member.php?section=admin&amp;id=<?php echo $id ?>">
            <div class="inform">
                <input type="hidden" name="form_sent" value="1" />
                <?php
                if ($forum_user['g_id'] == USER_MOD || $forum_user['g_global_moderation'])
                {
                    ?>
                    <p><b><?php echo $lang['Delete ban legend'] ?></b></p>
                    <div class="infldset file" style="padding:6px">
                        <div><input type="submit" class="b1" name="ban" value="<?php echo $lang['Ban user'] ?>" /></div>
                    </div>
                </div>
                <?php
            }
            else
            {
                if ($forum_user['id'] != $id)
                {
                    ?>
                    <p><b><?php echo $lang['Group membership legend'] ?></b></p>
                    <div class="infldset file" style="padding:6px">
                        <select id="gid" name="gid">
                            <?php
                            $result = $db->query('SELECT g_id, g_title FROM ' . $db->prefix . 'usergroups WHERE g_id!=' . USER_GUEST . ' ORDER BY g_title') or BB_Functions::Error('Unable to fetch user group list', __FILE__, __LINE__, $db->error());
                            while ($cur_group = $db->fetch_assoc($result))
                            {
                                if ($cur_group['g_id'] == $user['g_id'] || ($cur_group['g_id'] == bb_default_user_group && $user['g_id'] == ''))
                                    echo "\t\t\t\t\t\t\t\t" . '<option value="' . $cur_group['g_id'] . '" selected="selected">' . BB_Input::Htmlspecialchars($cur_group['g_title']) . '</option>' . "\n";
                                else
                                    echo "\t\t\t\t\t\t\t\t" . '<option value="' . $cur_group['g_id'] . '">' . BB_Input::Htmlspecialchars($cur_group['g_title']) . '</option>' . "\n";
                            }
                            ?>
                        </select>
                        <input type="submit" class="b1" name="update_group_membership" value="<?php echo $lang['Save'] ?>" />
                    </div>
            </div>
            <div class="inform">
        <?php
    }
    ?>
            <p><b><?php echo $lang['Delete ban legend'] ?></b></p>
            <div class="infldset file" style="padding:6px">
                <div><input type="submit" class="b1" name="delete_user" value="<?php echo $lang['Delete user'] ?>" />&nbsp;&nbsp;<input type="submit" class="b1" name="ban" value="<?php echo $lang['Ban user'] ?>" /></div>
            </div>
        </div>
    <?php
    if ($user['g_id'] == USER_MOD || $user['g_id'] == USER_ADMIN || $forum_user['g_global_moderation'])
    {
        ?>
            <div class="inform">
                <p><b><?php echo $lang['Set mods legend'] ?></b></p>
                <div class="infldset file" style="padding:6px">
                    <p><?php echo $lang['Moderator in info'] ?></p>
                    <?php
                    $toskip = array();
                    $result = $db->query('SELECT f.id AS fid FROM ' . $db->prefix . 'forums AS f WHERE f.parent_forum_id != 0') or BB_Functions::Error('Cannot retrieve list of subforums', __FILE__, __LINE__, $db->error());
                    if ($db->num_rows($result) != 0)
                    {
                        while ($results = $db->fetch_array($result))
                            $toskip[] = $results['fid'];
                    }

                    $result = $db->query('SELECT c.id AS cid, c.cat_name, f.id AS fid, f.forum_name, f.moderators FROM ' . $db->prefix . 'categories AS c INNER JOIN ' . $db->prefix . 'forums AS f ON c.id=f.cat_id WHERE f.redirect_url IS NULL ORDER BY c.disp_position, c.id, f.disp_position') or BB_Functions::Error('Unable to fetch category/forum list', __FILE__, __LINE__, $db->error());
                    $cur_category = 0;
                    while ($cur_forum = $db->fetch_assoc($result))
                    {
                        if ($cur_forum['cid'] != $cur_category)
                        {
                            if ($cur_category)
                                echo "\n\t\t\t\t\t\t\t\t" . '</div>';
                            if ($cur_category != 0)
                                echo "\n\t\t\t\t\t\t\t" . '</div>' . "\n";
                            echo "\t\t\t\t\t\t\t" . '<div>' . "\n\t\t\t\t\t\t\t\t" . '<p><strong>' . $cur_forum['cat_name'] . '</strong></p>' . "\n\t\t\t\t\t\t\t\t" . '<div class="rbox">';
                            $cur_category = $cur_forum['cid'];
                        }
                        $moderators = ($cur_forum['moderators'] != '') ? unserialize($cur_forum['moderators']) : array();
                        echo "\n\t\t\t\t\t\t\t\t\t" . '<label><input type="checkbox" name="moderator_in[' . $cur_forum['fid'] . ']" value="1"' . ((in_array($id, $moderators)) ? ' checked="checked"' : '') . ' />' . BB_Input::Htmlspecialchars($cur_forum['forum_name']) . '</label><br />' . "\n";
                    }
                    ?>
                </div>
            </div>
        </div>
        <br />
        <div><input type="submit" class="b1" name="update_forums" value="<?php echo $lang['Update forums'] ?>" /></div>
        </div>
        <?php
    }
}
?>
</form>
</div>
</div>
