<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if (isset($_POST['form_sent']))
{
    if (empty($_POST['PIA']))
        BB_Functions::Message($lang['Avatar_Error']);
    $ext = explode('.', $_POST['PIA']);
    $ext = $ext[1];
    if (substr($_POST['category'], 0, 1) == '/' || substr($_POST['category'], 0, 1) == '.')
        BB_Functions::Message($lang['Bad request']);
    else
        $av_category = BB_Input::Htmlspecialchars($_POST['category']);
    $file = "img/avatars/gallery/" . $av_category . "/" . $_POST['PIA'];
    $new_file = bb_avatars_dir . '/' . $id . '.' . $ext;
    @unlink(bb_avatars_dir . '/' . $id . '.gif');
    @unlink(bb_avatars_dir . '/' . $id . '.jpg');
    @unlink(bb_avatars_dir . '/' . $id . '.png');
    $temp = copy($file, $new_file);
    chmod($new_file, 0644);
    if (!$temp)
        BB_Functions::Message($lang['Move failed'] . ' <a href="mailto:' . bb_admin_email . '">' . bb_admin_email . '</a>.');
    $db->query('UPDATE ' . $db->prefix . 'users SET use_avatar=1 WHERE id=' . $db->escape($id)) or BB_Functions::Error('Unable to update avatar state', __FILE__, __LINE__, $db->error());
    BB_Functions::Redirect(bb_forum_url . 'member.php?section=personality&id=' . $id, $lang['Avatar upload redirect']);
}
else
{
    if (substr($_POST['category'], 0, 1) == '/' || substr($_POST['category'], 0, 1) == '.')
        BB_Functions::Message($lang['Bad request']);
    else
        $category = (isset($_POST['category'])) ? BB_Input::Htmlspecialchars($_POST['category']) : "Faces";
    $page_title = BB_Input::Htmlspecialchars($lang['Profile'] . ' - ' . $lang['Avatar_gallery']);
    require FORUM_ROOT . $forum_folder . '/header.php';
    BB_Functions::Set_Profile_Menu('personality');
    ?>
    <div class="blockform">
        <div class="box">
            <h2><span>Avatar Gallery : <?php echo $category ?></span></h2>
            <div class="box">
                <form method="post" action="member.php?action=avatar_gallery&amp;id=<?php echo $id ?>" id="copy_av" onsubmit="return process_form(this)">
                    <div class="inform">
                        <div class="infldset file" style="padding:6px">
                            <input type="hidden" name="form_sent" value="1" />
                            <input type="hidden" name="category" value="<?php echo $category ?>" />
                            <table cellspacing="0">
                                <tbody>
                                    <tr>
                                        <?php
                                        $rows = "4";
                                        $row = "0";
                                        $dir = dir('img/avatars/gallery/' . $category . '/');
                                        while ($entry = $dir->read())
                                        {
                                            if (substr($entry, strlen($entry) - 4) == '.jpg' || substr($entry, strlen($entry) - 4) == '.gif' || substr($entry, strlen($entry) - 4) == '.png')
                                            {
                                                $name = substr($entry, 0, strlen($entry) - 4);
                                                if ($row == $rows)
                                                {
                                                    echo"\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n";
                                                    echo"\t\t\t\t\t\t\t\t<td valign='bottom'>\n\t\t\t\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t\t\t\t<img src='img/avatars/gallery/" . $category . "/" . $entry . "' alt='' /><br />\n\t\t\t\t\t\t\t\t\t\t<input type='radio' name='PIA' value='" . $entry . "' />" . $name . "\n\t\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t\t</td>\n";
                                                    $row = "1";
                                                }
                                                else
                                                {
                                                    echo"\t\t\t\t\t\t\t\t<td valign='bottom'>\n\t\t\t\t\t\t\t\t\t<label>\n\t\t\t\t\t\t\t\t\t\t<img src='img/avatars/gallery/" . $category . "/" . $entry . "' alt='' /><br />\n\t\t\t\t\t\t\t\t\t\t<input type='radio' name='PIA' value='" . $entry . "' />" . $name . "\n\t\t\t\t\t\t\t\t\t</label>\n\t\t\t\t\t\t\t\t</td>\n";
                                                    $row++;
                                                }
                                            }
                                        }
                                        $dir->close();
                                        if ($row != $rows)
                                        {
                                            while ($row < $rows)
                                            {
                                                echo"\t\t\t\t\t\t\t\t<td> &nbsp; </td>\n";
                                                $row++;
                                            }
                                        }
                                        ?>
                                    </tr>
                                </tbody>
                            </table>
                            <div><input type="button" class="b1" name="submit" onclick="javascript:history.go(-1);" value="<?php echo $lang['Go back'] ?>" /><input type="submit" class="b1" name="upload" value="<?php echo $lang['Upload'] ?>" /></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div><br />
    <div class="blockform">
        <div class="box">
            <form id="change_avatar" method="post" action="member.php?action=avatar_gallery&amp;id=<?php echo $id ?>">
                <div class="inform">
                    <div class="infldset file" style="padding:6px">
                        <b>Gallery</b> : <select name='category'>
                            <?php
                            $dir = dir('img/avatars/gallery/');
                            while ($entry = $dir->read())
                            {
                                $select = ($category == $entry) ? ' selected="selected"' : NULL;
                                if ($entry != '.' && $entry != '..' && $entry != 'index.html')
                                    echo "\t\t\t\t\t\t\t<option value='" . $entry . "'" . $select . ">" . $entry . "</option>\n";
                            }
                            $dir->close();
                            ?>
                        </select>&nbsp;&nbsp;<input type="submit" class="b1" value="&nbsp;Go!&nbsp;" name="submit" />
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="clearer"></div>
    <?php
    require FORUM_ROOT . $forum_folder . '/footer.php';
}
?>
