<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if ($forum_user['g_id'] < USER_GUEST)
{
    if ($forum_user['g_id'] == USER_ADMIN || bb_mod_rename_users == '1' || $forum_user['g_global_moderation'])
        $username_field = '<input type="hidden" name="old_username" value="' . BB_Input::Htmlspecialchars($user['username']) . '" /><input type="text" class="textbox" name="req_username" value="' . BB_Input::Htmlspecialchars($user['username']) . '" size="40" maxlength="25" />' . "\n";
    else
        $username_field = BB_Input::Htmlspecialchars($user['username']) . "\n";
    $email_field = '<input type="text" class="textbox" name="req_email" value="' . $user['email'] . '" size="40" maxlength="50" /><p><a href="misc.php?email=' . $id . '">' . $lang['Send e-mail'] . '</a></p>' . "\n";
    $email_field .= '<p><a href="messages.php?Page=Send&id=' . $id . '">' . $lang['Quick message'] . '</a></p>' . "\n";
}
else
{
    $username_field = BB_Input::Htmlspecialchars($user['username']) . "\n";
    if (bb_regs_verify == '1')
        $email_field = $user['email'] . '&nbsp;-&nbsp;<a href="member.php?action=change_email&amp;id=' . $id . '">' . $lang['Change e-mail'] . '</a>' . "\n";
    else
        $email_field = '<input type="text" class="textbox" name="req_email" value="' . $user['email'] . '" size="40" maxlength="50" />' . "\n";
}
if ($forum_user['g_id'] == USER_ADMIN)
    $posts_field = '<input type="text" class="textbox" name="num_posts" value="' . $user['num_posts'] . '" size="8" maxlength="8" /> <a href="search.php?action=show_user&amp;user_id=' . $id . '">' . $lang['Show posts'] . '</a>' . "\n";
else if (bb_show_post_count == '1' || $forum_user['g_id'] < USER_GUEST)
    $posts_field = $user['num_posts'] . ' - <a href="search.php?action=show_user&amp;user_id=' . $id . '">' . $lang['Show posts'] . '</a>' . "\n";
else
    $posts_field = '<a href="search.php?action=show_user&amp;user_id=' . $id . '">' . $lang['Show posts'] . '</a>' . "\n";
$page_title = BB_Input::Htmlspecialchars($lang['Profile']);
$required_fields = array('req_username' => $lang['Username'], 'req_email' => $lang['E-mail']);
require FORUM_ROOT . $forum_folder . '/header.php';
BB_Functions::Set_Profile_Menu('essentials');
?>
<div class="blockform">
    <h2><span><?php echo BB_Input::Htmlspecialchars($user['username']) . ' - ' . $lang['Section essentials'] ?></span></h2>
    <div class="box">
        <form id="profile1" method="post" action="member.php?section=essentials&amp;id=<?php echo $id ?>" onsubmit="return process_form(this)">
            <div class="inform">
                <div class="infldset file" style="padding:6px">
                    <input type="hidden" name="form_sent" value="1" />
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px"><b><?php echo $lang['Username'] ?></b></th><td><?php echo $username_field ?>
<?php
if ($forum_user['id'] == $id || $forum_user['g_id'] == USER_ADMIN || ($user['g_id'] > USER_MOD && bb_mod_change_passwords == '1'))
{
    ?>
                                    <p><a href="member.php?action=change_pass&amp;id=<?php echo $id ?>"><?php echo $lang['Change pass'] ?></a></p>
    <?php
}
?>
                            </td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['E-Mail'] ?></b></th><td><?php echo $email_field ?></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Timezone'] ?></b></th><td><select name="form[timezone]">
                                    <option value="-12"<?php if ($user['timezone'] == -12)
    echo ' selected="selected"' ?>>(GMT-12:00) International Date West</option>
                                    <option value="-11"<?php if ($user['timezone'] == -11)
    echo ' selected="selected"' ?>>(GMT-11:00) Midway Island, Samoa</option>
                                    <option value="-10"<?php if ($user['timezone'] == -10)
    echo ' selected="selected"' ?>>(GMT-10:00) Hawaii</option>
                                    <option value="-9"<?php if ($user['timezone'] == -9)
    echo ' selected="selected"' ?>>(GMT-09:00) Alaska</option>
                                    <option value="-8"<?php if ($user['timezone'] == -8)
    echo ' selected="selected"' ?>>(GMT-08:00) Pacific</option>
                                    <option value="-7"<?php if ($user['timezone'] == -7)
    echo ' selected="selected"' ?>>(GMT-07:00) Mountain</option>
                                    <option value="-6"<?php if ($user['timezone'] == -6)
    echo ' selected="selected"' ?>>(GMT-06:00) Central</option>
                                    <option value="-5"<?php if ($user['timezone'] == -5)
    echo ' selected="selected"' ?>>(GMT-05:00) Eastern</option>
                                    <option value="-4"<?php if ($user['timezone'] == -4)
    echo ' selected="selected"' ?>>(GMT-04:00) Atlantic</option>
                                    <option value="-3.5"<?php if ($user['timezone'] == -3.5)
    echo ' selected="selected"' ?>>(GMT-03:30) Newfoundland</option>
                                    <option value="-3"<?php if ($user['timezone'] == -3)
    echo ' selected="selected"' ?>>(GMT-03:00) Brazil, Buenos Aires</option>
                                    <option value="-2"<?php if ($user['timezone'] == -2)
    echo ' selected="selected"' ?>>(GMT-02:00) Mid-Atlantic</option>
                                    <option value="-1"<?php if ($user['timezone'] == -1)
    echo ' selected="selected"' ?>>(GMT-01:00) Azores</option>
                                    <option value="0"<?php if ($user['timezone'] == 0)
    echo ' selected="selected"' ?>>(GMT-00:00) Greenwich, West. Europe</option>
                                    <option value="1"<?php if ($user['timezone'] == 1)
    echo ' selected="selected"' ?>>(GMT+01:00) Central European</option>
                                    <option value="2"<?php if ($user['timezone'] == 2)
                        echo ' selected="selected"' ?>>(GMT+02:00) Eastern European</option>
                                    <option value="3"<?php if ($user['timezone'] == 3)
                        echo ' selected="selected"' ?>>(GMT+03:00) Moscow, Baghdad</option>
                                    <option value="3.5"<?php if ($user['timezone'] == 3.5)
                        echo ' selected="selected"' ?>>(GMT+03:30) Iran</option>
                                    <option value="4"<?php if ($user['timezone'] == 4)
                        echo ' selected="selected"' ?>>(GMT+04:00) Abu Dhabi, Dubai</option>
                                    <option value="4.5"<?php if ($user['timezone'] == 4.5)
                        echo ' selected="selected"' ?>>(GMT+04:30) Kabul</option>
                                    <option value="5"<?php if ($user['timezone'] == 5)
                        echo ' selected="selected"' ?>>(GMT+05:00) Islamabad, Karachi</option>
                                    <option value="5.5"<?php if ($user['timezone'] == 5.5)
                        echo ' selected="selected"' ?>>(GMT+05:30) India</option>
                                    <option value="5.75"<?php if ($user['timezone'] == 5.75)
                                    echo ' selected="selected"' ?>>(GMT+05:45) Kathmandu</option>
                                    <option value="6"<?php if ($user['timezone'] == 6)
                                    echo ' selected="selected"' ?>>(GMT+06:00) Astana, Dhaka</option>
                                    <option value="6.5"<?php if ($user['timezone'] == 6.5)
                                    echo ' selected="selected"' ?>>(GMT+06:30) Rangoon</option>
                                    <option value="7"<?php if ($user['timezone'] == 7)
                                    echo ' selected="selected"' ?>>(GMT+07:00) Bangkok, Jakarta</option>
                                    <option value="8"<?php if ($user['timezone'] == 8)
                                    echo ' selected="selected"' ?>>(GMT+08:00) Western Australia</option>
                                    <option value="9"<?php if ($user['timezone'] == 9)
                        echo ' selected="selected"' ?>>(GMT+09:00) Japan, Korea</option>
                                    <option value="9.5"<?php if ($user['timezone'] == 9.5)
                        echo ' selected="selected"' ?>>(GMT+09:30) Central Austrailia</option>
                                    <option value="10"<?php if ($user['timezone'] == 10)
                        echo ' selected="selected"' ?>>(GMT+10:00) Eastern Austrailia</option>
                                    <option value="11"<?php if ($user['timezone'] == 11)
                        echo ' selected="selected"' ?>>(GMT+11:00) Magadan, Solomon Is.</option>
                                    <option value="12"<?php if ($user['timezone'] == 12)
                        echo ' selected="selected"' ?>>(GMT+12:00) New Zealand, Fiji</option>
                                    <option value="12.75"<?php if ($user['timezone'] == 12.75)
                        echo ' selected="selected"' ?>>(GMT+12:45) Chatam Island, NZ</option>
                                    <option value="13"<?php if ($user['timezone'] == 13)
                        echo ' selected="selected"' ?>>(GMT+13:00) Tonga, Phoenix Islands</option>
                                    <option value="14"<?php if ($user['timezone'] == 14)
                        echo ' selected="selected"' ?>>(GMT+14:00) Christmas Islands</option></select></td>
                        </tr>
<?php
$languages = array();
$d = dir(FORUM_ROOT . 'include/languages');
while (($entry = $d->read()) !== false)
{
    if ($entry != '.' && $entry != '..' && is_dir(FORUM_ROOT . 'include/languages/' . $entry) && file_exists(FORUM_ROOT . 'include/languages/' . $entry . '/main.php'))
        $languages[] = $entry;
}
$d->close();
if (count($languages) > 1)
{
    natsort($languages);
    ?>
                            <tr>
                                <th><b><?php echo $lang['Language'] ?></b></th>
                                <td><select name="form[language]">
    <?php
    while (list(, $temp) = @each($languages))
    {
        if ($user['language'] == $temp)
            echo "\t\t\t\t\t\t\t\t" . '<option value="' . $temp . '" selected="selected">' . $temp . '</option>' . "\n";
        else
            echo "\t\t\t\t\t\t\t\t" . '<option value="' . $temp . '">' . $temp . '</option>' . "\n";
    }
    ?>
                                    </select></td>
                            </tr>
    <?php
}
?>
                        <tr>
                            <th><b><?php echo $lang['Registered'] ?></b></th><td><?php echo BB_Input::Format_Time($user['registered'], true);
if ($forum_user['g_id'] < USER_GUEST)
    echo ' (<a href="moderate.php?page=ModeratePost&get_host=' . BB_Input::Htmlspecialchars($user['registration_ip']) . '">' . BB_Input::Htmlspecialchars($user['registration_ip']) . '</a>)'; ?></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Last post'] ?></b></th><td><?php echo $last_post ?></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Posts'] ?></b></th><td><?php echo $posts_field ?></td>
                        </tr>
<?php
$result = $db->query('SELECT referral_count FROM ' . $db->prefix . 'users WHERE id=' . $db->escape($id)) or BB_Functions::Error('Invalid Member ID', __FILE__, __LINE__, $db->error());
$referral_count = $db->fetch_row($result);
$referral_url = bb_forum_url . 'index.php?referrer=' . $id;
?>
                        <tr>
                            <th><b><?php echo $lang['Referral Count'] ?></b></th><td><?php echo $referral_count[0] ?></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Referral URL'] ?></b></th><td><a href="<?php echo $referral_url ?>"><?php echo $referral_url ?></a></td>
                        </tr>
<?php
if ($forum_user['g_id'] < USER_GUEST)
{
    ?>
                            <tr>
                                <th><b><?php echo $lang['Admin note'] ?></b></th><td><input id="admin_note" type="text" class="textbox" name="admin_note" value="<?php echo BB_Input::Htmlspecialchars($user['admin_note']) ?>" size="40" maxlength="30" /></td>
                            </tr>
    <?php
}
?>
                    </table>
                </div>
            </div>
            <div><input type="submit" class="b1" name="update" value="<?php echo $lang['Submit'] ?>" /></div>
        </form>
    </div>
</div>
