<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
$avatar_field = '<a href="member.php?action=upload_avatar&amp;id=' . $id . '">' . $lang['Upload avatar'] . '</a>';
if ($img_size = @getimagesize(bb_avatars_dir . '/' . $id . '.gif'))
    $avatar_format = 'gif';
else if ($img_size = @getimagesize(bb_avatars_dir . '/' . $id . '.jpg'))
    $avatar_format = 'jpg';
else if ($img_size = @getimagesize(bb_avatars_dir . '/' . $id . '.png'))
    $avatar_format = 'png';
else
{
    $avatar_format = 'no';
    $avatar_field = '<a href="member.php?action=upload_avatar&amp;id=' . $id . '">' . $lang['Upload avatar'] . '</a>';
}
if ($img_size)
    $avatar_field .= '&nbsp;&nbsp;&nbsp;<a href="member.php?action=avatar_gallery&amp;id=' . $id . '">' . $lang['Change avatar'] . '</a>&nbsp;&nbsp;&nbsp;<a href="member.php?action=delete_avatar&amp;id=' . $id . '">' . $lang['Delete avatar'] . '</a>';
else
    $avatar_field .= '&nbsp;&nbsp;&nbsp;<a href="member.php?action=avatar_gallery&amp;id=' . $id . '">' . $lang['Select avatar'] . '</a>';
if ($user['signature'] != '')
    $signature_preview = '<p>' . $lang['Sig preview'] . '</p>' . "\n\t\t\t\t\t" . '<div class="postsignature">' . "\n\t\t\t\t\t\t" . '<hr />' . "\n\t\t\t\t\t\t" . $parsed_signature . "\n\t\t\t\t\t" . '</div>' . "\n";
else
    $signature_preview = '<p>' . $lang['No sig'] . '</p>' . "\n";
$page_title = BB_Input::Htmlspecialchars($lang['Profile']);
require FORUM_ROOT . $forum_folder . '/header.php';
BB_Functions::Set_Profile_Menu('personality');
?>
<div class="blockform">
    <h2><span><?php echo BB_Input::Htmlspecialchars($user['username']) . ' - ' . $lang['Section personality'] ?></span></h2>
    <div class="box">
        <form id="profile4" method="post" action="member.php?section=personality&amp;id=<?php echo $id ?>">
            <div><input type="hidden" name="form_sent" value="1" /></div>
                    <?php
                    if (bb_avatars == '1')
                    {
                        ?>
                <div class="inform">
                    <p><b><?php echo $lang['Avatar legend'] ?></b></p>
                    <div class="infldset file" style="padding:6px">
    <?php
    if (isset($avatar_format))
    {
        if ($avatar_format == 'no')
            echo '<img style="float:right" src="' . bb_avatars_dir . '/noavatar.png" alt="" />';
        else
            echo '<img style="float:right" src="' . bb_avatars_dir . '/' . $id . '.' . $avatar_format . '" ' . $img_size[3] . ' alt="" />';
    }
    ?>
                        <p><?php echo $lang['Avatar info'] ?></p>
                        <div class="rbox">
                            <label><input type="checkbox" name="form[use_avatar]" value="1"<?php if ($user['use_avatar'] == '1')
                echo ' checked="checked"' ?> /><?php echo $lang['Use avatar'] ?><br /></label>
                        </div>
                        <p><?php echo $avatar_field ?></p><br /><br />
                    </div>
                </div>
    <?php
}
?>
            <div class="inform">
                <p><b><?php echo $lang['Signature legend'] ?></b></p>
                <div class="infldset file" style="padding:6px">
                    <div class="txtarea">
                        <label><?php echo $lang['Sig max length'] ?>: <?php echo bb_sig_length ?> / <?php echo $lang['Sig max lines'] ?>: <?php echo bb_sig_lines ?><br /><br />
                            <textarea name="signature" rows="6" cols="30"><?php echo BB_Input::Htmlspecialchars($user['signature']) ?></textarea><br /></label>
                    </div>
                    <ul class="bblinks">
                        <li><?php echo $lang['BBCode'] ?> : <?php echo (bb_sig_bbcode == '1') ? $lang['on'] : $lang['off']; ?></li>
                        <li><?php echo $lang['img tag'] ?> : <?php echo (bb_sig_img_tag == '1') ? $lang['on'] : $lang['off']; ?></li>
                        <li><?php echo $lang['Smilies'] ?> : <?php echo (bb_smilies_sig == '1') ? $lang['on'] : $lang['off']; ?></li>
                    </ul>
<?php echo $signature_preview ?>
                </div>
            </div>
            <div><input type="submit" class="b1" name="update" value="<?php echo $lang['Submit'] ?>" /></div>
        </form>
    </div>
</div>
