<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
$page_title = BB_Input::Htmlspecialchars($lang['Profile']);
require FORUM_ROOT . $forum_folder . '/header.php';
BB_Functions::Set_Profile_Menu('privacy');
?>
<div class="blockform">
    <h2><span><?php echo BB_Input::Htmlspecialchars($user['username']) . ' - ' . $lang['Section privacy'] ?></span></h2>
    <div class="box">
        <form id="profile6" method="post" action="member.php?section=privacy&amp;id=<?php echo $id ?>">
            <div class="inform">
                <div class="infldset file" style="padding:6px">
                    <input type="hidden" name="form_sent" value="1" />
                    <p><?php echo $lang['E-mail setting info'] ?></p>
                    <div class="rbox">
                        <label><input type="radio" name="form[email_setting]" value="0"<?php if ($user['email_setting'] == '0')
    echo ' checked="checked"' ?> /><?php echo $lang['E-mail setting 1'] ?><br /></label>
                        <label><input type="radio" name="form[email_setting]" value="1"<?php if ($user['email_setting'] == '1')
    echo ' checked="checked"' ?> /><?php echo $lang['E-mail setting 2'] ?><br /></label>
                        <label><input type="radio" name="form[email_setting]" value="2"<?php if ($user['email_setting'] == '2')
    echo ' checked="checked"' ?> /><?php echo $lang['E-mail setting 3'] ?><br /></label>
                    </div>
                    <p><?php echo $lang['Save user/pass info'] ?></p>
                    <div class="rbox">
                        <label><input type="checkbox" name="form[save_pass]" value="1"<?php if ($user['save_pass'] == '1')
    echo ' checked="checked"' ?> /><?php echo $lang['Save user/pass'] ?><br /></label>
                    </div>
                    <p><?php echo $lang['Notify full info'] ?></p>
                    <div class="rbox">
                        <label><input type="checkbox" name="form[notify_with_post]" value="1"<?php if ($user['notify_with_post'] == '1')
    echo ' checked="checked"' ?> /><?php echo $lang['Notify full'] ?><br /></label>
                    </div>
                    <div class="rbox">
                        <label><input type="checkbox" name="form[email_alert]" value="1"<?php if ($user['email_alert'] == '1')
    echo ' checked="checked"' ?> /><?php echo $lang['notify_pm'] ?><br /></label>
                    </div>
                </div>
            </div>
            <div><input type="submit" class="b1" name="update" value="<?php echo $lang['Submit'] ?>" /></div>
        </form>
    </div>
</div>
