<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if ($user['email_setting'] == '0' && !$forum_user['is_guest'])
    $email_field = '<a href="mailto:' . $user['email'] . '"><img src="' . BB_Template::Get_Image_Folder() . 'buttons/btn_email.png" alt="Send E-Mail" /></a>';
else if ($user['email_setting'] == '1' && !$forum_user['is_guest'])
    $email_field = '<a href="misc.php?email=' . $id . '"><img src="' . BB_Template::Get_Image_Folder() . 'buttons/btn_email.png" alt="Send E-Mail" /></a>';
else
    $email_field = $lang['Private'];
$user_title_field = BB_Core::Get_User_Title($user);
if ($user['url'] != '')
{
    $user['url'] = BB_Input::Htmlspecialchars($user['url']);
    if (bb_censoring == '1')
        $user['url'] = BB_Input::Censor_Words($user['url']);
    $url = '<a href="' . $user['url'] . '"><img src="' . BB_Template::Get_Image_Folder() . 'buttons/btn_www.png" alt="Visit website" /></a>';
}
else
    $url = $lang['Unknown'];
if (bb_avatars == '1')
{
    if ($user['use_avatar'] == '1')
    {
        if ($img_size = @getimagesize(bb_avatars_dir . '/' . $id . '.gif'))
            $avatar_field = '<img src="' . bb_avatars_dir . '/' . $id . '.gif" ' . $img_size[3] . ' alt="" />';
        else if ($img_size = @getimagesize(bb_avatars_dir . '/' . $id . '.jpg'))
            $avatar_field = '<img src="' . bb_avatars_dir . '/' . $id . '.jpg" ' . $img_size[3] . ' alt="" />';
        else if ($img_size = @getimagesize(bb_avatars_dir . '/' . $id . '.png'))
            $avatar_field = '<img src="' . bb_avatars_dir . '/' . $id . '.png" ' . $img_size[3] . ' alt="" />';
        else
            $avatar_field = '<img src="' . bb_avatars_dir . '/noavatar.png" alt="" />';
    }
    else
        $avatar_field = '<img src="' . bb_avatars_dir . '/noavatar.png" alt="" />';
}
list($year, $month, $day) = explode('-', $user['birthday']);
if ($month != 0 && $day != 0)
{
    $Nyear = (strlen($year) != 4) ? NULL : $year;
    $birthday = date("F jS ", mktime(0, 0, 0, $month, $day, 0)) . $Nyear;
}
else
    $birthday = $lang['Unknown'];
$posts_field = '';
if (bb_show_post_count == '1' || $forum_user['g_id'] < USER_GUEST)
    $posts_field = $user['num_posts'];
if ($forum_user['g_search'] == '1')
    $posts_field .= ( ($posts_field != '') ? ' - ' : '') . '<a href="search.php?action=show_user&amp;user_id=' . $id . '">' . $lang['Show posts'] . '</a>';
$page_title = BB_Input::Htmlspecialchars($lang['Profile'] . ' - ' . $user['username']);
define('ALLOW_INDEX', 1);
require FORUM_ROOT . $forum_folder . '/header.php';
BB_Functions::Set_Profile_Menu('view');
?>
<div id="viewmember" class="blockform">
    <h2><span><?php echo $lang['Profile'] . ': ' . BB_Input::Htmlspecialchars($user['username']) ?></span></h2>
    <div class="box">
        <div class="fakeform">
            <div class="inform">
                <p><b><?php echo $lang['Section personal'] ?></b></p>
                <div class="infldset file" style="padding:6px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <td style="width:<?php echo bb_avatars_width ?>px;text-align:center;">
                                <?php
                                if (bb_avatars == '1')
                                    echo '<p style="text-align:center;">' . $avatar_field . '</p>';

                                $rank_icons = "";
                                if (bb_ranks_enable)
                                {
                                    if ($forum_user['num_posts'] > 5000)
                                        $num_ranks = 10;
                                    elseif ($forum_user['num_posts'] > 3000 && $forum_user['num_posts'] < 5000)
                                        $num_ranks = 9;
                                    elseif ($forum_user['num_posts'] > 2000 && $forum_user['num_posts'] < 3000)
                                        $num_ranks = 8;
                                    elseif ($forum_user['num_posts'] > 1000 && $forum_user['num_posts'] < 2000)
                                        $num_ranks = 7;
                                    elseif ($forum_user['num_posts'] > 500 && $forum_user['num_posts'] < 1000)
                                        $num_ranks = 6;
                                    elseif ($forum_user['num_posts'] > 300 && $forum_user['num_posts'] < 500)
                                        $num_ranks = 5;
                                    elseif ($forum_user['num_posts'] > 100 && $forum_user['num_posts'] < 300)
                                        $num_ranks = 4;
                                    elseif ($forum_user['num_posts'] > 50 && $forum_user['num_posts'] < 100)
                                        $num_ranks = 3;
                                    elseif ($forum_user['num_posts'] > 30 && $forum_user['num_posts'] < 50)
                                        $num_ranks = 2;
                                    elseif ($forum_user['num_posts'] > 10 && $forum_user['num_posts'] < 50)
                                        $num_ranks = 1;
                                    else
                                        $num_ranks = 0;
                                    if ($user['g_id'] == 1)
                                        $rank_icons = '<img style="border:0;" src="' . BB_Template::Get_Image_Folder() . 'ranks/rank_1.png" alt="' . $lang['Administrator'] . '" />';
                                    else if ($user['g_id'] == 2)
                                        $rank_icons = '<img style="border:0;" src="' . BB_Template::Get_Image_Folder() . 'ranks/rank_2.png" alt="' . $lang['Moderator'] . '" />';
                                    else if ($img_size = @getimagesize(FORUM_ROOT . 'include/templates/' . $forum_user['template'] . '/img/ranks/rank_' . $forum_user['g_id'] . '.png'))
                                        $rank_icons = '<img style="border:0;" src="' . BB_Template::Get_Image_Folder() . 'ranks/rank_' . $forum_user['g_id'] . '.png" alt="' . $lang['Avatar'] . '" />';
                                    else
                                        $rank_icons = '<img style="border:0;" src="' . BB_Template::Get_Image_Folder() . 'ranks/stars_' . $num_ranks . '.png" alt="' . $lang['Ranks'] . '" />';
                                    echo '<p style="text-align:center;">' . $rank_icons . '</p>';
                                }
                                ?>
                            </td>
                            <td style="vertical-align:top;">
                                <table>
                                    <tr>
                                        <td>
                                    <?php echo $lang['Username'] ?>: <span style="color:<?php echo $user['g_color'] ?>"><b><?php echo BB_Input::Htmlspecialchars($user['username']) ?></b></span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
<?php echo $lang['User Title'] ?>: <?php echo (bb_censoring == '1') ? BB_Input::Censor_Words($user_title_field) : $user_title_field; ?>
                                        </td>
                                    </tr>
                                            <?php
                                            if ($user['realname'] != '')
                                            {
                                                ?>
                                        <tr>
                                            <td>
                                        <?php echo $lang['Realname'] ?>: <?php echo BB_Input::Htmlspecialchars(BB_Input::Censor_Words($user['realname'])); ?>
                                            </td>
                                        </tr>
                                                <?php
                                            }
                                            ?>
                                    <?php
                                    if ($user['sex'] != '')
                                    {
                                        ?>
                                        <tr>
                                            <td>
    <?php echo $lang['Sex'] ?>: <?php echo ucwords($user['sex']); ?>
                                            </td>
                                        </tr>
    <?php
}
?>
                                </table>
                            </td>
                            <td style="vertical-align:top;">
                                <table>
                                    <tr>
                                        <td>
<?php echo $lang['Birthday'] ?>: <?php echo $birthday; ?>
                                        </td>
                                    </tr>
<?php
if ($user['location'] != '')
{
    ?>
                                        <tr>
                                            <td>
    <?php echo $lang['Location'] ?>: <?php echo BB_Input::Htmlspecialchars($user['location']); ?>
                                            </td>
                                        </tr>
    <?php
}
if ($user['country'] != '')
{
    ?>
                                        <tr>
                                            <td>
    <?php echo $lang['Country'] ?>: <?php echo BB_Input::Htmlspecialchars($user['country']); ?>
                                            </td>
                                        </tr>
                <?php
            }
            ?>
                                    <tr>
                                        <td>
<?php if (strstr($url, '.'))
    echo $url . '&nbsp;' ?><?php if (strstr($email_field, '.'))
    echo $email_field ?>
                                <?php if (bb_pms_enabled && !$forum_user['is_guest'] && $forum_user['g_pm'] == 1)
                                    echo '<a href="messages.php?Page=Send&id=' . $id . '"><img src="' . BB_Template::Get_Image_Folder() . 'buttons/btn_pm.png" /></a>'; ?>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
            <?php
            if (isset($parsed_signature))
            {
                ?>
                            <tr>
                                <td colspan="3">
                <?php echo $parsed_signature; ?>
                                </td>
                            </tr>
    <?php
}
?>
                    </table>
                    <div class="clearer"></div>
                </div>
            </div>
                                <?php
                                if ($user['absent'])
                                {
                                    ?>
                <div class="inform">
                    <p><b><?php echo '<strong>' . $user['username'] . '</strong> is absent' ?></b></p>
                    <div class="infldset file" style="padding:6px">
                        <table cellspacing="0">
                            <tr>
                                <td>
                                    <?php echo 'Message' ?>: <?php if ($user['absence_message'] == '')
                                        $user['absence_message'] = 'No message.'; ?><?php echo $user['absence_message']; ?>
                                </td>
                            </tr>
                        </table>
                        <div class="clearer"></div>
                    </div>
                </div>
                            <?php
                        }

                        if ($user['jabber'] != '' || $user['icq'] != '' || $user['msn'] != '' || $user['aim'] != '' || $user['yahoo'] != '' || $user['gtalk'] != '' || $user['skype'] != '' || $user['xfire'] != '')
                        {
                            ?>
                <div class="inform" style="width:48%;float:left;position:relative;">
                    <p><b><?php echo $lang['Section messaging'] ?></b></p>
                    <div class="infldset file" style="padding:6px">
                        <table cellspacing="0">
                            <?php
                            if ($user['jabber'] != '')
                            {
                                ?>
                                <tr>
                                    <td>
                                <?php echo $lang['Jabber'] . ': ' . $user['jabber']; ?>
                                    </td>
                                </tr>
                                <?php
                            }
                            if ($user['icq'] != '')
                            {
                                ?>
                                <tr>
                                    <td>
                                        <?php echo $lang['ICQ'] ?>:  <?php echo $user['icq']; ?>
                                    </td>
                                </tr>
                                <?php
                            }
                            if ($user['msn'] != '')
                            {
                                ?>
                                <tr>
                                    <td>
                                        <?php echo $lang['MSN'] ?>: <?php echo $user['msn']; ?>
                                    </td>
                                </tr>
                                <?php
                            }
                            if ($user['aim'] != '')
                            {
                                ?>
                                <tr>
                                    <td>
                                        <?php echo $lang['AOL IM'] ?>: <?php echo $user['aim']; ?>
                                    </td>
                                </tr>
                                <?php
                            }
                            if ($user['yahoo'] != '')
                            {
                                ?>
                                <tr>
                                    <td>
                                        <?php echo $lang['Yahoo'] ?>: <?php
                                echo $user['yahoo'];
                                if (!$forum_user['is_guest'])
                                    echo ' <a href="ymsgr:sendim?' . $user['yahoo'] . '"><img src="http://opi.yahoo.com/online?u=' . $user['yahoo'] . '&m=g&t=3" border=0 alt="YM" title="Send ' . BB_Input::Htmlspecialchars($user['username']) . ' instant message!"></a>';
                                        ?>
                                    </td>
                                </tr>
        <?php
    }
    if ($user['gtalk'] != '')
    {
        ?>
                                <tr>
                                    <td>
                        <?php echo $lang['Google Talk'] ?>: <?php echo $user['gtalk']; ?>
                                    </td>
                                </tr>
                            <?php
                        }
                        if ($user['skype'] != '')
                        {
                            ?>
                                <tr>
                                    <td>
                                            <?php echo $lang['Skype'] ?>: <?php echo $user['skype']; ?>
                                    </td>
                                </tr>
        <?php
    }
    if ($user['xfire'] != '')
    {
        ?>
                                <tr>
                                    <td>
                                    <?php echo $lang['XFire'] ?>: <?php echo $user['xfire']; ?>
                                    </td>
                                </tr>
        <?php
    }
    ?>
                        </table>
                        <div class="clearer"></div>
                    </div>
                </div>
                <div class="inform" style="width:48%;float:right;position:relative;">
    <?php
}
else
{
    ?>
                    <div class="inform">
                    <?php
                }
                ?>
                    <p><b><?php echo $lang['User activity'] ?></b></p>
                    <div class="infldset file" style="padding:6px">
                        <table>
                            <tr>
                                <td>
<?php echo $lang['Posts'] ?>: <?php echo $user['num_posts'] ?>
                                </td>
                            </tr>
                            <tr>
                                <td>
                            <?php echo $lang['Last post'] ?>: <?php echo date(bb_date_format, $user['last_post']); ?>
                                </td>
                            </tr>
                            <?php
                            $result = $db->query('SELECT referral_count FROM ' . $db->prefix . 'users WHERE id = ' . $id);
                            $referral_count = $db->result($result);
                            ?>
                            <tr>
                                <td>
                <?php echo $lang['Referral Count'] ?>: <?php echo $referral_count ?>
                                </td>
                            </tr>
                            <tr>
                                <td>
<?php echo $lang['Registered'] ?>: <?php echo BB_Input::Format_Time($user['registered'], true) ?>
                                </td>
                            </tr>
                        </table>
                        <div class="clearer"></div>
                    </div>
                </div>
<?php
if (bb_profile_fields_enable == 1)
{
    $result = $db->query('SELECT p.name, p.lang_entry, e.value FROM ' . $db->prefix . 'profile_fields AS p INNER JOIN ' . $db->prefix . 'profile_field_entries AS e ON p.id=e.f_id WHERE e.u_id=' . $id . ' ORDER BY p.id DESC LIMIT 5') or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
    if ($db->num_rows($result) != '0')
    {
        ?>
                        <div class="inform" style="clear:both;">
                            <p><b><?php echo $lang['Extra fields'] ?></b></p>
                            <div class="infldset file" style="padding:6px">
                                <table cellspacing="0">
        <?php
        while ($field_row = $db->fetch_assoc($result))
        {
            $ef_name = $field_row['lang_entry'] ? ($lang[$field_row['lang_entry']] ? $lang[$field_row['lang_entry']] : $field_row['name']) : $field_row['name'];
            echo '<tr><td>' . ucwords(stripslashes($ef_name)) . ': ';
            if ($field_row['value'] != '')
                echo stripslashes($field_row['value']); else
                echo '&nbsp'; echo '</td></tr>';
        }
        ?>
                                </table>
                                <div class="clearer"></div>
                            </div>
                        </div>
        <?php
    }
}
?>
                <div class="clearer"></div>
            </div>
        </div>
    </div>

<?php require FORUM_ROOT . $forum_folder . '/footer.php'; ?>
