<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
define('PLUGIN_LOADED', 1);
define('PLUGIN_URL', 'plugin.php?plugin=a_Reputation.php');
if (isset($_GET['edit_group']) && !isset($_POST['permissions']))
{
    $edit_group = intval($_GET['edit_group']);
    $result = $db->query('SELECT g_id, g_title, g_rep_minus_min, g_rep_plus_min, g_rep_enable FROM ' . $db->prefix . 'usergroups WHERE g_id=' . $db->escape($edit_group) . ' ORDER BY g_id') or BB_Functions::Error($lang['error_28'], __FILE__, __LINE__, $db->error());
    if (!$db->num_rows($result))
        BB_Functions::Message($lang['Bad request']);
    $cur_group = $db->fetch_assoc($result);
    if ($edit_group == 3)
    {
        ?>
        <div class="blockform">
            <h2><span>Permission to Reputation for <?php echo $cur_group['g_title'] ?></span></h2>
            <form method="post" action="<?php echo PLUGIN_URL ?>&edit_group=<?php echo $edit_group; ?>">
                <div class="inform">
                    <input type="hidden" name="permissions" value="1" />
                    <div class="infldset file" style="padding:10px">
                        <table class="aligntop" cellspacing="0">
                            <tr>
                                <th style="width:150px" scope="row">Enable reputation</th>
                                <td style="width:25px">&nbsp;&nbsp;<img src="../img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Allow this group to view Reputation registered users.');" onmouseout="return nd();" /></td>
                                <td><input type="radio" name="rep_enable" value="1"<?php if ($cur_group['g_rep_enable'] == '1')
            echo ' checked="checked"' ?> />&nbsp;Yes&nbsp;&nbsp;&nbsp;<input type="radio" name="rep_enable" value="0"<?php if ($cur_group['g_rep_enable'] == '0')
            echo ' checked="checked"' ?> />&nbsp;No</td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div><input type="button" class="b1" onclick="javascript:history.go(-1)" value="<?php echo $lang['Go back'] ?>"> <input class="b1" type="submit" name="save" value="<?php echo $lang['Update'] ?>" /></div>
            </form>
            <div class="clearer"></div>
        </div>
        <?php
    }
    else
    {
        ?>
        <div class="blockform">
            <h2><span>Permission to Reputation for <?php echo $cur_group['g_title'] ?></span></h2>
            <form method="post" action="<?php echo PLUGIN_URL ?>&edit_group=<?php echo $edit_group; ?>">
                <div class="inform">
                    <input type="hidden" name="permissions" value="1" />
                    <div class="infldset file" style="padding:10px">
                        <table class="aligntop" cellspacing="0">
                            <tr>
                                <th style="width:150px" scope="row">Enable reputation</th>
                                <td style="width:25px">&nbsp;&nbsp;<img src="../img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Allow this group to use Reputation.');" onmouseout="return nd();" /></td>
                                <td><input type="radio" name="rep_enable" value="1"<?php if ($cur_group['g_rep_enable'] == '1')
            echo ' checked="checked"' ?> />&nbsp;Yes&nbsp;&nbsp;&nbsp;<input type="radio" name="rep_enable" value="0"<?php if ($cur_group['g_rep_enable'] == '0')
            echo ' checked="checked"' ?> />&nbsp;No</td>
                            </tr>
                            <tr>
                                <th scope="row">Posts for decrease</th>
                                <td style="width:25px">&nbsp;&nbsp;<img src="../img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The minimum quantity of messages necessary that users of this group could change reputation in a minus to other users.');" onmouseout="return nd();" /></td>
                                <td><input type="text" class="textbox" name="rep_minus_min" size="10" maxlength="10" value="<?php echo $cur_group['g_rep_minus_min'] ?>" /></td>
                            </tr>
                            <tr>
                                <th scope="row">Posts to increase</th>
                                <td style="width:25px">&nbsp;&nbsp;<img src="../img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The minimum quantity of messages necessary that users of this group could change reputation in a plus to other users.');" onmouseout="return nd();" /></td>
                                <td><input type="text" class="textbox" name="rep_plus_min" size="10" maxlength="10" value="<?php echo $cur_group['g_rep_plus_min'] ?>" /></td>
                            </tr>															
                        </table>
                    </div>
                </div>
                <div><input type="button" class="b1" onclick="javascript:history.go(-1)" value="<?php echo $lang['Go back'] ?>"> <input type="submit" class="b1" name="save" value="<?php echo $lang['Update'] ?>" /></div>
            </form>
            <div class="clearer"></div>
        </div>
        <?php
    }
}
else if (isset($_GET['edit_group']) && isset($_POST['permissions']))
{
    if (!preg_match('#/loader\.php#i', $_SERVER['HTTP_REFERER']))
        BB_Functions::Message($lang['Bad referrer']);
    $edit_group = intval($_GET['edit_group']);
    if (isset($_POST['rep_enable']))
    {
        $rep_enable = intval($_POST['rep_enable']);
        ($rep_enable < 0 || $rep_enable > 1) ? $rep_enable = 0 : NULL;
    }
    else
        BB_Functions::Message($lang['Bad request']);
    if ($edit_group == 3)
        $db->query('UPDATE ' . $db->prefix . 'usergroups SET g_rep_enable=' . $db->escape($rep_enable) . ' WHERE g_id=' . $db->escape($edit_group)) or BB_Functions::Error('Unable to update group config', __FILE__, __LINE__, $db->error());
    else
    {
        $rep_minus_min = isset($_POST['rep_minus_min']) ? intval($_POST['rep_minus_min']) : BB_Functions::Message($lang['Bad request']);
        $rep_plus_min = isset($_POST['rep_plus_min']) ? intval($_POST['rep_plus_min']) : BB_Functions::Message($lang['Bad request']);
        ($rep_minus_min < 0) ? $rep_minus_min = 0 : NULL;
        ($rep_plus_min < 0) ? $rep_plus_min = 0 : NULL;
        $db->query('UPDATE ' . $db->prefix . 'usergroups SET g_rep_enable=' . $db->escape($rep_enable) . ', g_rep_minus_min=' . $db->escape($rep_minus_min) . ', g_rep_plus_min=' . $db->escape($rep_plus_min) . ' WHERE g_id=' . $db->escape($edit_group)) or BB_Functions::Error('Unable to update group config', __FILE__, __LINE__, $db->error());
    }
    BB_Functions::Redirect(PLUGIN_URL, 'Options updated. Redirecting &hellip;');
}
elseif (isset($_POST['individual']))
{
    if (!isset($_POST['user']))
        BB_Functions::Message($lang['Bad request']);
    $user_name = BB_Input::Htmlspecialchars($_POST['user']);
    $result = $db->query('SELECT id, reputation_enable_adm FROM ' . $db->prefix . 'users WHERE username=\'' . $db->escape($user_name) . '\'') or BB_Functions::Error('Unable to get user id', __FILE__, __LINE__, $db->error());
    if (!$db->num_rows($result))
        BB_Functions::Message('Unknown username - ' . $user_name);
    $user = $db->fetch_assoc($result);
    if (!isset($_POST['change_user_rep']))
    {
        ?>
        <div class="blockform">
            <h2><span>Enable\disable for <?php echo $user_name; ?></span></h2>
            <form method="post" action="<?php echo PLUGIN_URL ?>">
                <div class="inform">
                    <input type="hidden" name="change_user_rep" value="1" />
                    <input type="hidden" name="user" value="<?php echo $user_name; ?>" />
                    <input type="hidden" name="individual" value="1" />
                    <h2><?php echo $user_name; ?></h2>
                    <div class="infldset file" style="padding:10px">
                        <table class="aligntop" cellspacing="0">
                            <tr>
                                <th style="width:150px" scope="row">User <?php echo $user_name; ?></th>
                                <td style="width:25px">&nbsp;&nbsp;<img src="../img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Allow reputation for this user.');" onmouseout="return nd();" /></td>
                                <td><input type="radio" name="reputation" value="1"<?php if ($user['reputation_enable_adm'] == '1')
            echo ' checked="checked"' ?> />&nbsp;Yes&nbsp;&nbsp;&nbsp;<input type="radio" name="reputation" value="0"<?php if ($user['reputation_enable_adm'] == '0')
            echo ' checked="checked"' ?> />&nbsp;No</td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div><input type="button" class="b1" onclick="javascript:history.go(-1)" value="<?php echo $lang['Go back'] ?>"><input class="b1" type="submit" name="save" value="<?php echo $lang['Update'] ?>" /></div>
            </form>
            <div class="clearer"></div>
        </div>
        <?php
    }
    else
    {
        if (!isset($_POST['reputation']))
            BB_Functions::Message($lang['Bad request']);
        $reputation = intval($_POST['reputation']);
        if ($reputation != 1)
            $reputation = 0;
        $db->query('UPDATE ' . $db->prefix . 'users SET reputation_enable_adm=' . $db->escape($reputation) . ' WHERE id=' . $db->escape($user["id"])) or BB_Functions::Error('Unable to update individual permissions for reputation', __FILE__, __LINE__, $db->error());
        BB_Functions::Redirect(PLUGIN_URL, 'Options updated. Redirecting &hellip;');
    }
}
elseif (isset($_POST['globals']))
{
    if (!preg_match('#/loader\.php#i', $_SERVER['HTTP_REFERER']))
        BB_Functions::Message($lang['Bad referrer']);
    $form = array_map('trim', $_POST['form']);
    $cms_settings->Set_Namespace('xennobb');
    $res = true;
    while (list($key, $input) = @each($form))
    {
        $key = 'bb_' . $key;
        if ($input != '' || is_int($input))
            $value = $input;
        else
            $value = 'NULL';
        $res &= $cms_settings->Save($key, $value);
        if ($res)
            BB_Admin_Functions::Log_Action('Change XennoBB configuration (reputation plugin)', 2);
    }
    $cms_settings->Set_Namespace('');
    BB_Functions::Redirect(PLUGIN_URL, 'Options updated. Redirecting &hellip;');
}
elseif (!isset($_POST['globals']) && !isset($_POST['globals']) && !isset($_POST['individual']))
{
    ?>
    <div class="blockform">
        <h2>Global Settings</h2>
        <form method="post" action="<?php echo PLUGIN_URL ?>">
            <div class="inform">
                <input type="hidden" name="globals" value="1" />
                <div class="infldset file" style="padding:10px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px" scope="row">Enable reputation</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="../img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Allow users to give reputation points to other users.');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form[reputation_enabled]" value="1"<?php if (bb_reputation_enabled == '1')
        echo ' checked="checked"' ?> />&nbsp;Yes&nbsp;&nbsp;&nbsp;<input type="radio" name="form[reputation_enabled]" value="0"<?php if (bb_reputation_enabled == '0')
                echo ' checked="checked"' ?> />&nbsp;No</td>
                        </tr>
                        <tr>
                            <th scope="row">Reputation timeout</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="../img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Revoting time in minutes.');" onmouseout="return nd();" /></td>
                            <td><input class="textbox" type="text" name="form[reputation_timeout]" size="5" maxlength="5" value="<?php echo bb_reputation_timeout ?>" /></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input class="b1" type="submit" name="save" value="<?php echo $lang['Update'] ?>" /></div>
        </form>
        <h2>Group Permissions</h2>
        <form method="post" action="<?php echo PLUGIN_URL ?>">
            <div class="infldset file" style="padding:10px">
                <table class="aligntop" cellspacing="0">
    <?php
    $result = $db->query('SELECT g_id, g_title  FROM ' . $db->prefix . 'usergroups ORDER BY g_id') or BB_Functions::Error('Unable to fetch user group list', __FILE__, __LINE__, $db->error());
    while ($cur_group = $db->fetch_assoc($result))
    {
        ?>
                        <tr> 
                            <th style="width:150px" scope="row"><?php echo $cur_group['g_title'] ?></th>
                            <td><a href="<?php echo PLUGIN_URL ?>&edit_group=<?php echo $cur_group['g_id'] ?>">Edit</a></td>
                        </tr>
        <?php
    }
    ?>
                </table>
            </div>
        </form>
        <script language="javascript">
            <!--
            function Validate()
            {
                Length = document.username.user.value.length;
                if (Length <2)
                {
                    alert("Usernames must be at least 2 characters long. Please choose another (longer) username. ");
                    return false;
                }
                else
                {
                    document.username.go.disabled = true;
                    return true;
                }
            }
            // -->
        </script>
        <h2>Individual manage reputation </h2>
        <form name="username" method="post" action="<?php echo PLUGIN_URL ?>" onSubmit="return Validate()">
            <div class="inform">
                <input type="hidden" name="individual" value="1" />
                <div class="infldset file" style="padding:10px">
                    <table class="aligntop" cellspacing="0">
                        <tr> 
                            <th style="width:150px" scope="row">UserName </th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="../img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Input user name for personal manage reputation.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="user" size="20" maxlength="200" /></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input class="b1" type="submit" name="save" value="<?php echo $lang['Search'] ?>" /></div>
        </form>
        <div class="clearer"></div>
    </div>
    <?php
}
?>