<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html dir="ltr">
    <head>
        <link rel="shortcut icon" href="../community/img/general/favicon.ico" />
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <title>XennoBB - Install</title>
        <link rel="stylesheet" type="text/css" href="../include/templates/Default/stylesheet.css" />
    </head>
    <body>
        <div id="wrap">
            <div id="wrap-inner">
                <div id="main-body">
                    <div id="xenno_wrapper_type1">
                        <div id="xenno_install" class="xenno_main">
                            <div id="xenno_header" class="xenno_block">
                                <div class="box">
                                    <div id="xenno_title" class="inbox">
                                        <h1><span>&nbsp;</span></h1>
                                    </div>
                                </div>
                            </div>
                            <div class="blockform">
                                <h2><span style="padding-left:10px">XennoBB Installation Wizard - Overview</span></h2>
                                <div class="box">
                                    <div class="inform" style="padding:20px;">
                                        <br /><br />
                                        <p align="justify">Before we will install XennoBB, you can read some short notes about one of theworld's most revolutionary and easy to use bulletin board.</p>
                                        <p align="justify">Revolutionary because it redefines the bounderies of usability and power; from the first version it's a real alternative to the commercial forums out there.</p>
                                        <p align="justify">How can XennoBB be described in few words? <b>Lightning-speed</b>, <b>stable</b>, <b>secured</b> and <b>modern</b>.</p>
                                        <p align="justify">What's the team behind this project? A young but experimented team who wanted to create a forum that will be different from the ones available today.</p>
                                        <p align="justify">What do I need to run XennoBB on my server/computer? XennoBB requires a basic LAMP installation : Apache web server, PHP scripting engine and a powerfull database backend provided by either MySQL, PostgreSQL or SQLite.</p>
                                        <br />
                                        <p align="justify">If you haven't decided yet why you should switch to XennoBB, here is a short list :</p>
                                        <ul>
                                            <li><b>It's FREE.</b> You can download, install, use XennoBB for free. Also, you can modify the source code for free, as long as you stick to the GNU Public License.</li>
                                            <li><b>It's very easy to administer.</b> Ever found yourself in the position when you're lost in a forum settings? With XennoBB, everything clears. The centralised Admin Control Panel does a wonderfull job, providing the administrators and moderators with a single place for forum configuration and personalisation.</li>
                                            <li><b>Customizable? Of course!</b> XennoBB has a simple but powerfull templating system which will allow you to integrate the forum into ANY website with just a few code changes.</li>
                                            <li><b>Modularity? Yes!</b> XennoBB's unique modularity allows you to plug-in any third-party modules or plugins into your forum. And we're creating modules for free.</li>
                                            <li><b>Technical support?</b> Just try us! Join the <a href="http://community.xennobb.com" target="_blank">Community Forums</a> today and one of the newest Open-Source community will be your new best-friend. We aim to provide you with the best and most comprehensive support to allow you to manage your board.</li>
                                        </ul>
                                        <br /><br />
                                        <div style="border:1px solid #DDDDDD;padding:5px;text-align:center;"><a href="install_step1.php">Click here to proceed to the installation</a></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="footer">
                        <p>powered by <a href="http://www.userdot.net/projects/xennobb"><b>XennoBB</b></a><br />&copy; 2005-2011 <a href="http://www.userdot.net"><b>UserDot</b></a>. All rights reserved.</p>
                </div>
            </div>
        </div>
    </body>
</html>