<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
require dirname(__FILE__) . '/../include/init.php';
if (bb_um_enable == 0)
    BB_Functions::Message($lang['No permission'], true, 1);
$page_title = BB_Input::Htmlspecialchars($lang['um_title']);
require FORUM_ROOT . $forum_folder . '/header.php';
?>
<div class="blockform">
    <h2><?php echo $lang['um_title'] ?></h2>
    <div id="map" style="height: 600px;"></div>
    <script src="http://maps.google.com/maps?file=api&v=1&key=<?php echo BB_Input::Htmlspecialchars(bb_um_key) ?>" type="text/javascript"></script>
    <script type="text/javascript">
        //<![CDATA[
<?php if (eregi('msie', $_SERVER['HTTP_USER_AGENT']))
    echo '        window.onload = function() {' . "\n"; ?>
                var map = new GMap(document.getElementById("map"));
                map.addControl(new GLargeMapControl());
                map.addControl(new GMapTypeControl());
                map.centerAndZoom(new GPoint(<?php echo bb_um_default_lng ?>, <?php echo bb_um_default_lat ?>), <?php echo BB_Input::Htmlspecialchars(bb_um_default_zoom) ?>);
                function createMarker(point, marker)
                {
                    var marker;
                    var id = marker.getAttribute("id");
                    var username = marker.getAttribute("username");
                    var title = marker.getAttribute("title");
                    var realname = marker.getAttribute("realname");
                    var url = marker.getAttribute("url");
                    var location = marker.getAttribute("location");
                    if(marker.getAttribute("useavatar") == 1 && marker.getAttribute("avatar") != "")
                    {
                        var avatar = "<dd><img src=\""+marker.getAttribute("avatar")+"\" alt=\"\" /></dd>";
                    }
                    else
                    {
                        var avatar = '';
                    }
                    var marker = new GMarker(point);
                    username = username.replace("<", "&lt;");
                    username = username.replace(">", "&gt;");
                    username = username.replace('"', "&quot;");
                    realname = realname.replace("<", "&lt;");
                    realname = realname.replace(">", "&gt;");
                    realname = realname.replace('"', "&quot;");
                    location = location.replace("<", "&lt;");
                    location = location.replace(">", "&gt;");
                    location = location.replace('"', "&quot;");
                    var html = "<dl><dt><strong><a href=\"member.php?id="+id+"\">"+username+"</a></strong></dt>"+avatar+"<dd>"+realname+"</dd><dd>"+location+"</dd></dl>";
                    GEvent.addListener(marker, "click", function()
                    {
                        marker.openInfoWindowHtml(html); 
                    });
                    return marker;
                }
                var request = GXmlHttp.create();
                request.open("GET", "markers.php", true);
                request.onreadystatechange = function()
                {
                    if (request.readyState == 4)
                    {
                        var xmlDoc = request.responseXML;
                        var markers = xmlDoc.documentElement.getElementsByTagName("marker");
                        for (var i = 0; i < markers.length; i++)
                        {
                            var point = new GPoint(parseFloat(markers[i].getAttribute("lng")), parseFloat(markers[i].getAttribute("lat")));
                            var marker = createMarker(point, markers[i])
                            map.addOverlay(marker);
                        }
                    }
                }
                request.send(null);
<?php if (eregi('msie', $_SERVER['HTTP_USER_AGENT']))
    echo '        }'; ?>
        //]]>
    </script>
</div>
<?php
require FORUM_ROOT . $forum_folder . '/footer.php';
?>
