<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
require dirname(__FILE__) . '/../include/init.php';
require_once FORUM_ROOT . 'include/functions/Parser.php';
$tid = isset($_GET['tid']) ? intval($_GET['tid']) : 0;
$box = isset($_POST['box']) ? intval($_POST['box']) : 0;
$page = isset($_GET['Page']) ? BB_Input::Htmlspecialchars($_GET['Page']) : null;
if ($page == 'List')
{
    if (!bb_pms_enabled || $forum_user['g_pm'] == 0)
        BB_Functions::Message($lang['No permission'], true, 1);
    if ($forum_user['is_guest'])
        BB_Functions::Message($lang['Login required']);
    if (isset($_GET['box']))
        $box = (int) ($_GET['box']);
    else
        $box = 0;
    $box != 1 ? $box = 0 : $box = 1;
    $box != 1 ? $status = 0 : null;
    $box == 0 ? $name = $lang['Inbox'] : $name = $lang['Outbox'];
    $page_name = $name;
    if (isset($_POST['delete_messages']) || isset($_POST['delete_messages_comply']))
    {
        if (isset($_POST['delete_messages_comply']))
        {
            BB_Input::Confirm_Referrer('messages.php');
            $db->query('DELETE FROM ' . $db->prefix . 'messages WHERE id IN(' . $_POST['messages'] . ') AND owner=\'' . $forum_user['id'] . '\'') or BB_Functions::Error($lang['error_68'], __FILE__, __LINE__, $db->error());
            BB_Functions::Redirect(bb_forum_url . 'messages.php?Page=List&box=' . $box, $lang['Deleted redirect']);
        }
        else
        {
            $page_title = BB_Input::Htmlspecialchars($lang['Multidelete']);
            $idlist = $_POST['delete_messages'];
            require FORUM_ROOT . $forum_folder . '/header.php';
            BB_Functions::Set_Profile_Menu('pms');
            ?>
            <div class="blockform">
                <h2><span><?php echo $lang['Multidelete'] ?></span></h2>
                <form method="post" action="messages.php?Page=List">
                    <input type="hidden" name="messages" value="<?php echo implode(',', array_values($idlist)) ?>">
                    <input type="hidden" name="box" value="<?php echo $box; ?>">
                    <div class="inform">
                        <div class="infldset file" style="padding:10px">
                            <p class="warntext"><strong><?php echo $lang['Delete messages comply'] ?></strong></p>
                        </div>
                    </div>
                    <div><input type="button" class="b1" onclick="javascript:history.go(-1)" value="<?php echo $lang['Go back'] ?>"> <input class="b1" type="submit" name="delete_messages_comply" value="<?php echo $lang['Delete'] ?>" /></div>
                </form>
            </div>
            <?php
            require FORUM_ROOT . $forum_folder . '/footer.php';
        }
    }
    else if (isset($_GET['action']) && $_GET['action'] == 'markall')
    {
        $db->query('UPDATE ' . $db->prefix . 'messages SET showed=1 WHERE owner=' . $forum_user['id']) or BB_Functions::Error($lang['error_69'], __FILE__, __LINE__, $db->error());
        $p = (!isset($_GET['p']) || $_GET['p'] <= 1) ? 1 : $_GET['p'];
        BB_Functions::Redirect(bb_forum_url . 'messages.php?Page=List&box=' . $box . '&p=' . intval($p), $lang['Read redirect']);
    }
    $page_title = BB_Input::Htmlspecialchars($lang['Private Messages'] . ' - ' . $name);
    $result = $db->query('SELECT count(*) FROM ' . $db->prefix . 'messages WHERE status=' . $db->escape($box) . ' AND owner=' . $forum_user['id']) or BB_Functions::Error($lang['error_70'], __FILE__, __LINE__, $db->error());
    list($num_messages) = $db->fetch_row($result);
    $num_pages = ceil($num_messages / bb_pms_mess_per_page);
    $p = (!isset($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $num_pages) ? 1 : $_GET['p'];
    $start_from = bb_pms_mess_per_page * (intval($p) - 1);
    $limit = $start_from . ',' . bb_pms_mess_per_page;
    require FORUM_ROOT . $forum_folder . '/header.php';
    BB_Functions::Set_Profile_Menu('pms');
    if ($forum_user['g_pm_limit'] != 0)
    {
        $result = $db->query('SELECT count(*) FROM ' . $db->prefix . 'messages WHERE owner=' . $forum_user['id']) or BB_Functions::Error($lang['error_70'], __FILE__, __LINE__, $db->error());
        list($tot_messages) = $db->fetch_row($result);
        $proc = ceil(100 - ($tot_messages / $forum_user['g_pm_limit'] * 100));
        $pm_size = (100 - $proc) * 3.15;
        if ($pm_size > 315)
            $pm_size = 315;
    }
    ?>
    <div class="blockform" id="messages" style="margin-bottom:4px;">
        <h2><span><?php echo $lang['Private Messages'] ?></span></h2>
        <div class="inbox">
            <div class="box" style="padding:10px;">
                <div style="float:left">
                    <ul class="menu">
                        <li><a href="messages.php?Page=List&box=0" title="<?php echo $lang['Inbox'] ?>"><b><?php echo $lang['Inbox'] ?></b></a></li>
                        <li><a href="messages.php?Page=List&box=1" title="<?php echo $lang['Outbox'] ?>"><b><?php echo $lang['Outbox'] ?></b></a></li>
                        <li><a href="messages.php?Page=Send" title="<?php echo $lang['New message']; ?>"><b><?php echo $lang['New message']; ?></b></a></li>
                    </ul>


                </div>
                <div style="float:right;">
    <?php
    $result = $db->query('SELECT count(*) FROM ' . $db->prefix . 'messages WHERE status=0 AND owner=' . $forum_user['id']) or BB_Functions::Error($lang['error_70'], __FILE__, __LINE__, $db->error());
    list($tot_messages_inbox) = $db->fetch_row($result);
    ?>
                    <p><?php echo $lang['You have1'] ?><b><?php echo $tot_messages ?></b><?php echo $lang['messages2'] ?><b><?php echo $tot_messages_inbox ?></b><?php echo $lang['ininbox3'] ?><b><?php echo $tot_messages - $tot_messages_inbox ?></b><?php echo $lang['insent4'] ?></p>
                    <br /><div style="border:1px solid #000000;height:20px;padding:0px;width:315px;"><img src="<?php echo BB_Template::Get_Image_Folder() ?>misc/bar.png" width="<?php echo $pm_size ?>" height=20 /></div>
                </div>
                <div style="clear:both;"></div>
            </div>
        </div>
    </div>
    <div id="messages" class="blocform">
        <div class="linkst">
            <div class="inbox">
                <p class="pagelink conl"><strong class="pagination"><?php echo $lang['Pages'] . '</strong> ' . BB_Core::Paginate($num_pages, $p, 'messages.php?Page=List&box=' . $box) ?></p>
                <br />
                <ul><li>&nbsp;</li></ul>
            </div>
        </div>

        <?php
        if (isset($_GET['id']))
        {
            $id = intval($_GET['id']);
            $result = $db->query('SELECT status,owner FROM ' . $db->prefix . 'messages WHERE id=' . $db->escape($id)) or BB_Functions::Error($lang['error_71'], __FILE__, __LINE__, $db->error());
            list($status, $owner) = $db->fetch_row($result);
            $status == 0 ? $where = 'u.id=m.sender_id' : $where = 'u.id=m.owner';
            $result = $db->query('SELECT m.id AS mid, m.subject, m.sender_ip, m.sender_id, m.message, m.smileys, m.posted, m.showed, u.country, u.sex, u.id, u.gid as g_id, g.g_color, g.g_user_title, u.username, u.registered, u.email, u.title, u.url, u.icq, u.msn, u.aim, u.yahoo, u.location, u.use_avatar, u.email_setting, u.num_posts, u.admin_note, u.signature, o.user_id AS is_online FROM ' . $db->prefix . 'messages AS m,' . $db->prefix . 'users AS u LEFT JOIN ' . $db->prefix . 'online AS o ON (o.user_id=u.id AND o.idle=0) LEFT JOIN ' . $db->prefix . 'usergroups AS g ON u.gid = g.g_id WHERE ' . $where . ' AND m.id=' . $db->escape($id)) or BB_Functions::Error($lang['error_72'], __FILE__, __LINE__, $db->error());
            $cur_post = $db->fetch_assoc($result);
            if ($owner != $forum_user['id'])
                BB_Functions::Message($lang['No permission']);
            if ($cur_post['showed'] == 0)
                $db->query('UPDATE ' . $db->prefix . 'messages SET showed=1 WHERE id=' . $db->escape($id)) or BB_Functions::Error($lang['error_73'], __FILE__, __LINE__, $db->error());
            if ($cur_post['id'] > 0)
            {
                $user_country = $cur_post['country'];
                if (bb_ranks_enable)
                    $rank_icons = BB_Core::Show_Rank($cur_post['num_posts'], $cur_post['g_id']);
                $username = '<a href="member.php?id=' . $cur_post['sender_id'] . '"><span style="color:' . $cur_post['g_color'] . '">' . BB_Input::Htmlspecialchars($cur_post['username']) . '</span></a>';
                $cur_post['username'] = $cur_post['username'];
                $user_title = BB_Core::Get_User_Title($cur_post);
                if (bb_censoring == '1')
                    $user_title = BB_Input::Censor_Words($user_title);
                $is_online = ($cur_post['is_online'] == $cur_post['id']) ? '<strong>&nbsp;</strong>' : '&nbsp;';
                if (bb_avatars == '1' && $cur_post['use_avatar'] == '1' && $forum_user['show_avatars'] != '0')
                {
                    if ($img_size = @getimagesize(bb_avatars_dir . '/' . $cur_post['id'] . '.gif'))
                        $user_avatar = '<img src="' . bb_avatars_dir . '/' . $cur_post['id'] . '.gif" ' . $img_size[3] . ' alt="" />';
                    else if ($img_size = @getimagesize(bb_avatars_dir . '/' . $cur_post['id'] . '.jpg'))
                        $user_avatar = '<img src="' . bb_avatars_dir . '/' . $cur_post['id'] . '.jpg" ' . $img_size[3] . ' alt="" />';
                    else if ($img_size = @getimagesize(bb_avatars_dir . '/' . $cur_post['id'] . '.png'))
                        $user_avatar = '<img src="' . bb_avatars_dir . '/' . $cur_post['id'] . '.png" ' . $img_size[3] . ' alt="" />';
                }
                else
                    $user_avatar = '<img src="' . bb_avatars_dir . '/noavatar.png" alt="" />';
                if (bb_show_user_info == '1')
                {
                    if ($cur_post['sex'] != '')
                    {
                        if ($cur_post['sex'] == 'male')
                            $user_info[] = '<dd class="info">' . $lang['Sex'] . ': <img style="border:0;" src="' . BB_Template::Get_Image_Folder() . 'misc/male.png" alt="male" /></dd>';
                        else
                            $user_info[] = '<dd class="info">' . $lang['Sex'] . ': <img style="border:0;" src="' . BB_Template::Get_Image_Folder() . 'misc/female.png" alt="Female" /></dd>';
                    }
                    if ($cur_post['location'] != '')
                    {
                        if (bb_censoring == '1')
                            $cur_post['location'] = BB_Input::Censor_Words($cur_post['location']);
                        $user_info[] = '<dd class="info">' . $lang['From'] . ': ' . BB_Input::Htmlspecialchars($cur_post['location']);
                    }
                    $user_info[] = '<dd class="info">' . $lang['Registered'] . ': ' . date(bb_date_format, $cur_post['registered']);
                    if (bb_show_post_count == '1' || $forum_user['g_id'] < USER_GUEST)
                        $user_info[] = '<dd class="info">' . $lang['Posts'] . ': ' . $cur_post['num_posts'];
                }
                if (!$status)
                    $post_actions[] = '<li><a href="messages.php?Page=Send&id=' . $cur_post['id'] . '&amp;reply=' . $cur_post['mid'] . '" title="' . $lang['Post a reply'] . '"><img src="' . BB_Template::Get_Image_Folder() . 'buttons/btn_reply.png" alt="' . $lang['Post a reply'] . '" /></a>';
                $post_actions[] = '<li><a href="messages.php?Page=Delete&id=' . $cur_post['mid'] . '&amp;box=' . intval($_GET['box']) . '&amp;p=' . intval($_GET['p']) . '" title="' . $lang['Delete'] . '"><img src="' . BB_Template::Get_Image_Folder() . 'buttons/btn_delete.png" alt="' . $lang['Delete'] . '" /></a>';
                if (!$status)
                    $post_actions[] = '<li><a href="messages.php?Page=Send&id=' . $cur_post['id'] . '&amp;quote=' . $cur_post['mid'] . '" title="' . $lang['Quote'] . '"><img src="' . BB_Template::Get_Image_Folder() . 'buttons/btn_quote.png" alt="' . $lang['Quote'] . '" /></a>';
            }
            else
            {
                $result = $db->query('SELECT id, sender, message, posted FROM ' . $db->prefix . 'messages WHERE id=' . $db->escape($id)) or BB_Functions::Error($lang['error_72'], __FILE__, __LINE__, $db->error());
                $cur_post = $db->fetch_assoc($result);
                $username = BB_Input::Htmlspecialchars($cur_post['sender']);
                $user_title = "Deleted User";
                $post_actions[] = '<li><a href="messages.php?Page=Delete&id=' . $cur_post['id'] . '&amp;box=' . intval($_GET['box']) . '&amp;p=' . intval($_GET['p']) . '">' . $lang['Delete'] . '</a>';
                $is_online = $lang['Offline'];
            }
            $cur_post['smileys'] = isset($cur_post['smileys']) ? $cur_post['smileys'] : $forum_user['show_smilies'];
            $cur_post['message'] = BB_Parser::Parse_Message($cur_post['message'], (int) (!$cur_post['smileys']));
            if (isset($cur_post['signature']) && $forum_user['show_sig'] != '0')
                $signature = BB_Parser::Parse_Signature($cur_post['signature']);
            ?>
            <div id="p<?php echo $cur_post['id'] ?>" class="blockpost row_odd firstpost">
                <h2><span><?php echo BB_Input::Format_Time($cur_post['posted']) ?></span></h2>
                <div class="box">
                    <div class="inbox">
                        <div class="postleft">
                            <dl>
                                <dt><strong><?php echo $username ?></strong></dt>
                                <dd class="usertitle"><strong><?php echo $user_title ?></strong></dd>
                                <dd class="postavatar"><?php echo $user_avatar ?></dd><br />
                            <?php if (($cur_post['g_id'] != USER_GUEST) && (bb_ranks_enable))
                                echo "<dd class=\"info\">" . $rank_icons . "</dd>\n"; ?>
        <?php
        if (bb_enable_country)
        {
            if ($user_country != '')
                echo '<dd class="info"><img src="' . bb_forum_url . 'img/general/flags/' . $user_country . '.png" alt="' . $user_country . '" title="' . $user_country . '" /></dd>';
        }
        if (count($user_info))
            echo "\t\t\t\t\t" . implode('</dd>' . "\n\t\t\t\t\t", $user_info) . '</dd>' . "\n";
        echo '<br />';
        if (count($user_contacts))
            echo "\t\t\t\t\t" . '<dd class="usercontacts">' . implode('&nbsp;&nbsp;', $user_contacts) . '</dd>' . "\n";
        ?>


                            </dl>
                        </div>
                        <div class="postright">
                            <div class="postmsg">
                                            <?php echo $cur_post['message'] . "\n" ?>
                            </div>
                                            <?php
                                            if (isset($signature))
                                                echo "\t\t\t\t" . '<div class="postsignature"><hr />' . $signature . '</div>' . "\n";
                                            ?>
                        </div>
                        <div class="clearer"></div>
                        <div class="postfootleft"><?php if ($cur_post['id'] > 1)
                                        echo '<br /><p>' . $is_online . '</p>'; ?></div>
                        <div class="postfootright"><?php echo (count($post_actions)) ? '<ul>' . implode('</li> ', $post_actions) . '</li></ul></div>' . "\n" : '<div>&nbsp;</div></div>' . "\n" ?>
                        </div>
                    </div>
                </div>
                <div class="clearer"></div>
                                            <?php
                                        }
                                        ?>
            <div class="blocktable">
                <h2><span><?php echo $name ?></span></h2>
                <form method="post" action="messages.php?Page=List" name="multiselect">
                    <div class="box">
                        <div class="inbox">
                            <table cellspacing="0">
                                <thead>
                                    <tr>
                                        <?php
                                        if ($forum_user['g_pm_limit'] != 0 && $forum_user['g_id'] > USER_GUEST)
                                        {
                                            $result = $db->query('SELECT count(*) FROM ' . $db->prefix . 'messages WHERE owner=' . $forum_user['id']) or BB_Functions::Error($lang['error_70'], __FILE__, __LINE__, $db->error());
                                            list($tot_messages) = $db->fetch_row($result);
                                            $proc = ceil($tot_messages / $forum_user['g_pm_limit'] * 100);
                                            $status = ' - ' . $lang['Status'] . ' ' . $proc . '%';
                                        }
                                        else
                                            $status = '';
                                        ?>
                                        <th class="tcl"><?php echo $lang['Subject'] ?><?php echo $status ?></th>
                                        <th><?php if ($box == 0)
                                    echo $lang['Sender']; else
                                    echo $lang['Receiver']; ?></th>
                                    <?php
                                    if (isset($_GET['action']) && $_GET['action'] == 'multidelete')
                                    {
                                        ?>
                                            <th><?php echo $lang['Date'] ?></th>
                                            <th><input name="allbox" type="checkbox" value="Check All" onclick="InboxCheckAll();" /></th>
                                        <?php
                                    }
                                    else
                                    {
                                        ?>
                                            <th><?php echo $lang['Date'] ?></th>
                                        <?php
                                    }
                                    ?>
                                    </tr>
                                </thead>
                                <tbody>
                                            <?php
                                            $result = $db->query('SELECT * FROM ' . $db->prefix . 'messages WHERE owner=' . $forum_user['id'] . ' AND status=' . $db->escape($box) . ' ORDER BY posted DESC LIMIT ' . $db->escape($limit)) or BB_Functions::Error($lang['error_74'], __FILE__, __LINE__, $db->error());
                                            $new_messages = false;
                                            $messages_exist = false;
                                            if ($db->num_rows($result))
                                            {
                                                $messages_exist = true;
                                                while ($cur_mess = $db->fetch_assoc($result))
                                                {
                                                    $icon_text = $lang['Normal icon'];
                                                    $icon_type = 'icon';
                                                    if ($cur_mess['showed'] == '0')
                                                    {
                                                        $icon_text .= ' ' . $lang['New icon'];
                                                        $icon_type = 'icon inew';
                                                    }
                                                    ($new_messages == false && $cur_mess['showed'] == '0') ? $new_messages = true : null;
                                                    $subject = '<a href="messages.php?Page=List&id=' . $cur_mess['id'] . '&amp;p=' . $p . '&amp;box=' . (int) $box . '">' . BB_Input::Htmlspecialchars($cur_mess['subject']) . '</a>';
                                                    if (isset($_GET['id']))
                                                    {
                                                        if ($cur_mess['id'] == $_GET['id'])
                                                            $subject = "<strong>$subject</strong>";
                                                    }
                                                    if ($icon_type == 'icon inew')
                                                        echo '<tr class="inew">';
                                                    else
                                                        echo '<tr>';
                                                    ?>
                                        <td class="tcl">
                                            <div class="intd">
                                                <div class="<?php echo $icon_type ?>"><div class="nosize"><?php echo trim($icon_text) ?></div></div>
                                                <div class="tclcon">
            <?php echo $subject . "\n" ?>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="tcl" style="white-space: nowrap; OVERFLOW: hidden"><a href="member.php?id=<?php echo $cur_mess['sender_id'] ?>"><?php echo $cur_mess['sender'] ?></a></td>
            <?php
            if (isset($_GET['action']) && $_GET['action'] == 'multidelete')
            {
                echo '<td class="tcr" style="white-space: nowrap">' . BB_Input::Format_Time($cur_mess['posted']) . '</td>';
                echo '<td class="tcmod"><input type="checkbox" onclick="cca(this);" name="delete_messages[]" value="' . $cur_mess['id'] . '"></td>';
            }
            else
            {
                echo '<td class="tcr" style="white-space: nowrap">' . BB_Input::Format_Time($cur_mess['posted']) . '</td>';
            }
            ?>
                                        </tr>
                <?php
            }
        }
        else
        {
            $cols = isset($_GET['action']) ? '4' : '3';
            echo "\t" . '<tr><td class="tcl" colspan="' . $cols . '">' . $lang['No messages'] . '</td></tr>' . "\n";
        }
        ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
            </div>
            <div class="postlinksb">
                <div class="inbox">
                    <p class="pagelink conl"><strong class="pagination"><?php echo $lang['Pages'] . '</strong> ' . BB_Core::Paginate($num_pages, $p, 'messages.php?Page=List&box=' . $box) ?></p>
        <?php if (isset($_GET['action']) && $_GET['action'] == 'multidelete')
            echo '<p class="postlink conr"><input type="hidden" name="box" value="' . $box . '"><input class="b1" type="submit" value="Delete"></p>'; ?>
                    <ul><li>&nbsp;</li></ul>
                    <div class="clearer"></div>
                </div>
            </div>
            </form>
            <div class="clearer"></div>
        </div>
    <?php
    if (isset($_GET['id']))
        $forum_id = intval($id);
    $footer_style = 'messages_list';
    require FORUM_ROOT . $forum_folder . '/footer.php';
}
else if ($page == 'Delete')
{
    if ($forum_user['is_guest'] || $forum_user['g_pm'] == 0)
        BB_Functions::Message($lang['No permission'], true, 1);

    if (isset($_POST['delete']))
    {
        if (empty($_GET['did']))
            BB_Functions::Message($lang['Bad request']);
        $did = intval($_GET['did']);
        $result = $db->query('SELECT * FROM ' . $db->prefix . 'messages WHERE id=' . $db->escape($did)) or BB_Functions::Error($lang['error_3'], __FILE__, __LINE__, $db->error());
        if (!$db->num_rows($result))
            BB_Functions::Message($lang['Bad request']);
        $cur_post = $db->fetch_assoc($result);
        if ($cur_post['owner'] != $forum_user['id'])
            BB_Functions::Message($lang['No permission'], true, 1);
        BB_Input::Confirm_Referrer('messages.php');
        $db->query('DELETE FROM ' . $db->prefix . 'messages WHERE id=' . $db->escape($did)) or BB_Functions::Error($lang['error_10'], __FILE__, __LINE__, $db->error());
        BB_Functions::Redirect(bb_forum_url . 'messages.php?Page=List&box=' . $box . '&p=' . intval($_POST['p']), $lang['Del redirect']);
    }
    else
    {
        if (empty($_GET['id']))
            BB_Functions::Message($lang['Bad request']);
        $result = $db->query('SELECT * FROM ' . $db->prefix . 'messages WHERE id=' . $db->escape($_GET['id'])) or BB_Functions::Error($lang['error_3'], __FILE__, __LINE__, $db->error());
        if (!$db->num_rows($result))
            BB_Functions::Message($lang['Bad request']);
        $cur_post = $db->fetch_assoc($result);
        if ($cur_post['owner'] != $forum_user['id'])
            BB_Functions::Message($lang['No permission'], true, 1);
        $page_title = BB_Input::Htmlspecialchars($lang['Delete message']);
        require FORUM_ROOT . $forum_folder . '/header.php';
        BB_Functions::Set_Profile_Menu('pms');
        $cur_post['message'] = BB_Parser::Parse_Message($cur_post['message'], (int) (!$cur_post['smileys']));
        ?>
            <div class="blockform">
                <h2><span><?php echo $lang['Delete message'] ?></span></h2>
                <form method="post" action="messages.php?Page=Delete&did=<?php echo intval($_GET['id']) ?>">
                    <input type="hidden" name="box" value="<?php echo intval($_GET['box']) ?>">
                    <input type="hidden" name="p" value="<?php echo intval($_GET['p']) ?>">
                    <div class="inform">
                        <div class="infldset file" style="padding:10px">
                            <div class="postmsg">
                                <p><?php echo $lang['Sender'] ?>: <strong><?php echo BB_Input::Htmlspecialchars($cur_post['sender']) ?></strong></p>
            <?php echo $cur_post['message'] ?>
                            </div>
                        </div>
                    </div>
                    <div><input type="button" class="b1" name="submit" onclick="javascript:history.go(-1);" value="<?php echo $lang['Go back'] ?>" /> <input type="submit" class="b1" name="delete" value="<?php echo $lang['Delete'] ?>" /></div>
                </form>
            </div>
            <?php
            require FORUM_ROOT . $forum_folder . '/footer.php';
        }
    }
    else if ($page == 'Send')
    {
        if (!bb_pms_enabled || $forum_user['is_guest'] || $forum_user['g_pm'] == 0)
            BB_Functions::Message($lang['No permission'], true, 1);
        if (isset($_POST['form_sent']) && !isset($_POST['preview']))
        {
            if ($forum_user['g_id'] > USER_GUEST)
            {
                $result = $db->query('SELECT posted FROM ' . $db->prefix . 'messages ORDER BY id DESC LIMIT 1') or BB_Functions::Error('Unable to fetch message time for flood protection', __FILE__, __LINE__, $db->error());
                if (list($last) = $db->fetch_row($result))
                {
                    if ((time() - $last) < $forum_user['g_post_flood'])
                        BB_Functions::Message($lang['Flood start'] . ' ' . $forum_user['g_post_flood'] . ' ' . $lang['Flood end']);
                }
            }
            if (isset($_POST['hide_smilies']))
                $smilies = 0;
            else
                $smilies = 1;
            $subject = BB_Input::Trim($_POST['req_subject']);
            if ($subject == '')
                BB_Functions::Message($lang['No subject']);
            else if (BB_Input::Strlen($subject) > 70)
                BB_Functions::Message($lang['Too long subject']);
            else if (bb_subject_all_caps == '0' && strtoupper($subject) == $subject && $forum_user['g_id'] > USER_GUEST)
                $subject = ucwords(strtolower($subject));
            $message = BB_Input::Linebreaks(BB_Input::Trim($_POST['req_message']));
            if ($message == '')
                BB_Functions::Message($lang['No message']);
            else if (strlen($message) > 65535)
                BB_Functions::Message($lang['Too long message']);
            else if (bb_message_all_caps == '0' && strtoupper($message) == $message && $forum_user['g_id'] > USER_GUEST)
                $message = ucwords(strtolower($message));
            if (bb_message_bbcode == '1' && strpos($message, '[') !== false && strpos($message, ']') !== false)
                $message = BB_Parser::Preparse_BBCode($message, $errors);
            if (isset($errors))
                BB_Functions::Message($errors[0]);
            if (isset($_POST['form_sent']))
            {
                $result = $db->query('SELECT id, username, gid, email, email_alert FROM ' . $db->prefix . 'users WHERE id!=1 AND username=\'' . $db->escape($_POST['req_username']) . '\'') or BB_Functions::Error('Unable to get user id', __FILE__, __LINE__, $db->error());
                if (list($id, $user, $status, $email, $alert) = $db->fetch_row($result))
                {
                    if ($forum_user['g_pm_limit'] != 0 && $forum_user['g_id'] > USER_GUEST && $status > USER_GUEST)
                    {
                        $result = $db->query('SELECT count(*) FROM ' . $db->prefix . 'messages WHERE owner=' . $db->escape($id)) or BB_Functions::Error('Unable to get message count for the receiver', __FILE__, __LINE__, $db->error());
                        list($count) = $db->fetch_row($result);
                        if ($count >= $forum_user['g_pm_limit'])
                            BB_Functions::Message($lang['Inbox full']);
                        if (isset($_POST['savemessage']) && intval($_POST['savemessage']) == 1)
                        {
                            $result = $db->query('SELECT count(*) FROM ' . $db->prefix . 'messages WHERE owner=' . $forum_user['id']) or BB_Functions::Error('Unable to get message count the sender', __FILE__, __LINE__, $db->error());
                            list($count) = $db->fetch_row($result);
                            if ($count >= $forum_user['g_pm_limit'])
                                BB_Functions::Message($lang['Sent full']);
                        }
                    }
                    $db->query('INSERT INTO ' . $db->prefix . 'messages (owner, subject, message, sender, sender_id, sender_ip, smileys, showed, status, posted) VALUES(\'' . $db->escape($id) . '\', \'' . $db->escape($subject) . '\', \'' . $db->escape($message) . '\', \'' . $db->escape($forum_user['username']) . '\', \'' . $forum_user['id'] . '\', \'' . $db->escape(BB_Input::Get_Remote_Address()) . '\', \'' . $db->escape($smilies) . '\', \'0\', \'0\', \'' . time() . '\')') or BB_Functions::Error('Unable to send message', __FILE__, __LINE__, $db->error());
                    if (isset($_POST['savemessage']))
                        $db->query('INSERT INTO ' . $db->prefix . 'messages (owner, subject, message, sender, sender_id, sender_ip, smileys, showed, status, posted) VALUES(\'' . $forum_user['id'] . '\', \'' . $db->escape($subject) . '\', \'' . $db->escape($message) . '\', \'' . $db->escape($user) . '\', \'' . $db->escape($id) . '\', \'' . $db->escape(BB_Input::Get_Remote_Address()) . '\', \'' . $db->escape($smilies) . '\', \'1\', \'1\', \'' . time() . '\')') or BB_Functions::Error('Unable to send message', __FILE__, __LINE__, $db->error());
                    if ($alert)
                    {
                        $mail_subject = 'Alert - New Private Message';
                        $mail_message = 'The user \'' . $forum_user['username'] . '\' from the forum ' . bb_forum_url . ' has sent you a private message. ' . "\n\n" . '-- ' . "\n" . 'Automatic e-mail' . "\n" . '(Please do not reply)';
                        BB_Email::Mail($email, $mail_subject, $mail_message);
                    }
                }
                else
                    BB_Functions::Message($lang['No user']);
                $topic_redirect = intval($_POST['topic_redirect']);
                $from_profile = isset($_POST['from_profile']) ? intval($_POST['from_profile']) : '';
                if ($from_profile != 0)
                    BB_Functions::Redirect('member.php?id=' . $from_profile, $lang['Sent redirect']);
                else if ($topic_redirect != 0)
                    BB_Functions::Redirect('topic.php?id=' . $topic_redirect, $lang['Sent redirect']);
                else
                    BB_Functions::Redirect(bb_forum_url . 'messages.php?Page=List', $lang['Sent redirect']);
            }
        }

        if (isset($_GET['id']))
            $id = intval($_GET['id']);
        else
            $id = 0;
        if ($id > 0)
        {
            $result = $db->query('SELECT username FROM ' . $db->prefix . 'users WHERE id=' . $db->escape($id)) or BB_Functions::Error('Unable to fetch message info', __FILE__, __LINE__, $db->error());
            if (!$db->num_rows($result))
                BB_Functions::Message($lang['Bad request']);
            list($username) = $db->fetch_row($result);
        }
        if (isset($_GET['reply']) || isset($_GET['quote']))
        {
            $r = isset($_GET['reply']) ? intval($_GET['reply']) : 0;
            $q = isset($_GET['quote']) ? intval($_GET['quote']) : 0;
            empty($r) ? $id = $q : $id = $r;
            $result = $db->query('SELECT * FROM ' . $db->prefix . 'messages WHERE id=' . $db->escape($id) . ' AND owner=' . $forum_user['id']) or BB_Functions::Error('Unable to fetch message info', __FILE__, __LINE__, $db->error());
            if (!$db->num_rows($result))
                BB_Functions::Message($lang['Bad request']);
            $message = $db->fetch_assoc($result);
            if (isset($_GET['quote']))
                $quote = '[quote=' . $message['sender'] . ']' . $message['message'] . '[/quote]';
            if (strpos($message['subject'], "E: ") == 1)
                $subject = $message['subject'];
            else
                $subject = "RE: " . $message['subject'];
        }
        $action = $lang['Send a message'];
        $form = '<form method="post" id="post" action="messages.php?Page=Send">';
        $page_title = BB_Input::Htmlspecialchars($action);
        $form_name = 'post';
        $cur_index = 1;
        if (!isset($username))
            $username = '';
        if (!isset($quote))
            $quote = '';
        if (!isset($subject))
            $subject = '';
        require FORUM_ROOT . $forum_folder . '/header.php';
        BB_Functions::Set_Profile_Menu('pms');

        if (isset($_POST['preview']))
        {
            if (isset($_POST['hide_smilies']))
                $smilies = 0;
            else
                $smilies = 1;
            $subject = BB_Input::Trim($_POST['req_subject']);
            if ($subject == '')
                BB_Functions::Message($lang['No subject']);
            else if (BB_Input::Strlen($subject) > 70)
                BB_Functions::Message($lang['Too long subject']);
            else if (bb_subject_all_caps == '0' && strtoupper($subject) == $subject && $forum_user['g_id'] > USER_GUEST)
                $subject = ucwords(strtolower($subject));
            $message = BB_Input::Linebreaks(BB_Input::Trim($_POST['req_message']));
            if ($message == '')
                BB_Functions::Message($lang['No message']);
            else if (strlen($message) > 65535)
                BB_Functions::Message($lang['Too long message']);
            else if (bb_message_all_caps == '0' && strtoupper($message) == $message && $forum_user['g_id'] > USER_GUEST)
                $message = ucwords(strtolower($message));
            if (bb_message_bbcode == '1' && strpos($message, '[') !== false && strpos($message, ']') !== false)
                $message = BB_Parser::Preparse_BBCode($message, $errors);
            if (isset($errors))
                BB_Functions::Message($errors[0]);
            $hide_smilies = isset($_POST['hide_smilies']) ? 1 : 0;
            $username = $_POST['req_username'];
            $preview_message = BB_Parser::Parse_Message($message, $hide_smilies);
            $quote = $_POST['req_message'];
            ?>
            <div id="postpreview" class="blockpost">
                <h2><span><?php echo $subject ?></span></h2>
                <div class="box">
                    <div class="inbox">
                        <div class="postright">
                            <div class="postmsg">
        <?php echo $preview_message . "\n" ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php
        }
        ?>
        <div class="blockform">
            <h2><?php echo $lang['Write message legend'] ?></h2>
            <div class="box">
                <div class="inbox">
    <?php echo $form . "\n" ?>
                    <div class="inform">
                        <div class="infldset file" style="padding:20px;">
                            <input type="hidden" name="form_sent" value="1" />
                            <input type="hidden" name="topic_redirect" value="<?php echo isset($tid) ? BB_Input::Htmlspecialchars($tid) : '' ?>" />
                            <input type="hidden" name="topic_redirect" value="<?php echo isset($_POST['from_profile']) ? BB_Input::Htmlspecialchars($_POST['from_profile']) : '' ?>" />
                            <input type="hidden" name="form_user" value="<?php echo (!$forum_user['is_guest']) ? BB_Input::Htmlspecialchars($forum_user['username']) : 'Guest'; ?>" />
                            <fieldset><legend><?php echo $lang['Send to'] ?></legend>
                                <input type="text" class="textbox" name="req_username" style="width:510px" maxlength="25" value="<?php echo BB_Input::Htmlspecialchars($username) ?>" tabindex="<?php echo($cur_index++) ?>" />
                            </fieldset>
                            <fieldset><legend><?php echo $lang['Subject'] ?></legend>
                                <input class="textbox" type="text" name="req_subject" value="<?php echo $subject ?>" style="width:510px" maxlength="70" tabindex="<?php echo $cur_index++ ?>" />
                            </fieldset>
                            <fieldset><legend><?php echo $lang['Formatting'] ?></legend>
    <?php require FORUM_ROOT . 'include/functions/BBCodes.php'; ?>
                            </fieldset>
                            <fieldset><legend><?php echo $lang['Message'] ?></legend>
                                <textarea id="req_message" name="req_message" rows="10" style="width:510px" tabindex="<?php echo $cur_index++ ?>"><?php echo $quote ?></textarea>
                            </fieldset>
                        </div><br />
                        <div><input type="button" class="b1" name="submit" onclick="javascript:history.go(-1);" value="<?php echo $lang['Go back'] ?>"> <input type="submit" class="b1" name="submit" value="<?php echo $lang['Send message'] ?>" tabindex="<?php echo $cur_index++ ?>" accesskey="s" /> <input type="submit" class="b1" name="preview" value="<?php echo $lang['Preview'] ?>" tabindex="<?php echo $cur_index++ ?>" accesskey="p" /></div>

    <?php
    $checkboxes = array();
    if (bb_smilies == '1')
        $checkboxes[] = '<label><input type="checkbox" name="hide_smilies" value="1" tabindex="' . ($cur_index++) . '"' . (isset($_POST['hide_smilies']) ? ' checked="checked"' : '') . ' />' . $lang['Hide smilies'];
    $checkboxes[] = '<label><input type="checkbox" name="savemessage" value="1" checked="checked" tabindex="' . ($cur_index++) . '" />' . $lang['Save message'];
    if (!empty($checkboxes))
    {
        $cur_qpost = 98;
        $qpost_count = 98;
        $qpost_ids = (isset($_COOKIE['qpostprefs'])) ? $_COOKIE['qpostprefs'] . ',' : FALSE;
        if (strstr($qpost_ids, '98,'))
        {
            $div_ido = "none";
            $div_idx = "show";
        }
        else
        {
            $div_ido = "show";
            $div_idx = "none";
        }
        ?>
                        </div><br />
                        <div id="ido98" class="file" style="display:<?php echo $div_ido ?>">
                            <h2>
                                <span class="icons"><a href="javascript:xBB_Toggle_Category(98, 0);"><img src="<?php echo BB_Template::Get_Image_Folder() ?>arrows/down.png" alt="Expand" /></a></span>
                                <span><?php echo $lang['Options'] ?></span>
                            </h2>
                        </div>
                        <div id="idx98" class="file" style="display:<?php echo $div_idx ?>">
                            <h2>
                                <span class="icons"><a href="javascript:xBB_Toggle_Category(98, 1);"><img src="<?php echo BB_Template::Get_Image_Folder() ?>arrows/up.png" alt="Collapse" /></a></span>
                                <span><?php echo $lang['Options'] ?></span>
                            </h2>
                            <div class="inform">
                                <div class="infldset" style="padding:10px;">
                                    <div class="rbox">
        <?php echo implode('<br /></label>' . "\n\t\t\t\t", $checkboxes) . '<br /></label>' . "\n" ?>
                                    </div>
                                </div>
        <?php
    }
    ?>
                        </div>
                    </div>
                    </form>
                </div>

            </div>
        </div>
    <?php
    require FORUM_ROOT . $forum_folder . '/footer.php';
}
else
    BB_Functions::Message($lang['Bad request']);
?>
