<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM_ADMIN'))
    exit('No direct script access allowed');
if (!BB_Admin_Functions::Check_Permissions('block_custom_block'))
    BB_Functions::Message($lang['No permission']);
if (isset($_POST['config_block_custom_block']))
{
    $form = array_map('trim', $_POST['form']);
    $cms_settings->Set_Namespace('block_custom_block');
    $res = true;
    $res &= $cms_settings->Save('bb_block_custom_block', intval($form['block_custom_block']));
    $res &= $cms_settings->Save('bb_block_custom_block_title', $form['block_custom_block_title']);
    $res &= $cms_settings->Save('bb_block_custom_block_content', $form['block_custom_block_content']);
    $cms_settings->Set_Namespace('');
    if ($res)
    {
        BB_Admin_Functions::Log_Action("Config custom_block block", 1);
        BB_Functions::Redirect('loader.php?block=custom_block', $lang['config_updated']);
    }
    else
        BB_Functions::Message($lang['unable_update_config']);
}
else
{
    ?>
    <div class="blockform" id="CustomBlockBox">
        <h2><span><?php echo $lang_cms_main_block_custom_block['config_block']; ?></span></h2>
        <form method="post" action="loader.php?block=custom_block">
            <input type="hidden" name="config_block_custom_block" value="1" />
            <div class="inform">
                <div class="infldset" style="padding:10px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px" scope="row"><?php echo $lang_cms_main_block_custom_block['enable_block']; ?></th>
                            <td style="width:25px">&nbsp;</td>
                            <td><input type="radio" name="form[block_custom_block]" value="1"<?php if (bb_block_custom_block == 1)
        echo ' checked="checked"'; ?> />&#160;<?php echo $lang['Yes']; ?>&#160;&#160;&#160;<input type="radio" name="form[block_custom_block]" value="0"<?php if (bb_block_custom_block == 0)
        echo ' checked="checked"'; ?> />&#160;<?php echo $lang['No']; ?></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php echo $lang_cms_main_block_custom_block['title']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_custom_block['title_info']; ?>');" onmouseout="return nd();" /></td>
                            <td><input class="textbox" type="text" name="form[block_custom_block_title]" size="50" maxlength="255" value="<?php echo BB_Input::Htmlspecialchars(bb_block_custom_block_title); ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php echo $lang_cms_main_block_custom_block['content']; ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('<?php echo $lang_cms_main_block_custom_block['content_info']; ?>');" onmouseout="return nd();" /></td>
                            <td><textarea name="form[block_custom_block_content]" rows="8" cols="55"><?php echo BB_Input::Htmlspecialchars(bb_block_custom_block_content); ?></textarea></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="button" class="b1" onclick="javascript:history.go(-1);" value="<?php echo $lang['Go back']; ?>" />&nbsp;&nbsp;&nbsp;<input type="submit" class="b1" value=" <?php echo $lang['Save']; ?> " /></div>
        </form>
    </div>
    <?php
}