<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM_ADMIN'))
    exit('No direct script access allowed');
if (!BB_Admin_Functions::Check_Permissions('block_custom_menu'))
    BB_Functions::Message($lang['No permission']);

function BB_Uninstall_Block()
{
    global $cms_settings;
    $res = true;
    $res &= $cms_settings->Remove('bb_block_custom_menu');
    $res &= $cms_settings->Remove('bb_block_custom_menu_title');
    $res &= $cms_settings->Remove('bb_block_custom_menu_content');
    $res &= $cms_settings->Remove('bb_perm_block_custom_menu');
    if ($res)
        return true;
    else
        return false;
}