<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
?>
<div class="blockform" id="RecentTopicsBox">
    <h2><span><?php echo $lang_cms_main_block_recent_topics['recent_topics']; ?></span></h2>
    <div class="box">
        <ul>
            <?php
            $cms_forum_sql = '';
            if (bb_block_recent_topics_fid != '')
                $cms_forum_sql = ' AND f.id IN(' . $db->escape(bb_block_recent_topics_fid) . ')';
            if (bb_block_recent_topics_nfid != '')
                $cms_forum_sql = ' AND f.id NOT IN(' . bb_block_recent_topics_nfid . ')';
            $result = $db->query('SELECT t.id, t.subject, t.question FROM ' . $db->prefix . 'topics AS t INNER JOIN ' . $db->prefix . 'forums AS f ON f.id=t.forum_id LEFT JOIN ' . $db->prefix . 'permissions AS fp ON (fp.forum_id=f.id AND fp.gid=3) WHERE (fp.read_forum IS NULL OR fp.read_forum=1) AND t.moved_to IS NULL' . $cms_forum_sql . ' ORDER BY t.posted DESC LIMIT ' . $db->escape(bb_block_recent_topics_num)) or BB_Functions::Error('Cannot retrieve thread list', __FILE__, __LINE__, $db->error());
            while ($cur_topic = $db->fetch_assoc($result))
            {
                if (bb_censoring == '1')
                    $cur_topic['subject'] = BB_Input::Censor_Words($cur_topic['subject']);
                if ($cur_topic['question'] != '')
                {
                    if ((bb_block_recent_topics_max_len > 0) && (BB_Input::Strlen($cur_topic['subject']) > bb_block_recent_topics_max_len))
                        echo "\t\t\t\t\t" . '<li><a href="' . bb_forum_url . BB_Input::Rewrite_URL("l", $cur_topic['id'], $cur_topic['subject']) . '" title="' . BB_Input::Htmlspecialchars($cur_topic['subject']) . '">' . BB_Input::Htmlspecialchars(trim(substr($cur_topic['subject'], 0, (bb_block_recent_topics_max_len - 5)))) . ' ...' . '</a></li>' . "\n";
                    else
                        echo "\t\t\t\t\t" . '<li><a href="' . bb_forum_url . BB_Input::Rewrite_URL("l", $cur_topic['id'], $cur_topic['subject']) . '">' . BB_Input::Htmlspecialchars($cur_topic['subject']) . '</a></li>' . "\n";
                }
                else
                {
                    if ((bb_block_recent_topics_max_len > 0) && (BB_Input::Strlen($cur_topic['subject']) > bb_block_recent_topics_max_len))
                        echo "\t\t\t\t\t" . '<li><a href="' . bb_forum_url . BB_Input::Rewrite_URL("t", $cur_topic['id'], $cur_topic['subject']) . '" title="' . BB_Input::Htmlspecialchars($cur_topic['subject']) . '">' . BB_Input::Htmlspecialchars(trim(substr($cur_topic['subject'], 0, (bb_block_recent_topics_max_len - 5)))) . ' ...' . '</a></li>' . "\n";
                    else
                        echo "\t\t\t\t\t" . '<li><a href="' . bb_forum_url . BB_Input::Rewrite_URL("t", $cur_topic['id'], $cur_topic['subject']) . '">' . BB_Input::Htmlspecialchars($cur_topic['subject']) . '</a></li>' . "\n";
                }
            }
            ?>
        </ul>
    </div>
</div>
