<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
?>
<div class="blockform" id="StatsBox">
    <h2><span><?php echo $GLOBALS['lang_cms_main_block_stats']['stats']; ?></span></h2>
    <div class="box">
        <ul>
            <?php
            $result = $db->query('SELECT COUNT(id)-1 FROM ' . $db->prefix . 'users') or BB_Functions::Error('Cannot retrieve users list', __FILE__, __LINE__, $db->error());
            $stats['total_users'] = $db->result($result);
            $result = $db->query('SELECT id, username FROM ' . $db->prefix . 'users ORDER BY registered DESC LIMIT 1') or BB_Functions::Error('Cannot retrieve users list', __FILE__, __LINE__, $db->error());
            $stats['last_user'] = $db->fetch_assoc($result);
            $result = $db->query('SELECT SUM(num_topics), SUM(num_posts) FROM ' . $db->prefix . 'forums') or BB_Functions::Error('Cannot retrieve threads list', __FILE__, __LINE__, $db->error());
            list($stats['total_topics'], $stats['total_posts']) = $db->fetch_row($result);
            echo "\t\t\t\t\t" . '<li>' . $lang_cms_main_block_stats['no_of_users'] . $stats['total_users'] . '</li>' . "\n";
            echo "\t\t\t\t\t" . '<li>' . $lang_cms_main_block_stats['newest_user'] . '<a href="' . bb_forum_url . BB_Input::Rewrite_URL("u", $stats['last_user']['id'], $stats['last_user']['username']) . '">' . BB_Input::Htmlspecialchars($stats['last_user']['username']) . '</a></li>' . "\n";
            echo "\t\t\t\t\t" . '<li>' . $lang_cms_main_block_stats['no_of_topics'] . $stats['total_topics'] . '</li>' . "\n";
            echo "\t\t\t\t\t" . '<li>' . $lang_cms_main_block_stats['no_of_posts'] . $stats['total_posts'] . '</li>' . "\n";
            ?>
        </ul>
    </div>
</div>
