<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if (isset($_POST['change_style']) && !$forum_user['is_guest'])
{
    $db->query('UPDATE ' . $db->prefix . 'users SET template=\'' . $db->escape($_POST['styles']) . '\' WHERE id=' . $forum_user['id']) or BB_Functions::Error('Cannot update profile', __FILE__, __LINE__, $db->error());
    BB_Functions::Redirect(BB_Input::Htmlspecialchars($_SERVER['REQUEST_URI']), $lang['Style redirect']);
}
if (!$forum_user['is_guest'])
{
    $cms_styles = array();
    $d = dir(FORUM_ROOT . 'include/templates');
    while (($entry = $d->read()) !== false)
    {
        if ($entry != '.' && $entry != '..' && $entry != 'index.html')
            $cms_styles[] = $entry;
    }
    $d->close();
    if (count($cms_styles) > 1)
    {
        natsort($cms_styles);
        ?>
        <div class="blockform" id="StyleSwitcherBox">
            <h2><span><?php echo $lang_cms_main_block_style_switcher['style_switcher']; ?></span></h2>
            <form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
                <input type="hidden" name="change_style" value="1" />
                <label for="styles"><?php echo $lang_cms_main_block_style_switcher['choose_style']; ?></label><br />
                <select id="styles" style="width:110px" name="styles">
                    <?php
                    while (list(, $temp) = @each($cms_styles))
                    {
                        if ($GLOBALS['forum_user']['theme'] == $temp)
                            echo "\t\t\t\t\t\t\t" . '<option value="' . $temp . '" selected="selected">' . str_replace('_', ' ', $temp) . '</option>' . "\n";
                        else
                            echo "\t\t\t\t\t\t\t" . '<option value="' . $temp . '">' . str_replace('_', ' ', $temp) . '</option>' . "\n";
                    }
                    ?>
                </select>
                <input name="submit" class="b1" value="<?php echo $lang_cms_main_block_style_switcher['go']; ?>" type="submit" />
            </form>
        </div>
        <?php
    }
}
?>
