<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if ($script_filename == 'topic.php')
    $quick_post = true;
else
    $quick_post = false;
if (bb_message_bbcode == '1')
{
    ?>
    <div class="blockform" id="toolbar">
        <div style="padding-bottom:2px;"><input class="buttonresizeup" type="button" name="+" title="<?php echo $lang['increase_size'] ?>" onclick="Collapse_QP('req_message', 7);" />&nbsp;&nbsp;&nbsp;
            <input class="buttonb" type="button" name="B" title="<?php echo $lang['bold_text'] ?>" onclick="xBB_Insert_Text('[b]','[/b]')" />
            <input class="buttoni" type="button" name="I" title="<?php echo $lang['italic_text'] ?>" onclick="xBB_Insert_Text('[i]','[/i]')" />
            <input class="buttonu" type="button" name="U" title="<?php echo $lang['underline_text'] ?>" onclick="xBB_Insert_Text('[u]','[/u]')" />
            <input class="buttons" type="button" name="S" title="<?php echo $lang['striked_text'] ?>" onclick="xBB_Insert_Text('[s]','[/s]')" />
            <input class="buttonh" type="button" name="H" title="<?php echo $lang['highlighted_text'] ?>" onclick="xBB_Insert_Text('[h]','[/h]')" />
            <input class="buttonhr" type="button" name="HR" title="<?php echo $lang['horizontal_rule'] ?>" onclick="xBB_Insert_Text('[hr]','')" />
            <input class="buttonaleft" type="button" name="ALIGNL" title="<?php echo $lang['align_left'] ?>" onclick="xBB_Insert_Text('[align=left]','[/align]')" />
            <input class="buttonacenter" type="button" name="ALIGNC" title="<?php echo $lang['align_center'] ?>" onclick="xBB_Insert_Text('[align=center]','[/align]')" />
            <input class="buttonaright" type="button" name="ALIGNR" title="<?php echo $lang['align_right'] ?>" onclick="xBB_Insert_Text('[align=right]','[/align]')" />
            <input class="buttonfsize" type="button" name="FONT" title="<?php echo $lang['font_size'] ?>" onclick="xBB_Tag_Font_Size()" />
            <input class="buttonlist" type="button" name="LIST" title="<?php echo $lang['insert_list'] ?>" onclick="xBB_Insert_Text('[list]','[/list]')" />
            <input class="buttoncolor" type="button" name="color" title="<?php echo $lang['insert_text_color'] ?>" onclick="xBB_Color_Picker()" />
            <input class="buttonurl" type="button" name="Url" title="<?php echo $lang['insert_hyperlink'] ?>" onclick="xBB_Tag_URL()" />
            <input class="buttonemail" type="button" name="EMAIL" title="<?php echo $lang['insert_email_address'] ?>" onclick="xBB_Tag_Mail()"  />
        </div>
        <div style="padding-top:2px;"><input class="buttonresizedown" type="button" name="-" title="<?php echo $lang['decrease_size'] ?>" onclick="Expand_QP('req_message', 40);" />&nbsp;&nbsp;&nbsp;
            <input class="buttoncode" type="button" name="Code" title="<?php echo $lang['insert_code'] ?>" onclick="xBB_Insert_Text('[code]','[/code]')" />
            <input class="buttonquote" type="button" name="Quote" title="<?php echo $lang['insert_quote'] ?>" onclick="xBB_Insert_Text('[quote]','[/quote]')" />
            <input class="buttonspoil" type="button" name="SPOILER" title="<?php echo $lang['insert_spoiler'] ?>" onclick="xBB_Tag_Spoiler()"  />
            <?php
            if (bb_message_img_tag == '1')
                echo '<input class="buttonimg" type="button" name="Img" title="' . $lang['insert_image'] . '" onclick="xBB_Tag_Img()"  /> ';
            if (bb_is_upload == '1' && !$quick_post)
                echo '<input class="buttonis" type="button" name="ImageShack" title="' . $lang['show_imageshack_uploader'] . '" onclick="xBB_Show_Hide(\'div_imageshack\');"  /> ';
            if (bb_message_bbcode_media == '1')
            {
                ?>
                <input class="buttonmp3" type="button" name="mp3" title="<?php echo $lang['insert_mp3'] ?>" onclick="xBB_Insert_Text('[mp3=]','')"  />
                <input class="buttonvideo" type="button" name="video" title="<?php echo $lang['insert_wmp'] ?>" onclick="xBB_Insert_Text('[video]','[/video]')"  />
                <input class="buttonfvideo" type="button" name="fvideo" title="<?php echo $lang['insert_flash_video'] ?>" onclick="xBB_Insert_Text('[fvideo]','[/fvideo]')"  />
                <input class="buttonflash" type="button" name="flash" title="<?php echo $lang['insert_flash'] ?>" onclick="xBB_Insert_Text('[flash]','[/flash]')"  />
                <input class="buttonyoutube" type="button" name="youtube" title="<?php echo $lang['insert_youtube'] ?>" onclick="xBB_Insert_Text('[youtube]','[/youtube]')"  />
                <input class="buttongvideo" type="button" name="gvideo" title="<?php echo $lang['insert_google_video'] ?>" onclick="xBB_Insert_Text('[gvideo]','[/gvideo]')"  />
                <input class="buttonquicktime" type="button" name="quicktime" title="<?php echo $lang['insert_quicktime'] ?>" onclick="xBB_Insert_Text('[quicktime]','[/quicktime]')"  />
                <input class="buttonrealvideo" type="button" name="realvideo" title="<?php echo $lang['insert_real'] ?>" onclick="xBB_Insert_Text('[realvideo]','[realvideo]')"  />
        <?php
    }
    if (bb_smilies == '1' && !$quick_post)
        echo '<input class="buttonsmiley" type="button" name="Smiley" title="' . $lang['insert_smilies'] . '" onclick="xBB_Cascade(\'smile\');"  />';
    ?>
        </div>
    </div>
        <?php
        if (!$quick_post)
        {
            ?>
        <div class="postsmilies" id="smile" style="display:none;width:490px;height:30px;overflow:auto;">
            <?php
            require_once FORUM_ROOT . 'include/functions/Parser.php';
            $smiley_dups = array();
            $num_smilies = count($smiley_text);
            for ($i = 0; $i < $num_smilies; ++$i)
            {
                if (!isset($smiley_text[$i]))
                    continue;
                if (!in_array($smiley_img[$i], $smiley_dups))
                    echo "\t\t\t\t\t\t\t" . '<a href="javascript:xBB_Insert_Text(\' ' . $smiley_text[$i] . ' \', \'\');"><img src="' . bb_forum_url . 'img/smilies/' . $smiley_img[$i] . '" alt="' . $smiley_text[$i] . '" /></a>' . "\n";
                $smiley_dups[] = $smiley_img[$i];
            }
            ?>
        </div>
        <?php
    }
}
?>
