<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
require '../../include/init.php';
if ($forum_user['g_read_board'] == 0 || $forum_user['g_view_users'] == 0 || $forum_user['is_guest'])
    BB_Functions::Message($lang['No permission'], true, 1);
if (bb_profile_fields_enable != 1)
    BB_Functions::Message($lang['No permission'], true, 1);
if (isset($_GET['action']) && $_GET['action'] == 'update')
{
    $fields = $_POST['fields'];
    foreach ($fields as $key => $value)
    {
        $value = BB_Input::Htmlspecialchars($db->escape($value));
        $key = intval($key);
        if ($db->result($db->query("SELECT f_id FROM " . $db->prefix . "profile_field_entries WHERE f_id=" . $db->escape($key) . " AND u_id=" . $forum_user['id'])))
            $db->query("UPDATE " . $db->prefix . "profile_field_entries SET value='" . $db->escape($value) . "' WHERE f_id=" . $db->escape($key) . " AND u_id=" . $forum_user['id']) or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
        else
            $db->query("INSERT INTO " . $db->prefix . "profile_field_entries (value, f_id, u_id) VALUES ('" . $db->escape($value) . "', '" . $db->escape($key) . "', '" . $forum_user['id'] . "')") or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
    }
    BB_Functions::Redirect('ProfileFields.php', "Extra profile fields updated.");
}
$page_title = BB_Input::Htmlspecialchars($lang['Custom profile fields']);
define('ALLOW_INDEX', 1);
require FORUM_ROOT . $forum_folder . '/header.php';
require_once FORUM_ROOT . 'include/functions/Parser.php';
$id = $forum_user['id'];
BB_Functions::Set_Profile_Menu('fields');
?>
<div class="blockform" style="margin-left:200px;">
    <h2><span><?php echo $lang['Custom profile fields'] ?></span></h2>
    <form method="post" action="ProfileFields.php?action=update" onsubmit="return process_form(this)">
        <div class="inform">
            <div class="infldset file" style="padding:10px">
                <table class="aligntop" cellspacing="0">
                    <?php
                    $result = $db->query("SELECT * FROM " . $db->prefix . "profile_fields ORDER BY id LIMIT 5") or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
                    $res1 = $db->query("SELECT * FROM " . $db->prefix . "profile_field_entries WHERE u_id=" . $forum_user['id']) or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
                    while ($row1 = $db->fetch_assoc($res1))
                        $entries[$row1['f_id']] = $row1['value'];
                    if ($db->num_rows($result) != 0)
                    {
                        while ($row = $db->fetch_assoc($result))
                        {
                            echo "<tr><th style=\"width:150px\">" . $row['name'] . "</th><td><input type=\"text\" class=\"textbox\" name=\"fields[" . $row['id'] . "]\" size=\"35\" value=\"" . stripslashes($entries[$row['id']]) . "\" /></td></tr>";
                        }
                    }
                    else
                        echo '<p>' . $lang['no_custom_fields'] . '</p>';
                    ?>
                </table>
            </div>
        </div>
<?php
if ($db->num_rows($result) != 0)
    echo '<div><input type="submit" name="update" class="b1" value="' . $lang['Submit'] . '" style="margin-bottom: 10px; margin-top: 5px" /></div>';
?>
    </form>
</div></div>
<div class="clearer"></div>
<?php
require FORUM_ROOT . $forum_folder . '/footer.php';
?>