<?php

/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
require '../../include/init.php';
$result = $db->query('SELECT COUNT(id)-1 FROM ' . $db->prefix . 'users') or BB_Functions::Error($lang['error_38'], __FILE__, __LINE__, $db->error());
$stats['total_users'] = $db->result($result);
$result = $db->query('SELECT SUM(num_topics), SUM(num_posts) FROM ' . $db->prefix . 'forums') or BB_Functions::Error($lang['error_40'], __FILE__, __LINE__, $db->error());
list($stats['total_topics'], $stats['total_posts']) = $db->fetch_row($result);
header("Content-type: image/png");
$im = @imagecreate(460, 100) or die("Cannot Initialize new GD image stream");
$image = imagecreatefrompng("../../" . $forum_folder . "/img/general/sign.png");
$background_color = imagecolorallocate($image, 231, 247, 215);
$text_color = imagecolorallocate($image, 100, 100, 100);
$text_color2 = imagecolorallocate($image, 0, 0, 225);
$shado_color = imagecolorallocate($image, 178, 178, 178);
imagestring($image, 3, 100, 5, bb_board_title, $text_color2);
imagestring($image, 2, 100, 20, "Total Members : $stats[total_users]", $text_color2);
imagestring($image, 2, 100, 32, "Total Topics  : $stats[total_topics]", $text_color2);
imagestring($image, 2, 100, 44, "Total Posts   : $stats[total_posts]", $text_color2);
imagepng($image);
imagedestroy($image);
?>
