<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
$page_title = BB_Input::Htmlspecialchars($lang['Profile']);
require FORUM_ROOT . $forum_folder . '/header.php';
BB_Functions::Set_Profile_Menu('display');
?>
<div class="blockform">
    <h2><span><?php echo BB_Input::Htmlspecialchars($user['username']) . ' - ' . $lang['Section display'] ?></span></h2>
    <div class="box">
        <form id="profile5" method="post" action="member.php?section=display&amp;id=<?php echo $id ?>">
            <div><input type="hidden" name="form_sent" value="1" /></div>
            <?php
            $styles = array();
            $d = dir(FORUM_ROOT . 'include/templates');
            while (($entry = $d->read()) !== false)
            {
                if ($entry != '.' && $entry != '..' && $entry != 'index.html')
                    $styles[] = $entry;
            }
            $d->close();
            if (count($styles) == 1)
                echo "\t\t\t" . '<div><input type="hidden" name="form[template]" value="' . $styles[0] . '" /></div>' . "\n";
            else if (count($styles) > 1)
            {
                natsort($styles);
                ?>
                <div class="inform">
                    <p><b><?php echo $lang['Style legend'] ?></b></p>
                    <div class="infldset file" style="padding:6px">
                        <table>
                            <tr><td style="width:20px;"><?php BB_Template::Print_Tooltip($lang['Style info']) ?></td>
                                <td><select name="form[template]">
                                        <?php
                                        while (list(, $temp) = @each($styles))
                                        {
                                            if ($user['template'] == $temp)
                                                echo "\t\t\t\t\t\t\t\t" . '<option value="' . $temp . '" selected="selected">' . str_replace('_', ' ', $temp) . '</option>' . "\n";
                                            else
                                                echo "\t\t\t\t\t\t\t\t" . '<option value="' . $temp . '">' . str_replace('_', ' ', $temp) . '</option>' . "\n";
                                        }
                                        ?>
                                    </select></td></tr>
                        </table>
                    </div>
                </div>
    <?php
}
if (bb_quicklinks == '1')
{
    ?>
                <div class="inform">
                    <p><b><?php echo $lang['quicklinks'] ?></b></p>
                    <div class="infldset file" style="padding:6px">
                        <div class="rbox">
                            <select name="form[quicklinks]">
                                <option value="top" <?php if ($user['quicklinks'] == 'top')
        echo ' selected' ?>><?php echo $lang['top'] ?></option>
                                <option value="bottom" <?php if ($user['quicklinks'] == 'bottom')
        echo ' selected' ?>><?php echo $lang['bottom'] ?></option>
                                <option value="off" <?php if ($user['quicklinks'] == 'off')
                echo ' selected' ?>><?php echo $lang['off'] ?></option>
                            </select>
                            &nbsp;<?php echo $lang['quicklinks_info'] ?>
                        </div>
                    </div>
                </div>
    <?php
}
?>
            <div class="inform">
                <p><b><?php echo $lang['Post display legend'] ?></b></p>
                <div class="infldset file" style="padding:6px">
                    <p><?php echo $lang['Post display info'] ?></p>
                    <div class="rbox">
                        <label><input type="checkbox" name="form[show_smilies]" value="1"<?php if ($user['show_smilies'] == '1')
                            echo ' checked="checked"' ?> /><?php echo $lang['Show smilies'] ?><br /></label>
                        <label><input type="checkbox" name="form[show_sig]" value="1"<?php if ($user['show_sig'] == '1')
                            echo ' checked="checked"' ?> /><?php echo $lang['Show sigs'] ?><br /></label>
<?php
if (bb_avatars == '1')
{
    ?>
                            <label><input type="checkbox" name="form[show_avatars]" value="1"<?php if ($user['show_avatars'] == '1')
        echo ' checked="checked"' ?> /><?php echo $lang['Show avatars'] ?><br /></label>
    <?php
}
?>
                        <label><input type="checkbox" name="form[show_img]" value="1"<?php if ($user['show_img'] == '1')
    echo ' checked="checked"' ?> /><?php echo $lang['Show images'] ?><br /></label>
                        <label><input type="checkbox" name="form[show_img_sig]" value="1"<?php if ($user['show_img_sig'] == '1')
    echo ' checked="checked"' ?> /><?php echo $lang['Show images sigs'] ?><br /></label>
                        <label><input type="checkbox" name="form[new_window_link]" value="1"<?php if ($user['new_window_link'] == '1')
    echo ' checked="checked"'; ?> /><?php echo $lang['New window link'] ?><br /></label>
                    </div>
                    <p><?php echo $lang['Reverse posts info'] ?></p>
                    <div class="rbox">
                        <label><input type="checkbox" name="form[reverse_posts]" value="1"<?php if ($user['reverse_posts'] == '1')
    echo ' checked="checked"' ?> /><?php echo $lang['Reverse posts'] ?><br /></label>
                    </div>

                </div>
            </div>
            <div class="inform">
                <p><b><?php echo $lang['Pagination legend'] ?></b></p>
                <div class="infldset file" style="padding:6px">
                    <table cellspacing="0">
                        <tr><td rowspan="2" style="width:20px;"><?php BB_Template::Print_Tooltip($lang['Paginate info'] . ' ' . $lang['Leave blank']) ?></td>
                            <td><label><input type="text" class="textbox" name="form[disp_topics]" value="<?php echo $user['disp_topics'] ?>" size="6" maxlength="3" /> <?php echo $lang['Topics per page'] ?></label></td></tr>
                        <tr><td><label><input type="text" class="textbox" name="form[disp_posts]" value="<?php echo $user['disp_posts'] ?>" size="6" maxlength="3" /> <?php echo $lang['Posts per page'] ?></td></tr>
                    </table>
                </div>
            </div>
            <div class="inform">
<?php
if (bb_reputation_enabled == 1 && $forum_user['reputation_enable_adm'] == 1)
{
    ?>
                    <p><b><?php echo $lang['Manage reputation'] ?></b></p>
                    <div class="infldset file" style="padding:6px">
                        <table cellspacing="0">
                            <tr><td rowspan="2" style="width:20px;"><?php BB_Template::Print_Tooltip($lang['Description Manage reputation']) ?></td>
                                <td><label><input type="radio" name="reputation_enable" value="1"<?php if ($forum_user['reputation_enable'] == '1')
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['Yes'] ?>&nbsp;&nbsp;&nbsp;<input type="radio" name="reputation_enable" value="0"<?php if ($forum_user['reputation_enable'] == '0')
        echo ' checked="checked"' ?> />&nbsp;<?php echo $lang['No'] ?></td></tr>
                        </table>
                    </div>
    <?php
}
?>                                </div>
            <div><input type="submit" class="b1" name="update" value="<?php echo $lang['Submit'] ?>" /></div>
        </form>
    </div>
</div>
