<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
if ($forum_user['g_set_title'] == '1')
    $title_field = '<input type="text" class="textbox" name="title" value="' . BB_Input::Htmlspecialchars($user['title']) . '" size="40" maxlength="50" />' . "\n";
$page_title = BB_Input::Htmlspecialchars($lang['Profile']);
require FORUM_ROOT . $forum_folder . '/header.php';
BB_Functions::Set_Profile_Menu('personal');
?>
<div class="blockform">
    <h2><span><?php echo BB_Input::Htmlspecialchars($user['username']) . ' - ' . $lang['Section personal'] ?></span></h2>
    <div class="box">
        <form id="profile2" method="post" action="member.php?section=personal&amp;id=<?php echo $id ?>">
            <div class="inform">
                <div class="infldset file" style="padding:6px">
                    <input type="hidden" name="form_sent" value="1" />
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px"><b><?php echo $lang['Realname'] ?></b></th><td><input type="text" class="textbox" name="form[realname]" value="<?php echo BB_Input::Htmlspecialchars($user['realname']) ?>" size="40" maxlength="40" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Sex'] ?></b></th><td><select name="form[sex]"> <option value="male" <?php if ($user['sex'] == 'male')
                            echo ' selected="selected"' ?>><?php echo $lang['Male'] ?></option> <option value="female"<?php if ($user['sex'] == 'female')
                            echo ' selected="selected"' ?>><?php echo $lang['Female'] ?></option> </select></td>
                        </tr>
<?php
if (isset($title_field))
{
    ?>
                            <tr>
                                <th><b><?php echo $lang['User Title'] ?></b></th><td><?php echo $title_field ?></td>
                            </tr>
    <?php
}
?>
                        <tr>
                            <th><b><?php echo $lang['Location'] ?></b></th><td><input type="text" class="textbox" name="form[location]" value="<?php echo BB_Input::Htmlspecialchars($user['location']) ?>" size="40" maxlength="30" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Country'] ?></b></th><td><select name="form[country]"><?php require FORUM_ROOT . 'include/functions/Countries.php';
echo '<option value=" "';
if ($user['country'] == " ")
{
    echo ' selected="selected"';
} echo '> none </option>';
foreach ($countries as $value)
{
    echo '<option value="' . $value . '"';
    if ($user['country'] == $value)
    {
        echo ' selected="selected"';
    } echo '>' . $value . '</option>';
} ?></select></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Website'] ?></b></th><td><input type="text" class="textbox" name="form[url]" value="<?php echo BB_Input::Htmlspecialchars($user['url']) ?>" size="40" maxlength="80" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Birthday'] ?></b></th><td><? list($bday_year, $bday_month, $bday_day) = explode('-', $user['birthday']); ?>
                                <select name="bday_month"><option value="0" <?php if (empty($bday_month) && $bday_month = "0")
                                        echo 'selected' ?>><?php echo $lang['Month'] ?></option>
                                    <?php
                                    $month_name = array('', $lang['January'], $lang['February'], $lang['March'], $lang['April'], $lang['May'], $lang['June'], $lang['July'], $lang['August'], $lang['September'], $lang['October'], $lang['November'], $lang['December']);
                                    for ($x = 1; $x < 13; $x++)
                                    {
                                        $s = ($bday_month == $x) ? " selected" : "";
                                        echo"\t\t\t\t\t\t\t\t\t<option value='" . $x . "'" . $s . ">" . $month_name[$x] . "</option>\n";
                                    }
                                    ?>
                                </select>
                                <select name="bday_day"><option value="0" <?php if (empty($bday_day) && $bday_day = "0")
                                        echo 'selected' ?>><?php echo $lang['Day'] ?></option>
<?php
for ($x = 01; $x <= 31; $x++)
{
    $s = ($bday_day == $x) ? " selected" : "";
    echo"\t\t\t\t\t\t\t\t\t<option value='" . $x . "'" . $s . ">" . $x . "</option>\n";
}
?>
                                </select>
                                <select name="bday_year"><option value="0" <?php if (empty($bday_year) && $bday_year = "0")
    echo 'selected' ?>><?php echo $lang['Year'] ?></option>
<?php
for ($x = date("Y") - 10; $x > date("Y") - 80; $x--)
{
    $s = ($bday_year == $x) ? " selected" : "";
    echo"\t\t\t\t\t\t\t\t\t<option value='" . $x . "'" . $s . ">" . $x . "</option>\n";
}
?>
                                </select></td>
                        </tr>
                        <tr>
                            <th style="width:150px"><b><?php echo $lang['Jabber'] ?></b></th><td><input id="jabber" type="text" class="textbox" name="form[jabber]" value="<?php echo BB_Input::Htmlspecialchars($user['jabber']) ?>" size="40" maxlength="75" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['ICQ'] ?></b></th><td><input id="icq" type="text" class="textbox" name="form[icq]" value="<?php echo $user['icq'] ?>" size="40" maxlength="12" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['MSN'] ?></b></th><td><input id="msn" type="text" class="textbox" name="form[msn]" value="<?php echo BB_Input::Htmlspecialchars($user['msn']) ?>" size="40" maxlength="50" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['AOL IM'] ?></b></th><td><input id="aim" type="text" class="textbox" name="form[aim]" value="<?php echo BB_Input::Htmlspecialchars($user['aim']) ?>" size="40" maxlength="30" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Yahoo'] ?></b></th><td><input id="yahoo" type="text" class="textbox" name="form[yahoo]" value="<?php echo BB_Input::Htmlspecialchars($user['yahoo']) ?>" size="40" maxlength="30" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Google Talk'] ?></b></th><td><input id="gtalk" type="text" class="textbox" name="form[gtalk]" value="<?php echo BB_Input::Htmlspecialchars($user['gtalk']) ?>" size="40" maxlength="50" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Skype'] ?></b></th><td><input id="skype" type="text" class="textbox" name="form[skype]" value="<?php echo BB_Input::Htmlspecialchars($user['skype']) ?>" size="40" maxlength="30" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['XFire'] ?></b></th><td><input id="xfire" type="text" class="textbox" name="form[xfire]" value="<?php echo BB_Input::Htmlspecialchars($user['xfire']) ?>" size="40" maxlength="30" /></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Status'] ?></b></th><td><input type="hidden" name="form[absent]" value="0" /><select name="form[absent]" >
                        <?php
                        if ($user['absent'] == '0')
                        {
                            ?>
                                        <option value="0" checked><?php echo $lang['Present'] ?></option><option value="1" checked><?php echo $lang['Absent'] ?></option>
                            <?php
                        }
                        if ($user['absent'] == '1')
                        {
                            ?>
                                        <option value="1" checked><?php echo $lang['Absent'] ?></option><option value="0"><?php echo $lang['Present'] ?></option>
    <?php
}
?>
                                </select></td>
                        </tr>
                        <tr>
                            <th><b><?php echo $lang['Absence message'] ?>: </b></th><td><input type="text" class="textbox" name="form[absence_message]" value="<?php echo BB_Input::Htmlspecialchars($user['absence_message']) ?>" size="40" maxlength="70" /></td>
                        </tr>
<?php
$result = $db->query("SELECT * FROM " . $db->prefix . "profile_fields ORDER BY id LIMIT 5") or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
$res1 = $db->query("SELECT * FROM " . $db->prefix . "profile_field_entries WHERE u_id=" . $forum_user['id']) or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
while ($row1 = $db->fetch_assoc($res1))
    $entries[$row1['f_id']] = $row1['value'];
if ($db->num_rows($result) != 0)
{
    while ($row = $db->fetch_assoc($result))
        echo '<tr><th><b>' . ucwords($row['lang_entry']) . ': </b></th><td><input type="text" class="textbox" name="fields[' . $row['id'] . ']" size="40" value="' . stripslashes($entries[$row['id']]) . '" /></td></tr>';
}
?>
                    </table>
                </div>
            </div>
            <div><input type="submit" class="b1" name="update" value="<?php echo $lang['Submit'] ?>" /></div>
        </form>
    </div>
</div>
