<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM_ADMIN'))
    exit('No direct script access allowed');
if (!BB_Admin_Functions::Check_Permissions('module_articles'))
    BB_Functions::Message($lang['No permission']);

function BB_Uninstall_Module()
{
    global $db, $db_prefix, $cms_settings;
    $error = '';
    if (!$db->query("DROP TABLE " . $db_prefix . "module_articles"))
        $error = 'Cannot remove table ' . $db_prefix . 'module_articles. You must remove it manually.';
    if (!$db->query("DROP TABLE " . $db_prefix . "module_articles_categories"))
        $error = 'Cannot remove table ' . $db_prefix . 'module_articles_categories. You must remove it manually.';
    $res = true;
    $res &= $cms_settings->Remove('bb_module_articles');
    $res &= $cms_settings->Remove('bb_perm_module_articles');
    if (!$res)
        return false;
    elseif ($error != '')
        return $error;
    else
        return true;
}

?>
