<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
define('PLUGIN_LOADED', 1);
define('PLUGIN_URL', 'plugin.php?plugin=a_AdBot.php');
if (isset($_POST['save1']))
{
    $form = array_map('trim', $_POST['form1']);
    if (!isset($form['bot_name']) || $form['bot_name'] == '')
        BB_Functions::Message($lang['enter_bot_name']);
    while (list($key, $input) = @each($form))
    {
        $key = $db->escape($key);
        if ($ads_config['ads_' . $key] != $input)
        {
            if ($input != '')
                $value = '\'' . $db->escape($input) . '\'';
            else
                $value = 'NULL';
            $db->query('UPDATE ' . $db->prefix . 'advertising_config SET conf_value=' . $value . ' WHERE conf_name=\'ads_' . $key . '\'') or BB_Functions::Error($lang['unable_update_bot_config'], __FILE__, __LINE__, $db->error());
        }
    }
    BB_Cache::Generate_Advertising_Config();
    BB_Functions::Redirect(PLUGIN_URL, $lang['ads_updated']);
}
if (isset($_POST['save2']))
{
    $form = array_map('trim', $_POST['form2']);
    if ($form['adsense_enabled'] == '1' && $form['ad_client'] == '')
        BB_Functions::Message($lang['enter_client_id']);
    $form['ad_format'] = $_POST['format'] . '_as';
    $measurements = explode("x", $_POST['format']);
    $form['ad_width'] = intval($measurements[0]);
    $form['ad_height'] = intval($measurements[1]);
    while (list($key, $input) = @each($form))
    {
        $key = $db->escape($key);
        if ($ads_config['google_' . $key] != $input)
        {
            if ($input != '')
                $value = '\'' . $db->escape($input) . '\'';
            else
                $value = 'NULL';
            $db->query('UPDATE ' . $db->prefix . 'advertising_config SET conf_value=' . $value . ' WHERE conf_name=\'google_' . $key . '\'') or BB_Functions::Error($lang['unable_update_bot_config'], __FILE__, __LINE__, $db->error());
        }
    }
    BB_Cache::Generate_Advertising_Config();
    BB_Functions::Redirect(PLUGIN_URL, $lang['ads_updated']);
}
if (isset($_POST['save3']))
{
    $form = array_map('trim', $_POST['form3']);
    if ($form['ads_enabled'] == '1' && $form['ad_client'] == '')
        BB_Functions::Message($lang['enter_client_id']);
    $form['ad_format'] = $_POST['format'] . '_as';
    $measurements = explode("x", $_POST['format']);
    $form['ad_width'] = intval($measurements[0]);
    $form['ad_height'] = intval($measurements[1]);
    while (list($key, $input) = @each($form))
    {
        $key = $db->escape($key);
        if ($ads_config['yahoo_' . $key] != $input)
        {
            if ($input != '')
                $value = '\'' . $db->escape($input) . '\'';
            else
                $value = 'NULL';
            $db->query('UPDATE ' . $db->prefix . 'advertising_config SET conf_value=' . $value . ' WHERE conf_name=\'yahoo_' . $key . '\'') or BB_Functions::Error($lang['unable_update_bot_config'], __FILE__, __LINE__, $db->error());
        }
    }
    BB_Cache::Generate_Advertising_Config();
    BB_Functions::Redirect(PLUGIN_URL, $lang['ads_updated']);
}
if (isset($_POST['save4']))
{
    $form = array_map('trim', $_POST['form4']);
    while (list($key, $input) = @each($form))
    {
        $key = $db->escape($key);
        if ($ads_config['clicksor_' . $key] != $input)
        {
            if ($input != '')
                $value = '\'' . $db->escape($input) . '\'';
            else
                $value = 'NULL';
            $db->query('UPDATE ' . $db->prefix . 'advertising_config SET conf_value=' . $value . ' WHERE conf_name=\'clicksor_' . $key . '\'') or BB_Functions::Error($lang['unable_update_bot_config'], __FILE__, __LINE__, $db->error());
        }
    }
    BB_Cache::Generate_Advertising_Config();
    BB_Functions::Redirect(PLUGIN_URL, $lang['ads_updated']);
}
if (isset($_POST['save5']))
{
    $form = array_map('trim', $_POST['form5']);
    if ($form['neogen_ads_enabled'] == '1' && $form['neogen_ads_client'] == '')
        BB_Functions::Message($lang['enter_client_id']);
    while (list($key, $input) = @each($form))
    {
        $key = $db->escape($key);
        if ($ads_config['neogen_' . $key] != $input)
        {
            if ($input != '')
                $value = '\'' . $db->escape($input) . '\'';
            else
                $value = 'NULL';
            $db->query('UPDATE ' . $db->prefix . 'advertising_config SET conf_value=' . $value . ' WHERE conf_name=\'neogen_' . $key . '\'') or BB_Functions::Error($lang['unable_update_bot_config'], __FILE__, __LINE__, $db->error());
        }
    }
    BB_Cache::Generate_Advertising_Config();
    BB_Functions::Redirect(PLUGIN_URL, $lang['ads_updated']);
}
if (isset($_POST['save6']))
{
    $form = array_map('trim', $_POST['form6']);
    if ($form['others_ads_enabled'] == '1' && $form['others_ads_code'] == '')
        BB_Functions::Message($lang['enter_ad_code']);
    while (list($key, $input) = @each($form))
    {
        $key = $db->escape($key);
        if ($ads_config['others_' . $key] != $input)
        {
            if ($input != '')
                $value = '\'' . $db->escape($input) . '\'';
            else
                $value = 'NULL';
            $db->query('UPDATE ' . $db->prefix . 'advertising_config SET conf_value=' . $value . ' WHERE conf_name=\'others_' . $key . '\'') or BB_Functions::Error($lang['unable_update_bot_config'], __FILE__, __LINE__, $db->error());
        }
    }
    BB_Cache::Generate_Advertising_Config();
    BB_Functions::Redirect(PLUGIN_URL, $lang['ads_updated']);
}
?>
<div class="blockform">
    <h2><span>AdBot configuration</span></h2>
    <div class="box">
        <form id="example" method="post" action="<?php echo PLUGIN_URL ?>">
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px" scope="row">Bot Name</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('This will be the name on the posts with the Advertising in it.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form1[bot_name]" size="25" tabindex="1" value = "<?php echo $ads_config['ads_bot_name'] ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row">Bot Tag</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Fill this out if you want the bot posts to have a tag.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form1[bot_tag]" size="25" tabindex="1" value = "<?php echo $ads_config['ads_bot_tag'] ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row">Display after # posts</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Display the ads after the specified number of posts.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form1[display_after]" size="3" tabindex="1" value = "<?php echo $ads_config['ads_display_after'] ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row">Exclude Forums</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Fill this out if you want to exclude certain forums. Enter forum ids, put `,`s around then (for example: ,5,6,7,).');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form1[exclude_forums]" size="25" tabindex="1" value = "<?php echo $ads_config['ads_exclude_forums'] ?>" /></td>
                        </tr>
                        <tr>
                            <th scope="row">Exclude Groups</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Fill this out if you want to exclude certain groups. Enter group ids, put `,`s around then (for example: ,5,6,7,).');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form1[exclude_groups]" size="25" tabindex="1" value = "<?php echo $ads_config['ads_exclude_groups'] ?>" /></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="submit" name="save1" class="b1" value="<?php echo $lang['Update'] ?>" /></div>
        </form>
    </div>
    <h2><span>Clicksor Ads</span></h2>
    <div class="box">
        <form id="example" method="post" action="<?php echo PLUGIN_URL ?>">
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px">Enable Ads</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Click on No if you want to temporarily turn off the ads after the first post.');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form4[ads_enabled]" value="1"<?php if ($ads_config['clicksor_ads_enabled'] == '1')
    echo ' checked="checked"' ?> />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="form4[ads_enabled]" value="0"<?php if ($ads_config['clicksor_ads_enabled'] == '0')
                                       echo ' checked="checked"' ?> />&nbsp;<strong>No</strong></td>
                        </tr>
                        <tr>
                            <th>Clicksor Ads Partner ID</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The unique partner identifier given to you by Clicksor.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form4[pid]" size="15" tabindex="1" value = "<?php echo $ads_config['clicksor_pid'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Clicksor Ads Site ID</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The unique site identifier given to you by Clicksor.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form4[sid]" size="15" tabindex="1" value = "<?php echo $ads_config['clicksor_sid'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Default URL</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Default URL to show in case the ad is not available.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form4[default_url]" size="15" tabindex="1" value = "<?php echo $ads_config['clicksor_default_url'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Ad Sizes</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Select from among the different ad sizes.');" onmouseout="return nd();" /></td>
                            <td>
                                <select id="text_img_format" name="form4[ad_format]">
                                    <optgroup label="Text and image ads:">
                                        <option value="1" <?php if ($ads_config['clicksor_ad_format'] == '1')
                                       echo 'selected="selected"' ?>>728 x 90 Leaderboard</option>
                                        <option value="2" <?php if ($ads_config['clicksor_ad_format'] == '2')
                                                echo 'selected="selected"' ?>>468 x 60 Banner</option>
                                        <option value="3" <?php if ($ads_config['clicksor_ad_format'] == '3')
                                                echo 'selected="selected"' ?>>125 x 125 Button</option>
                                        <option value="4" <?php if ($ads_config['clicksor_ad_format'] == '4')
                                                echo 'selected="selected"' ?>>120 x 600 Skyscraper</option>
                                        <option value="5" <?php if ($ads_config['clicksor_ad_format'] == '5')
                                                echo 'selected="selected"' ?>>160 x 600 Wide Skyscraper</option>
                                        <option value="6" <?php if ($ads_config['clicksor_ad_format'] == '6')
                                                echo 'selected="selected"' ?>>120 x 240 Vertical Banner</option>
                                        <option value="7" <?php if ($ads_config['clicksor_ad_format'] == '7')
                                                echo 'selected="selected"' ?>>300 x 250 Medium rectangle</option>
                                        <option value="8" <?php if ($ads_config['clicksor_ad_format'] == '8')
                                                echo 'selected="selected"' ?>>250 x 250 Square</option>
                                        <option value="9" <?php if ($ads_config['clicksor_ad_format'] == '9')
                                                echo 'selected="selected"' ?>>336 x 280 Large Rectangle</option>
                                        <option value="10" <?php if ($ads_config['clicksor_ad_format'] == '10')
                                                echo 'selected="selected"' ?>>180 x 150 Small Rectangle</option>
                                    </optgroup>
                                </select>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px">Border color</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The border color of the ad.');" onmouseout="return nd();" /></td>
                            <td><input id="clicksor_banner_border_value" type="text" class="textbox" name="form4[banner_border]" size="10" tabindex="1" value = "<?php echo $ads_config['clicksor_banner_border'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Ad background</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The background color of the ad.');" onmouseout="return nd();" /></td>
                            <td><input id="clicksor_banner_ad_bg_value" type="text" class="textbox" name="form4[banner_ad_bg]" size="10" tabindex="1" value = "<?php echo $ads_config['clicksor_banner_ad_bg'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Link Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The link color of the ad.');" onmouseout="return nd();" /></td>
                            <td><input id="clicksor_banner_link_color_value" type="text" class="textbox" name="form4[banner_link_color]" size="10" tabindex="1" value = "<?php echo $ads_config['clicksor_banner_link_color'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Text Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The text color of the ad.');" onmouseout="return nd();" /></td>
                            <td><input id="clicksor_banner_text_color_value" type="text" class="textbox" name="form4[banner_text_color]" size="10" tabindex="1" value = "<?php echo $ads_config['clicksor_banner_text_color'] ?>" /></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="submit" name="save4" class="b1" value="<?php echo $lang['Update'] ?>" /></div>
        </form>
    </div>
    <h2><span>AdSense</span></h2>
    <div class="box">
        <form id="example" method="post" action="<?php echo PLUGIN_URL ?>">
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px">Enable Ads</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Click on No if you want to temporarily turn off the ads after the first post.');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form2[adsense_enabled]" value="1"<?php if ($ads_config['google_adsense_enabled'] == '1')
                                                echo ' checked="checked"' ?> />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="form2[adsense_enabled]" value="0"<?php if ($ads_config['google_adsense_enabled'] == '0')
                                       echo ' checked="checked"' ?> />&nbsp;<strong>No</strong></td>
                        </tr>
                        <tr>
                            <th>Adsense Client ID</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The unique identifier given to you by Google Adsense.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form2[ad_client]" size="25" tabindex="1" value = "<?php echo $ads_config['google_ad_client'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Ad Channel</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('If you need this, feel free to use it: for the most part I don\'t think people do.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form2[ad_channel]" size="20" tabindex="1" value = "<?php echo $ads_config['google_ad_channel'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Ad Type</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Specify your ad type here.');" onmouseout="return nd();" /></td>
                            <td>
                                <select name="form2[ad_type]">
                                    <option value="text" <?php if ($ads_config['google_ad_type'] == 'text')
                                       echo 'selected="selected"' ?> > Text only </option>
                                    <option value="image" <?php if ($ads_config['google_ad_type'] == 'image')
                                            echo 'selected="selected"' ?> > Image only </option>
                                    <option value="text_image" <?php if ($ads_config['google_ad_type'] == 'text_image')
                                            echo 'selected="selected"' ?> > Text and Image </option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <th>Ad Sizes</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Select from among the different ad sizes.');" onmouseout="return nd();" /></td>
                            <td>
                                <select id="text_img_format" name="format">
                                    <optgroup label="Text and image ads:">
                                        <option value="728x90" <?php if ($ads_config['google_ad_format'] == '728x90_as')
                                            echo 'selected="selected"' ?>> 728 x 90 Leaderboard</option>
                                        <option value="468x60" <?php if ($ads_config['google_ad_format'] == '468x60_as')
                                                echo 'selected="selected"' ?>> 468 x 60 Banner</option>
                                        <option value="300x250" <?php if ($ads_config['google_ad_format'] == '300x250_as')
                                                echo 'selected="selected"' ?>> 300 x 250 Medium rectangle</option>
                                        <option value="160x600" <?php if ($ads_config['google_ad_format'] == '160x600_as')
                                                echo 'selected="selected"' ?>> 160 x 600 Wide Skyscraper</option>
                                        <option value="120x600" <?php if ($ads_config['google_ad_format'] == '120x600_as')
                                                echo 'selected="selected"' ?>> 120 x 600 Skyscraper</option>
                                    </optgroup>
                                    <optgroup label="Text ads only:">
                                        <option value="336x280" <?php if ($ads_config['google_ad_format'] == '336x280_as')
                                                echo 'selected="selected"' ?>> 336 x 280 Large Rectangle</option>
                                        <option value="250x250" <?php if ($ads_config['google_ad_format'] == '250x250_as')
                                                echo 'selected="selected"' ?>> 250 x 250 Square</option>
                                        <option value="234x60" <?php if ($ads_config['google_ad_format'] == '234x60_as')
                                                echo 'selected="selected"' ?>> 234 x 60 Half Banner</option>
                                        <option value="180x150" <?php if ($ads_config['google_ad_format'] == '180x150_as')
                                                echo 'selected="selected"' ?>> 180 x 150 Small Rectangle</option>
                                        <option value="125x125" <?php if ($ads_config['google_ad_format'] == '125x125_as')
                                                echo 'selected="selected"' ?>> 125 x 125 Button</option>
                                        <option value="120x240" <?php if ($ads_config['google_ad_format'] == '120x240_as')
                                                echo 'selected="selected"' ?>> 120 x 240 Vertical Banner</option>
                                    </optgroup>
                                </select>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px">Border Color</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color for the border of the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form2[color_border]" size="10" tabindex="1" value = "<?php echo $ads_config['google_color_border'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Background Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The background color of the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form2[color_bg]" size="10" tabindex="1" value = "<?php echo $ads_config['google_color_bg'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Link Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the links in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form2[color_link]" size="10" tabindex="1" value = "<?php echo $ads_config['google_color_link'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>URL Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the URLs in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form2[color_url]" size="10" tabindex="1" value = "<?php echo $ads_config['google_color_url'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Text Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the text in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form2[color_text]" size="10" tabindex="1" value = "<?php echo $ads_config['google_color_text'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Alternate Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The alternate color of the text in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form2[alternate_color]" size="10" tabindex="1" value = "<?php echo $ads_config['google_alternate_color'] ?>" /></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="submit" name="save2" class="b1" value="<?php echo $lang['Update'] ?>" /></div>
        </form>
    </div>
    <h2><span>Neogen</span></h2>
    <div class="box">
        <form id="example" method="post" action="<?php echo PLUGIN_URL ?>">
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px">Enable Ads</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Click on No if you want to temporarily turn off the ads after the first post.');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form5[ads_enabled]" value="1"<?php if ($ads_config['neogen_ads_enabled'] == '1')
                                                echo ' checked="checked"' ?> />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="form5[ads_enabled]" value="0"<?php if ($ads_config['neogen_ads_enabled'] == '0')
                                       echo ' checked="checked"' ?> />&nbsp;<strong>No</strong></td>
                        </tr>
                        <tr>
                            <th>Neogen Client ID</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The unique identifier given to you by Neogen.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form5[ads_client]" size="27" tabindex="1" value = "<?php echo $ads_config['neogen_ads_client'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Neogen Plus</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('I have no clue what this is.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form5[ads_plus]" size="27" tabindex="1" value = "<?php echo $ads_config['neogen_ads_plus'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Ad Type</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Specify your ad type here.');" onmouseout="return nd();" /></td>
                            <td>
                                <select name="form5[ads_type]">
                                    <option value="text" <?php if ($ads_config['neogen_ads_type'] == 'text')
                                       echo 'selected="selected"' ?> > Text only </option>
                                    <option value="image" <?php if ($ads_config['neogen_ads_type'] == 'image')
                                            echo 'selected="selected"' ?> > Image only </option>
                                    <option value="text/image" <?php if ($ads_config['neogen_ads_type'] == 'text/image')
                                            echo 'selected="selected"' ?> > Text and Image </option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <th>Ad Sizes</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Select from among the different ad sizes.');" onmouseout="return nd();" /></td>
                            <td>
                                <select id="ads_banner_format" name="format">
                                    <optgroup label="Text and image ads:">
                                        <option value="728x90" <?php if ($ads_config['neogen_ads_banner_format'] == '728x90')
                                            echo 'selected="selected"' ?>> 728 x 90 Leaderboard</option>
                                        <option value="468x60" <?php if ($ads_config['neogen_ads_banner_format'] == '468x60')
                                                echo 'selected="selected"' ?>> 468 x 60 Banner</option>
                                        <option value="300x250" <?php if ($ads_config['neogen_ads_banner_format'] == '300x250')
                                                echo 'selected="selected"' ?>> 300 x 250 Medium rectangle</option>
                                        <option value="160x600" <?php if ($ads_config['neogen_ads_banner_format'] == '160x600')
                                                echo 'selected="selected"' ?>> 160 x 600 Wide Skyscraper</option>
                                        <option value="120x600" <?php if ($ads_config['neogen_ads_banner_format'] == '120x600')
                                                echo 'selected="selected"' ?>> 120 x 600 Skyscraper</option>
                                    </optgroup>
                                    <optgroup label="Text ads only:">
                                        <option value="336x280" <?php if ($ads_config['neogen_ads_banner_format'] == '336x280')
                                                echo 'selected="selected"' ?>> 336 x 280 Large Rectangle</option>
                                        <option value="250x250" <?php if ($ads_config['neogen_ads_banner_format'] == '250x250')
                                                echo 'selected="selected"' ?>> 250 x 250 Square</option>
                                        <option value="234x60" <?php if ($ads_config['neogen_ads_banner_format'] == '234x60')
                                                echo 'selected="selected"' ?>> 234 x 60 Half Banner</option>
                                        <option value="180x150" <?php if ($ads_config['neogen_ads_banner_format'] == '180x150')
                                                echo 'selected="selected"' ?>> 180 x 150 Small Rectangle</option>
                                        <option value="125x125" <?php if ($ads_config['neogen_ads_banner_format'] == '125x125')
                                                echo 'selected="selected"' ?>> 125 x 125 Button</option>
                                        <option value="120x240" <?php if ($ads_config['neogen_ads_banner_format'] == '120x240')
                                                echo 'selected="selected"' ?>> 120 x 240 Vertical Banner</option>
                                    </optgroup>
                                </select>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px">Border Color</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color for the border of the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form5[ads_color_border]" size="10" tabindex="1" value = "<?php echo $ads_config['neogen_ads_color_border'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Background Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The background color of the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form5[ads_color_bg]" size="10" tabindex="1" value = "<?php echo $ads_config['neogen_ads_color_bg'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Title Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the ad title.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form5[ads_color_title]" size="10" tabindex="1" value = "<?php echo $ads_config['neogen_ads_color_title'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>URL Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the URLs in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form5[ads_color_url]" size="10" tabindex="1" value = "<?php echo $ads_config['neogen_ads_color_url'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Description Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the ad`s description.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form5[ads_color_desc]" size="10" tabindex="1" value = "<?php echo $ads_config['neogen_ads_color_desc'] ?>" /></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="submit" name="save5" class="b1" value="<?php echo $lang['Update'] ?>" /></div>
        </form>
    </div>
    <h2><span>Yahoo! Ads</span></h2>
    <div class="box">
        <form id="example" method="post" action="<?php echo PLUGIN_URL ?>">
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px">Enable Ads</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Click on No if you want to temporarily turn off the ads after the first post.');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form3[ads_enabled]" value="1"<?php if ($ads_config['yahoo_ads_enabled'] == '1')
                                                echo ' checked="checked"' ?> />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="form3[ads_enabled]" value="0"<?php if ($ads_config['yahoo_ads_enabled'] == '0')
                                       echo ' checked="checked"' ?> />&nbsp;<strong>No</strong></td>
                        </tr>
                        <tr>
                            <th>Y! Ads Partner ID</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The unique identifier given to you by Yahoo Ads.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form3[ad_client]" size="15" tabindex="1" value = "<?php echo $ads_config['yahoo_ad_client'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Ad Section</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('If you need this, feel free to use it: for the most part I don\'t think people do.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form3[ad_channel]" size="15" tabindex="1" value = "<?php echo $ads_config['yahoo_ad_channel'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Ad Sizes</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Select from among the different ad sizes.');" onmouseout="return nd();" /></td>
                            <td>
                                <select id="text_img_format" name="format">
                                    <optgroup label="Text and image ads:">
                                        <option value="728x90" <?php if ($ads_config['yahoo_ad_format'] == '728x90_as')
                                       echo 'selected="selected"' ?>> 728 x 90 Leaderboard</option>
                                        <option value="468x60" <?php if ($ads_config['yahoo_ad_format'] == '468x60_as')
                                                echo 'selected="selected"' ?>> 468 x 60 Banner</option>
                                        <option value="300x250" <?php if ($ads_config['yahoo_ad_format'] == '300x250_as')
                                                echo 'selected="selected"' ?>> 300 x 250 Medium rectangle</option>
                                        <option value="160x600" <?php if ($ads_config['yahoo_ad_format'] == '160x600_as')
                                                echo 'selected="selected"' ?>> 160 x 600 Wide Skyscraper</option>
                                        <option value="120x600" <?php if ($ads_config['yahoo_ad_format'] == '120x600_as')
                                                echo 'selected="selected"' ?>> 120 x 600 Skyscraper</option>
                                    </optgroup>
                                    <optgroup label="Text ads only:">
                                        <option value="336x280" <?php if ($ads_config['yahoo_ad_format'] == '336x280_as')
                                                echo 'selected="selected"' ?>> 336 x 280 Large Rectangle</option>
                                        <option value="250x250" <?php if ($ads_config['yahoo_ad_format'] == '250x250_as')
                                                echo 'selected="selected"' ?>> 250 x 250 Square</option>
                                        <option value="234x60" <?php if ($ads_config['yahoo_ad_format'] == '234x60_as')
                                                echo 'selected="selected"' ?>> 234 x 60 Half Banner</option>
                                        <option value="180x150" <?php if ($ads_config['yahoo_ad_format'] == '180x150_as')
                                                echo 'selected="selected"' ?>> 180 x 150 Small Rectangle</option>
                                        <option value="125x125" <?php if ($ads_config['yahoo_ad_format'] == '125x125_as')
                                                echo 'selected="selected"' ?>> 125 x 125 Button</option>
                                        <option value="120x240" <?php if ($ads_config['yahoo_ad_format'] == '120x240_as')
                                                echo 'selected="selected"' ?>> 120 x 240 Vertical Banner</option>
                                    </optgroup>
                                </select>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px">Border Color</th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color for the border of the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form3[color_border]" size="10" tabindex="1" value = "<?php echo $ads_config['yahoo_color_border'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Background Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The background color of the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form3[color_bg]" size="10" tabindex="1" value = "<?php echo $ads_config['yahoo_color_bg'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Link Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the links in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form3[color_link]" size="10" tabindex="1" value = "<?php echo $ads_config['yahoo_color_link'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>URL Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the URLs in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form3[color_url]" size="10" tabindex="1" value = "<?php echo $ads_config['yahoo_color_url'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Text Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The color of the text in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form3[color_text]" size="10" tabindex="1" value = "<?php echo $ads_config['yahoo_color_text'] ?>" /></td>
                        </tr>
                        <tr>
                            <th>Alternate Color</th>
                            <td>&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('The alternate color of the text in the ad.');" onmouseout="return nd();" /></td>
                            <td><input type="text" class="textbox" name="form3[alternate_color]" size="10" tabindex="1" value = "<?php echo $ads_config['yahoo_alternate_color'] ?>" /></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="submit" name="save3" class="b1" value="<?php echo $lang['Update'] ?>" /></div>
        </form>
    </div>
    <h2><span><?php echo $lang['Other ads'] ?></span></h2>
    <div class="box">
        <form id="example" method="post" action="<?php echo PLUGIN_URL ?>">
            <div class="inform">
                <div class="infldset file" style=padding:15px">
                    <table class="aligntop" cellspacing="0">
                        <tr>
                            <th style="width:150px" scope="row"><?php echo $lang['Enable other ads'] ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Click on No if you want to temporarily turn off the ads after the first post.');" onmouseout="return nd();" /></td>
                            <td><input type="radio" name="form6[ads_enabled]" value="1"<?php if ($ads_config['others_ads_enabled'] == '1')
                                                echo ' checked="checked"' ?> />&nbsp;<strong>Yes</strong>&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="form6[ads_enabled]" value="0"<?php if ($ads_config['others_ads_enabled'] == '0')
                                       echo ' checked="checked"' ?> />&nbsp;<strong>No</strong></td>
                        </tr>
                        <tr>
                            <th scope="row"><?php echo $lang['Ad code'] ?></th>
                            <td style="width:25px">&nbsp;&nbsp;<img src="<?php echo bb_forum_url ?>img/admin/tooltip.png" onmouseover="return xBB_Show_Tooltip('Enter the code you were given at the Ad registration.');" onmouseout="return nd();" /></td>
                            <td><textarea name="form6[ads_code]" rows="3" cols="40"><?php echo BB_Input::Htmlspecialchars($ads_config['others_ads_code']) ?></textarea></td>
                        </tr>
                    </table>
                </div>
            </div>
            <div><input type="submit" name="save6" class="b1" value="<?php echo $lang['Update'] ?>" /></div>
        </form>
    </div>
    <div class="clearer"></div>
</div>