<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
if (!defined('IN_FORUM'))
    exit('No direct script access allowed');
define('PLUGIN_LOADED', 1);
define('PLUGIN_URL', 'plugin.php?plugin=a_Profile_Fields.php');
if (isset($_GET['action']) && $_GET['action'] == "submitnew")
{
    $name = trim($_POST['name']);
    $lang_entry = trim($_POST['lang_entry']);
    $db->query("INSERT INTO " . $db->prefix . "profile_fields (name, lang_entry) VALUES ('" . $db->escape($name) . "', '" . $db->escape($lang_entry) . "')") or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
    BB_Functions::Redirect(PLUGIN_URL, $lang['redir_cprof_added']);
}
if (isset($_GET['action']) && $_GET['action'] == "submitdelete")
{
    $id = intval($_POST['id']);
    $db->query("DELETE FROM " . $db->prefix . "profile_fields WHERE id=" . $db->escape($id)) or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
    $db->query("DELETE FROM " . $db->prefix . "profile_field_entries WHERE e_id=" . $db->escape($id)) or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
    BB_Functions::Redirect(PLUGIN_URL, $lang['redir_cprof_removed']);
}
?>
<div id="main" class="blockform">
    <h2><span><?php echo $lang['Custom profile fields'] ?></span></h2>
    <div class="box">
        <div class="inbox" style="padding:5px;">
            <ul>
                <li style="list-style:inside disc"><a href="<?php echo PLUGIN_URL . "&amp;action=new"; ?>"><?php echo $lang['Create new profile field'] ?></a></li>
                <li style="list-style:inside disc"><a href="<?php echo PLUGIN_URL . "&amp;action=delete"; ?>"><?php echo $lang['Delete profile fields'] ?></a></li>
                <li style="list-style:inside disc"><a href="<?php echo PLUGIN_URL . "&amp;action=list"; ?>"><?php echo $lang['List profile fields'] ?></a></li>
            </ul>
        </div>
    </div>
</div>
<br />
<?php
$action = isset($_GET['action']) ? $_GET['action'] : "";
switch ($action)
{
    default:
        break;
    case 'new':
        ?>
        <div class="blockform">
            <h2><span><?php echo $lang['Create new profile field'] ?></span></h2>
            <form id="form1" name="form1" method="post" action="<?php echo PLUGIN_URL . "&amp;action=submitnew"; ?>">
                <div class="box">
                    <div class="inbox" style="padding:5px;">
                        <label><?php echo $lang['Name:'] ?> <input type="text" class="textbox" size="35" name="name" /></label>
                        <label><?php echo $lang['Language entry:'] ?> <input type="text" size="35" class="textbox" name="lang_entry" /></label>
                        <input type="submit" class="b1" name="submit" value="<?php echo $lang['Submit'] ?>" />
                    </div>
                </div>
            </form>
        </div>
        <?php
        break;
    case 'delete':
        ?>
        <div class="blockform">
            <h2><span><?php echo $lang['Delete profile fields'] ?></span></h2>
            <form id="form2" name="form2" method="post" action="<?php echo PLUGIN_URL . "&amp;action=submitdelete"; ?>">
                <div class="box">
                    <div class="inbox" style="padding:5px;">
                        <label><?php echo $lang['Name:'] ?> <select name="id">
                                <?php
                                $result = $db->query("SELECT id, name FROM " . $db->prefix . "profile_fields") or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
                                while ($row = $db->fetch_assoc($result))
                                {
                                    echo "<option value=\"" . $row['id'] . "\">" . $row['name'] . "</option>";
                                }
                                ?>
                            </select>
                            <input type="submit" class="b1" name="submit" value="<?php echo $lang['Delete'] ?>" /></label>
                    </div>
                </div>
            </form>
        </div>
        <?php
        break;
    case 'list':
        ?>
        <div class="blockform">
            <h2><span><?php echo $lang['List profile fields'] ?></span></h2>
            <div class="box">
                <div class="inbox" style="padding:5px;">
                    <?php
                    $result = $db->query("SELECT id, name, lang_entry FROM " . $db->prefix . "profile_fields") or BB_Functions::Error($lang['error_998'], __FILE__, __LINE__, $db->error());
                    while ($row = $db->fetch_assoc($result))
                    {
                        echo "<p><strong>" . $lang['Name:'] . "</strong> " . $row['name'] . " <strong>" . $lang['Language entry:'] . "</strong> " . $row['lang_entry'] . "</p>\n";
                    }
                    ?>
                </div>
            </div>
        </div>
        <?php
        break;
}
?>