<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
define('TURN_OFF_MAINT', 1);
define('FORUM_ROOT', '../');
require FORUM_ROOT . '/include/init.php';
$cms_settings = new BB_Settings($db, $db->prefix . 'configuration');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html dir="ltr">
    <head>
        <link rel="shortcut icon" href="../community/img/general/favicon.ico" />
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <title>XennoBB - Upgrade</title>
        <link rel="stylesheet" type="text/css" href="../include/templates/Default/stylesheet.css" />
    </head>
    <body>
        <div id="wrap">
            <div id="wrap-inner">
                <div id="main-body">
                    <div id="xenno_wrapper_type1">
                        <div id="xenno_index" class="xenno_main">
                            <div id="xenno_header" class="xenno_block">
                                <div class="box">
                                    <div id="xenno_title" class="inbox">
                                        <h1><span>&nbsp;</span></h1>
                                    </div>
                                </div>
                            </div>
                            <div class="blocktable">
                                <?php
                                if (isset($_POST['version']))
                                {
                                    include(FORUM_ROOT . 'install/upgrade_files/' . $db->escape($_POST['version']) . '.php');
                                    xBB_Upgrade();
                                    ?>
                                    <h2><span><?php echo $lang['upgrade_success_title'] ?></span></h2>
                                    <div class="box">
                                        <div class="inbox">
                                            <p><?php echo $lang['success_upgrade'] . $_POST['version'] ?></p><br />
                                            <p><?php echo $lang['Go to forum '] ?><a href="../index.php">index</a></p>
                                        </div>
                                    </div>
                                    <?php
                                }
                                else
                                {
                                    ?>
                                    <h2><span><?php echo $lang['XennoBB Upgrade'] ?></span></h2>
                                    <div class="box">
                                        <form method="post" name="frmUpgrade" action="<?php echo $_SERVER['PHP_SELF'] ?>">
                                            <input type="hidden" name="form_sent" value="1" />
                                            <div class="inform" style="padding:20px">
                                                <table class="aligntop" cellspacing="0">
                                                    <tr>
                                                        <td style="border:0px">
                                                            <p><?php echo $lang['upgrade_to'] ?></p><br />
                                                            <p><strong><?php echo $lang['Current version'] ?></strong> : <?php echo bb_cur_version ?></p>
                                                            <br /><hr size=1 noshade>
                                                                <?php
                                                                $upgrade_files = array();
                                                                $d = dir(FORUM_ROOT . '/install/upgrade_files');
                                                                while (($entry = $d->read()) !== false)
                                                                {
                                                                    if (substr($entry, strlen($entry) - 4) == '.php')
                                                                        $upgrade_files[] = substr($entry, 0, strlen($entry) - 4);
                                                                }
                                                                $d->close();
                                                                natsort($upgrade_files);
                                                                while (list(, $temp) = @each($upgrade_files))
                                                                {
                                                                    ?>
                                                                    <p><input type="radio" class="radio_yes" name="version" value="<?php echo trim($temp, ".") ?>" /> <?php echo $lang['Upgrade to '] . bb_cur_version . ' ' . $temp ?></p>
                                                                    <?php
                                                                }
                                                                ?>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <br /><br />
                                                <div style="border:1px solid #DDDDDD;padding:5px;text-align:center;"><a href="javascript:document.frmUpgrade.submit();"><?php echo $lang['Upgrade']; ?></a></div>
                                            </div>
                                        </form>
                                    </div>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="footer">
                        <p>powered by <a href="http://www.userdot.net/projects/xennobb"><b>XennoBB</b></a><br />&copy; 2005-2011 <a href="http://www.userdot.net"><b>UserDot</b></a>. All rights reserved.</p>
                </div>
            </div>
        </div>
    </body>
</html>
