<?php
/*

  Copyright (C) 2005-2011 UserDot
  Visit XennoBB at www.userdot.net/projects/xennobb
  Originally based on PunBB www.punbb.org

  XennoBB is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 2 of the License,
  or (at your option) any later version.

  XennoBB is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA

 */
function xBB_Upgrade()
{
    global $db, $cms_settings;

    $res = true;
    $cms_settings->Set_Namespace('xennobb');
    $res &= $cms_settings->Save('bb_cur_version', 'Special Edition v1.1');
    $res &= $cms_settings->Save('bb_quicklinks', 1);
    $res &= $cms_settings->Save('bb_welcoming_post', 0);
    $res &= $cms_settings->Save('bb_welcoming_post_msg', '');
    $res &= $cms_settings->Save('bb_welcoming_post_title', '');
    $res &= $cms_settings->Save('bb_welcoming_post_poster', '');
    $res &= $cms_settings->Save('bb_welcoming_post_fid', '');
    $res &= $cms_settings->Save('bb_welcoming_pm', 0);
    $res &= $cms_settings->Save('bb_welcoming_pm_msg', '');
    $res &= $cms_settings->Save('bb_welcoming_pm_title', '');
    $res &= $cms_settings->Save('bb_welcoming_pm_sender', '');
    $res &= $cms_settings->Save('bb_message_bbcode_media', 1);
    $cms_settings->Set_Namespace('');

    $error = '';

    $sql = 'ALTER TABLE ' . $db->prefix . 'forums CHANGE forum_name SET DEFAULT = \'...\' ';
    if (!$db->query($sql))
        $error .= '<br />DB modif failed!<br /><br/>Do this modification manually:</br>' . $sql;
    $sql = 'ALTER TABLE ' . $db->prefix . 'users ADD quicklinks VARCHAR(10) NOT NULL DEFAULT \'bottom\' ';
    if (!$db->query($sql))
        $error .= '<br />DB modif failed!<br /><br/>Do this modification manually:</br>' . $sql;

    if ($error != '')
        return $error;
    else
        echo 'Patched successfully!';
}
